2016-03-06  Juho Jaakkola <juho@elgg.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.9

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/es/LC_MESSAGES/design.mo,
  docs/locale/es/LC_MESSAGES/guides.mo, docs/locale/es/LC_MESSAGES/intro.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po, languages/fr.php,
  mod/blog/languages/fr.php, mod/developers/languages/fr.php,
  mod/groups/languages/fr.php, mod/tagcloud/languages/ar.php,
  mod/twitter_api/languages/nl.php: chore(i18n): update translations

2016-02-22  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Amd/ViewFilter.php,
  engine/tests/phpunit/Elgg/Amd/ViewFilterTest.php: fix(js): AMD view filter
  handles short view names without `/`  Also renames the
  `testIgnoresNonJsViews` test method and makes it work.

2016-02-23  Steve Clay <steve@mrclay.org>

  	* mod/web_services/lib/web_services.php, mod/web_services/start.php:
  fix(web_services): reject requests for unavailable formats  Sends 400
  responses if the format isn't likely a valid viewtype or lacks the
  `api/output` view in that viewtype.  Fixes #9410

2016-02-09  Steve Clay <steve@mrclay.org>

  	* engine/lib/actions.php, engine/lib/admin.php, engine/lib/elgglib.php,
  engine/lib/input.php: fix(http): more resources sent with explicit UTF-8
  charset  Some of these were missed in #9349.  Fixes #9345

2016-02-05  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/CacheHandler.php, engine/lib/elgglib.php, index.php,
  views/json/page/default.php, views/rss/page/default.php: fix(http): make sure
  all pages/JS/CSS sent with explicit UTF-8 charset  Fixes #9345

2016-01-31  Steve Clay <steve@mrclay.org>

  	* CHANGELOG.md, composer.json, mod/twitter_api/languages/nl.php:
  chore(release): v1.12.8

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po, install/languages/nl.php,
  languages/fi.php, mod/groups/languages/pl.php,
  mod/web_services/languages/nl.php: chore(i18n): update translations

2016-01-07  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/Elgg/Cache/MetadataCache.php,
  engine/classes/Elgg/Database/MetadataTable.php, engine/lib/metastrings.php:
  fix(access): fixes guid column name in metadata queries  get_sql hook with
  custom queries was resulting in WSOD due to incorrect guid column name in
  metadata queries. This passes correct guid column name to
  _elgg_get_access_where_sql(), when querying metadata table

2016-01-03  Juho Jaakkola <juho@elgg.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.7

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po: chore(i18n): update translations

2015-12-25  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/navigation.php, engine/tests/phpunit/ElggMenuItemTest.php:
  fix(menus): stricter type validation in menu item registration functions 
  elgg_register_menu_item() and elgg_unregister_menu_item() now conform with
  the inline docs and ensure that arguments are of valid type.

2015-12-18  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Logger.php, engine/lib/views.php,
  mod/developers/start.php, views/default/css/elgg.php: chore(views): removes
  core use of elgg_get_view_location()  With #9244 fixed, these deprecation
  warning are no longer thrown away, so we instead use the private API version
  to avoid them.

  	* engine/lib/elgglib.php, engine/start.php: fix(session): Session is again
  available in the shutdown event  Fixes #9243

  	* engine/classes/Elgg/Logger.php, engine/lib/elgglib.php,
  mod/developers/start.php, mod/developers/views/default/developers/log.php:
  fix(logging): Log messages no longer discarded  Logged messages are no longer
  thrown away during action and cache requests. Also the log-to-screen feature
  of the developers plugin no longer throws away messages after the page
  display has occurred.  In both cases, these errors likely end up in the
  system error log.  Fixes #9244

2015-12-14  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.6

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po, mod/thewire/languages/it.php:
  chore(i18n): update translations

2015-12-13  Steve Clay <steve@mrclay.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.11.5

  	* docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/it/LC_MESSAGES/about.mo, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot: chore(i18n): update translations

  	* CHANGELOG.md, composer.json: chore(release): v1.10.6

  	* docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po,
  docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot: chore(i18n): update translations

2015-12-08  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/ElggEntity.php, engine/tests/ElggEntityTest.php:
  fix(entities): update attribute when assuming container_guid value 
  ElggEntity::create() assumes that container_guid equals to owner_guid when
  container_guid is set to 0, but does so in introduced variables without
  propagating the changes in attributes array. This results in discrepancies
  between ElggEntity::getContainerGUID() and the value written to the database 
  Fixes #8981

2015-11-30  Steve Clay <steve@mrclay.org>

  	* mod/aalborg_theme/graphics/bars.png,
  mod/aalborg_theme/views/default/aalborg_theme/css.php,
  mod/aalborg_theme/views/default/page/elements/navbar.php: fix(a11y): display
  aalborg mobile site menu toggle in more browsers  The 3 `span.icon-bar`
  elements do not display in Firefox on Android. This replaces them with an
  88x48 semi-transparent PNG image displayed at 22x12 for clean scaling.  Fixes
  #9110  BREAKING CHANGE: Plugins that customized `.elgg-button-nav` (or the
  spans inside) will need to be altered. The `.elgg-icon` CSS is left in place
  but will be removed in Elgg 2.0.

2015-11-29  Juho Jaakkola <juho@elgg.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.5

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/it/LC_MESSAGES/index.mo,
  docs/locale/it/LC_MESSAGES/index.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po, install/languages/it.php,
  languages/de.php, languages/es.php, languages/fi.php, languages/fr.php,
  languages/gl.php, languages/it.php, languages/ja.php, languages/nl.php,
  languages/pl.php, languages/pt_br.php, mod/blog/languages/it.php,
  mod/bookmarks/languages/es.php, mod/bookmarks/languages/it.php,
  mod/categories/languages/it.php, mod/ckeditor/languages/it.php,
  mod/custom_index/languages/it.php, mod/developers/languages/de.php,
  mod/developers/languages/fi.php, mod/developers/languages/gl.php,
  mod/developers/languages/it.php, mod/developers/languages/nl.php,
  mod/developers/languages/zh_hans.php, mod/diagnostics/languages/it.php,
  mod/embed/languages/it.php, mod/externalpages/languages/fr.php,
  mod/externalpages/languages/it.php, mod/file/languages/da.php,
  mod/file/languages/it.php, mod/garbagecollector/languages/it.php,
  mod/garbagecollector/languages/zh_hans.php, mod/groups/languages/da.php,
  mod/groups/languages/de.php, mod/groups/languages/el.php,
  mod/groups/languages/es.php, mod/groups/languages/eu_es.php,
  mod/groups/languages/fi.php, mod/groups/languages/fr.php,
  mod/groups/languages/gl.php, mod/groups/languages/it.php,
  mod/groups/languages/ja.php, mod/groups/languages/nl.php,
  mod/groups/languages/pl.php, mod/groups/languages/pt_br.php,
  mod/groups/languages/ru.php, mod/groups/languages/sr.php,
  mod/invitefriends/languages/it.php, mod/invitefriends/languages/zh_hans.php,
  mod/legacy_urls/languages/it.php, mod/likes/languages/de.php,
  mod/likes/languages/es.php, mod/likes/languages/it.php,
  mod/logbrowser/languages/it.php, mod/logrotate/languages/it.php,
  mod/members/languages/it.php, mod/messageboard/languages/it.php,
  mod/messages/languages/it.php, mod/notifications/languages/it.php,
  mod/pages/languages/it.php, mod/profile/languages/zh_hans.php,
  mod/reportedcontent/languages/ca.php, mod/reportedcontent/languages/cmn.php,
  mod/reportedcontent/languages/da.php, mod/reportedcontent/languages/it.php,
  mod/reportedcontent/languages/ko.php, mod/search/languages/it.php,
  mod/site_notifications/languages/it.php, mod/tagcloud/languages/it.php,
  mod/thewire/languages/it.php, mod/twitter_api/languages/it.php,
  mod/uservalidationbyemail/languages/it.php,
  mod/web_services/languages/it.php: chore(i18n): update translations

2015-11-27  Steve Clay <steve@mrclay.org>

  	* mod/pages/views/default/forms/pages/edit.php,
  mod/pages/views/default/input/write_access.php: fix(pages): removes
  deprecated notices regarding input/write_access  Deprecation notices will
  only occur if a dev has extended forms/pages/edit or input/write_access 
  Fixes #8327

2015-10-22  Steve Clay <steve@mrclay.org>

  	* mod/groups/views/default/river/group/create.php,
  mod/groups/views/default/river/relationship/member/create.php,
  mod/thewire/views/default/river/object/thewire/create.php,
  views/default/river/elements/responses.php,
  views/default/river/object/comment/create.php,
  views/default/river/relationship/friend/create.php,
  views/default/river/user/default/profileiconupdate.php,
  views/default/river/user/default/profileupdate.php: perf(river): no longer
  needlessly render river responses  For river items that cannot receive
  comments, we explicitly pass a `responses` option to the river layout, which
  bypasses the bulk of river/elements/responses rendering. Notably a
  `countComments()` query is no longer performed and an empty form is no longer
  rendered for each of these items.  For BC, the `div.elgg-river-responses`
  wrapper is still created, but contains only whitespace.  In the
  river/elements/responses view, we also now correctly check for comments (and
  their subclasses like ElggDiscussionReply) so we don't render these. The core
  river views do not reach to this point due to changes in this PR, so this is
  mainly for plugins that may have overridden those views.  Fixes #9046

2015-10-10  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/Elgg/Database/AccessCollections.php, engine/lib/access.php:
  chore(docs): reduce ambiguity in use of variable names in reference to access
  collections  Replaces variable names to reduce ambiguity. Uses collection_id
  to refer to the collection ID (in stead of collection), and guids_only to
  refer to member guids (in stead of idonly)

2015-09-20  Juho Jaakkola <juho@elgg.org>

  	* composer.json, docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  install/languages/pl.php, languages/it.php, languages/pt_BR.php,
  languages/pt_br.php, languages/ru.php, mod/blog/languages/eu_ES.php,
  mod/blog/languages/eu_es.php, mod/blog/languages/pt_BR.php,
  mod/blog/languages/pt_br.php, mod/blog/languages/ro_RO.php,
  mod/blog/languages/ro_ro.php, mod/blog/languages/sr@latin.php,
  mod/blog/languages/sr_latin.php, mod/blog/languages/zh-Hans.php,
  mod/blog/languages/zh_hans.php, mod/bookmarks/languages/eu_ES.php,
  mod/bookmarks/languages/eu_es.php, mod/bookmarks/languages/pt_BR.php,
  mod/bookmarks/languages/pt_br.php, mod/bookmarks/languages/ro_RO.php,
  mod/bookmarks/languages/ro_ro.php, mod/bookmarks/languages/zh-Hans.php,
  mod/bookmarks/languages/zh_hans.php, mod/categories/languages/eu_ES.php,
  mod/categories/languages/eu_es.php, mod/categories/languages/pt_BR.php,
  mod/categories/languages/pt_br.php, mod/categories/languages/ro_RO.php,
  mod/categories/languages/ro_ro.php, mod/categories/languages/zh-Hans.php,
  mod/categories/languages/zh_hans.php, mod/ckeditor/languages/eu_ES.php,
  mod/ckeditor/languages/eu_es.php, mod/ckeditor/languages/pt_BR.php,
  mod/ckeditor/languages/pt_br.php, mod/ckeditor/languages/ro_RO.php,
  mod/ckeditor/languages/ro_ro.php, mod/ckeditor/languages/zh-Hans.php,
  mod/ckeditor/languages/zh_hans.php, mod/custom_index/languages/eu_ES.php,
  mod/custom_index/languages/eu_es.php, mod/custom_index/languages/pt_BR.php,
  mod/custom_index/languages/pt_br.php, mod/custom_index/languages/ro_RO.php,
  mod/custom_index/languages/ro_ro.php, mod/custom_index/languages/zh-Hans.php,
  mod/custom_index/languages/zh_hans.php, mod/developers/languages/eu_ES.php,
  mod/developers/languages/eu_es.php, mod/developers/languages/pt_BR.php,
  mod/developers/languages/pt_br.php, mod/diagnostics/languages/eu_ES.php,
  mod/diagnostics/languages/eu_es.php, mod/diagnostics/languages/pt_BR.php,
  mod/diagnostics/languages/pt_br.php, mod/embed/languages/eu_ES.php,
  mod/embed/languages/eu_es.php, mod/embed/languages/pt_BR.php,
  mod/embed/languages/pt_br.php, mod/embed/languages/zh-Hans.php,
  mod/embed/languages/zh_hans.php, mod/externalpages/languages/eu_ES.php,
  mod/externalpages/languages/eu_es.php, mod/externalpages/languages/pt_BR.php,
  mod/externalpages/languages/pt_br.php, mod/file/languages/eu_ES.php,
  mod/file/languages/eu_es.php, mod/file/languages/pt_BR.php,
  mod/file/languages/pt_br.php, mod/file/languages/zh-Hans.php,
  mod/file/languages/zh_hans.php, mod/garbagecollector/languages/eu_ES.php,
  mod/garbagecollector/languages/eu_es.php,
  mod/garbagecollector/languages/pt_BR.php,
  mod/garbagecollector/languages/pt_br.php, mod/groups/languages/eu_ES.php,
  mod/groups/languages/eu_es.php, mod/groups/languages/it.php,
  mod/groups/languages/pt_BR.php, mod/groups/languages/pt_br.php,
  mod/invitefriends/languages/eu_ES.php, mod/invitefriends/languages/eu_es.php,
  mod/invitefriends/languages/pt_BR.php, mod/invitefriends/languages/pt_br.php,
  mod/legacy_urls/languages/eu_ES.php, mod/legacy_urls/languages/eu_es.php,
  mod/legacy_urls/languages/pt_BR.php, mod/legacy_urls/languages/pt_br.php,
  mod/likes/languages/eu_ES.php, mod/likes/languages/eu_es.php,
  mod/likes/languages/pt_BR.php, mod/likes/languages/pt_br.php,
  mod/likes/languages/zh-Hans.php, mod/likes/languages/zh_hans.php,
  mod/logbrowser/languages/eu_ES.php, mod/logbrowser/languages/eu_es.php,
  mod/logbrowser/languages/pt_BR.php, mod/logbrowser/languages/pt_br.php,
  mod/logrotate/languages/eu_ES.php, mod/logrotate/languages/eu_es.php,
  mod/logrotate/languages/pt_BR.php, mod/logrotate/languages/pt_br.php,
  mod/members/languages/eu_ES.php, mod/members/languages/eu_es.php,
  mod/members/languages/pt_BR.php, mod/members/languages/pt_br.php,
  mod/members/languages/ro_RO.php, mod/members/languages/ro_ro.php,
  mod/members/languages/zh-Hans.php, mod/members/languages/zh_hans.php,
  mod/messageboard/languages/eu_ES.php, mod/messageboard/languages/eu_es.php,
  mod/messageboard/languages/pt_BR.php, mod/messageboard/languages/pt_br.php,
  mod/messages/languages/ca.php, mod/messages/languages/cmn.php,
  mod/messages/languages/eu_ES.php, mod/messages/languages/eu_es.php,
  mod/messages/languages/pt_BR.php, mod/messages/languages/pt_br.php,
  mod/notifications/languages/eu_ES.php, mod/notifications/languages/eu_es.php,
  mod/notifications/languages/pt_BR.php, mod/notifications/languages/pt_br.php,
  mod/pages/languages/eu_ES.php, mod/pages/languages/eu_es.php,
  mod/pages/languages/pt_BR.php, mod/pages/languages/pt_br.php,
  mod/profile/languages/eu_ES.php, mod/profile/languages/eu_es.php,
  mod/profile/languages/pt_BR.php, mod/profile/languages/pt_br.php,
  mod/reportedcontent/languages/eu_ES.php,
  mod/reportedcontent/languages/eu_es.php,
  mod/reportedcontent/languages/pt_BR.php,
  mod/reportedcontent/languages/pt_br.php, mod/search/languages/eu_ES.php,
  mod/search/languages/eu_es.php, mod/search/languages/pt_BR.php,
  mod/search/languages/pt_br.php, mod/search/languages/zh-Hans.php,
  mod/search/languages/zh_hans.php, mod/site_notifications/languages/eu_ES.php,
  mod/site_notifications/languages/eu_es.php,
  mod/site_notifications/languages/pt_BR.php,
  mod/site_notifications/languages/pt_br.php, mod/tagcloud/languages/eu_ES.php,
  mod/tagcloud/languages/eu_es.php, mod/tagcloud/languages/pt_BR.php,
  mod/tagcloud/languages/pt_br.php, mod/thewire/languages/eu_ES.php,
  mod/thewire/languages/eu_es.php, mod/thewire/languages/pt_BR.php,
  mod/thewire/languages/pt_br.php, mod/twitter_api/languages/eu_ES.php,
  mod/twitter_api/languages/eu_es.php, mod/twitter_api/languages/pt_BR.php,
  mod/twitter_api/languages/pt_br.php,
  mod/uservalidationbyemail/languages/ca.php,
  mod/uservalidationbyemail/languages/cmn.php,
  mod/uservalidationbyemail/languages/eu_ES.php,
  mod/uservalidationbyemail/languages/eu_es.php,
  mod/uservalidationbyemail/languages/pt_BR.php,
  mod/uservalidationbyemail/languages/pt_br.php,
  mod/web_services/languages/eu_ES.php, mod/web_services/languages/eu_es.php,
  mod/web_services/languages/pt_BR.php, mod/web_services/languages/pt_br.php:
  chore(i18n): update translations

2015-07-04  Steve Clay <steve@mrclay.org>

  	* .scripts/release.php, .../classes/Elgg/I18n/InvalidLocaleException.php,
  engine/classes/Elgg/I18n/Locale.php,
  engine/classes/Elgg/I18n/ReleaseCleaner.php,
  engine/classes/Elgg/I18n/Translator.php, engine/lib/languages.php,
  languages/en.php: chore(i18n): Adds limited support for new languages on
  Transifex  Updates release script to normalize language filenames and remove
  unrecognized language files. Adds missing InvalidLocaleException.  Fixes
  #7540

2015-09-13  Matt Beckett <beck24@gmail.com>

  	* docs/guides/events-list.rst,
  .../classes/Elgg/Database/RelationshipsTable.php,
  engine/lib/relationships.php, engine/tests/ElggRelationshipTest.php:
  fix(relationships): can now prevent relationships using event handler  Passes
  the relationship id into delete_relationship() instead of the event handler
  return  Fixes #8927

2015-09-06  Juho Jaakkola <juho@elgg.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.3

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/about.mo, docs/locale/de/LC_MESSAGES/about.po,
  docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.po, docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/about.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/fr/LC_MESSAGES/index.po, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.po, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, docs/locale/ru/LC_MESSAGES/about.mo,
  docs/locale/ru/LC_MESSAGES/about.po, install/languages/ca.php,
  mod/blog/languages/pt_BR.php, mod/custom_index/languages/pt_BR.php,
  mod/embed/languages/it.php, mod/file/languages/it.php,
  mod/garbagecollector/languages/it.php, mod/groups/languages/ru.php,
  mod/invitefriends/languages/it.php, mod/legacy_urls/languages/it.php,
  mod/likes/languages/pt_BR.php, mod/logbrowser/languages/it.php,
  mod/members/languages/it.php, mod/members/languages/ro_RO.php,
  mod/messageboard/languages/eu_ES.php, mod/messageboard/languages/it.php,
  mod/messages/languages/it.php, mod/notifications/languages/it.php,
  mod/pages/languages/it.php, mod/reportedcontent/languages/it.php,
  mod/reportedcontent/languages/nl.php, mod/search/languages/it.php,
  mod/search/languages/pt_BR.php, mod/site_notifications/languages/it.php,
  mod/tagcloud/languages/it.php, mod/thewire/languages/it.php,
  mod/twitter_api/languages/it.php, mod/uservalidationbyemail/languages/it.php:
  chore(i18n): update translations

2015-08-24  Steve Clay <steve@mrclay.org>

  	* docs/design/database.rst, engine/classes/Elgg/Database/EntityTable.php,
  engine/lib/entities.php, engine/lib/tags.php: docs(entities): Docs for
  type/subtype and associated ege() options

2015-08-23  Juho Jaakkola <juho@elgg.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.2

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/index.mo,
  docs/locale/es/LC_MESSAGES/design.mo, docs/locale/es/LC_MESSAGES/guides.mo,
  docs/locale/es/LC_MESSAGES/intro.mo, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/fr/LC_MESSAGES/index.mo, docs/locale/ja/LC_MESSAGES/about.mo,
  docs/locale/pl/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.mo, languages/ja.php,
  mod/ckeditor/languages/el.php, mod/developers/languages/fi.php,
  mod/externalpages/languages/it.php, mod/externalpages/languages/sr.php,
  mod/groups/languages/el.php, mod/groups/languages/ja.php,
  mod/notifications/languages/el.php, mod/profile/languages/el.php,
  mod/site_notifications/languages/el.php, mod/tagcloud/languages/el.php,
  mod/web_services/languages/ja.php: chore(i18n): update translations

2015-08-14  Steve Clay <steve@mrclay.org>

  	* .../classes/Elgg/Database/RelationshipsTable.php,
  engine/lib/relationships.php: docs(entities): Better docs for fetching
  relationships

2015-08-05  Evan Winslow <evan.b.winslow@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.1

  	* docs/locale/eu_ES/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, mod/bookmarks/languages/eu_ES.php,
  mod/categories/languages/eu_ES.php, mod/ckeditor/languages/eu_ES.php,
  mod/custom_index/languages/eu_ES.php, mod/developers/languages/eu_ES.php,
  mod/diagnostics/languages/eu_ES.php, mod/embed/languages/eu_ES.php,
  mod/externalpages/languages/eu_ES.php, mod/file/languages/eu_ES.php,
  mod/garbagecollector/languages/eu_ES.php, mod/groups/languages/eu_ES.php,
  mod/invitefriends/languages/eu_ES.php, mod/legacy_urls/languages/eu_ES.php,
  mod/likes/languages/eu_ES.php, mod/logbrowser/languages/eu_ES.php,
  mod/logrotate/languages/eu_ES.php, mod/members/languages/eu_ES.php,
  mod/reportedcontent/languages/eu_ES.php, mod/search/languages/eu_ES.php,
  mod/search/languages/zh-Hans.php, mod/site_notifications/languages/eu_ES.php,
  mod/tagcloud/languages/eu_ES.php, mod/twitter_api/languages/eu_ES.php,
  mod/uservalidationbyemail/languages/eu_ES.php,
  mod/web_services/languages/eu_ES.php: chore(i18n): update translations

2015-07-07  Evan Winslow <evan.b.winslow@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.12.0

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot: chore(i18n):
  update translations

  	* CHANGELOG.md, composer.json: chore(release): v1.11.4

  	* docs/locale/eu_ES/LC_MESSAGES/about.mo,
  docs/locale/eu_ES/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, mod/blog/languages/eu_ES.php,
  mod/categories/languages/zh-Hans.php, mod/ckeditor/languages/zh-Hans.php,
  mod/custom_index/languages/zh-Hans.php, mod/embed/languages/zh-Hans.php,
  mod/file/languages/zh-Hans.php, mod/likes/languages/zh-Hans.php,
  mod/logrotate/languages/it.php, mod/members/languages/zh-Hans.php,
  mod/messageboard/languages/eu_ES.php, mod/messages/languages/eu_ES.php,
  mod/notifications/languages/eu_ES.php, mod/pages/languages/eu_ES.php,
  mod/pages/languages/sr.php, mod/profile/languages/eu_ES.php,
  mod/thewire/languages/eu_ES.php, mod/thewire/languages/sr.php: chore(i18n):
  update translations

2015-07-02  Steve Clay <steve@mrclay.org>

  	* docs/guides/hooks-list.rst, engine/classes/ElggEntity.php,
  engine/tests/ElggEntityTest.php: feature(annotations): Adds a more granular
  permission hook for canAnnotate  ElggEntity::canAnnotate now first triggers
  the hook “permissions_check:annotate:<name>” before the generic
  “permissions_check:annotate” hook.

  	* engine/classes/Elgg/Values.php,
  engine/tests/phpunit/Elgg/EventsServiceTest.php,
  .../tests/phpunit/Elgg/PluginHooksServiceTest.php: feature(events): Adds
  static methods for returning common values  These functions are particularly
  useful as handlers for events/hooks.

2015-06-19  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/lib/deprecated-1.12.php, engine/lib/views.php: deprecate(views):
  elgg_get_view_location is going away in 2.0  It doesn't seem to have a valid
  use-case and is making some views work more difficult than it needs to be. 
  Refs #8527

  	* docs/guides/views.rst, engine/lib/deprecated-1.11.php,
  engine/lib/deprecated-1.12.php, engine/lib/views.php, engine/load.php:
  deprecate(views): Support for custom template handlers will end soon  This
  functionality was never really properly implemented anyways. Even the
  docblock comments on the API functions says "experimental."  Refs #8440

2015-06-16  Steve Clay <steve@mrclay.org>

  	* docs/examples/plugins/languages/en.php, docs/examples/plugins/start.php:
  docs(misc): Miscellaneous docs fixes

2015-06-16  Evan Winslow <evan.b.winslow@gmail.com>

  	* mod/aalborg_theme/composer.json, mod/blog/composer.json,
  mod/bookmarks/composer.json, mod/categories/composer.json,
  mod/ckeditor/composer.json, mod/custom_index/composer.json,
  mod/dashboard/composer.json, mod/developers/composer.json,
  mod/diagnostics/composer.json, mod/embed/composer.json,
  mod/externalpages/composer.json, mod/file/composer.json,
  mod/garbagecollector/composer.json, mod/groups/composer.json,
  mod/htmlawed/composer.json, mod/invitefriends/composer.json,
  mod/legacy_urls/composer.json, mod/likes/composer.json,
  mod/logbrowser/composer.json, mod/logrotate/composer.json,
  mod/members/composer.json, mod/messageboard/composer.json,
  mod/messages/composer.json, mod/notifications/composer.json,
  mod/pages/composer.json, mod/profile/composer.json,
  mod/reportedcontent/composer.json, mod/search/composer.json,
  mod/site_notifications/composer.json, mod/tagcloud/composer.json,
  mod/thewire/composer.json, mod/twitter_api/composer.json,
  mod/uservalidationbyemail/composer.json, mod/web_services/composer.json,
  mod/zaudio/composer.json: chore(composer): Add GPL-2.0 license to all
  plugins' composer.json  Otherwise they show up on packagist as "Unknown
  license"

2015-06-14  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.11.3

  	* docs/locale/de/LC_MESSAGES/index.mo,
  docs/locale/de/LC_MESSAGES/tutorials.mo, docs/locale/es/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, mod/blog/languages/zh-Hans.php,
  mod/bookmarks/languages/zh-Hans.php: chore(i18n): update translations

2015-06-09  Juho Jaakkola <juho@elgg.org>

  	* .../classes/Elgg/Database/PrivateSettingsTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/private_settings.php:
  chore(core): adds service for private settings

2015-06-05  Evan Winslow <evan.b.winslow@gmail.com>

  	* mod/aalborg_theme/composer.json, mod/blog/composer.json,
  mod/bookmarks/composer.json, mod/categories/composer.json,
  mod/ckeditor/composer.json, mod/custom_index/composer.json,
  mod/dashboard/composer.json, mod/developers/composer.json,
  mod/diagnostics/composer.json, mod/embed/composer.json,
  mod/externalpages/composer.json, mod/file/composer.json,
  mod/garbagecollector/composer.json, mod/groups/composer.json,
  mod/htmlawed/composer.json, mod/invitefriends/composer.json,
  mod/legacy_urls/composer.json, mod/likes/composer.json,
  mod/logbrowser/composer.json, mod/logrotate/composer.json,
  mod/members/composer.json, mod/messageboard/composer.json,
  mod/messages/composer.json, mod/notifications/composer.json,
  mod/pages/composer.json, mod/profile/composer.json,
  mod/reportedcontent/composer.json, mod/search/composer.json,
  mod/site_notifications/composer.json, mod/tagcloud/composer.json,
  mod/thewire/composer.json, mod/twitter_api/composer.json,
  mod/uservalidationbyemail/composer.json, mod/web_services/composer.json,
  mod/zaudio/composer.json: chore(composer): Add minimal composer.json to all
  bundled plugins  This allows us to push the plugin to a separate repo and
  have that repo be the source for a composer package.  Refs #7721

2015-06-01  Steve Clay <steve@mrclay.org>

  	* engine/lib/elgglib.php, engine/lib/pagehandler.php: feature(ajax):
  elgg_ajax_gatekeeper for asserting resources as Ajax-only

2015-05-21  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Amd/ViewFilter.php,
  engine/tests/phpunit/Elgg/Amd/ViewFilterTest.php,
  mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/developers/settings.php,
  mod/developers/views/default/js/elgg/dev.js,
  .../views/default/js/elgg/dev/amd_monitor.js: feature(developers): Devs can
  show loaded AMD modules in console

2015-05-22  Steve Clay <steve@mrclay.org>

  	* js/tests/ElggSpinnerTest.js, js/tests/karma.conf.js, package.json:
  chore(tests): Upgrades Jasmine and Karma  Updates karma & jasmine (2.x eases
  async testing considerably), and reworks the spinner test for Jasmine 2.x

2015-05-27  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Database/ConfigTable.php,
  engine/classes/ElggAnnotation.php, engine/classes/ElggEntity.php,
  engine/classes/ElggObject.php, engine/classes/ElggPlugin.php,
  engine/classes/ElggSite.php, engine/lib/access.php, engine/lib/actions.php,
  engine/lib/configuration.php, engine/lib/elgglib.php,
  engine/lib/entities.php, engine/lib/private_settings.php,
  engine/lib/views.php: fix(IDE): Public APIs no longer marked with @internal 
  Even the inline @internal meant to add developer notes has the effect of
  marking the function not a part of the public API, so, e.g. PHPStorm was
  showing usages with a strikethrough.  Fixes #7714

2015-05-25  Steve Clay <steve@mrclay.org>

  	* js/tests/ElggSpinnerTest.js, views/default/js/elgg/spinner.js:
  fix(spinner): elgg/spinner delays a bit before displaying  Requests served
  from browser cache are near instantaneously, and in these cases the spinner
  is a distraction. So we wait 20ms before showing it.  Fixes #8361

2015-05-25  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.11.2

  	* docs/locale/de/LC_MESSAGES/about.mo, docs/locale/es/LC_MESSAGES/admin.mo,
  docs/locale/es/LC_MESSAGES/appendix.mo, docs/locale/es/LC_MESSAGES/design.mo,
  docs/locale/es/LC_MESSAGES/guides.mo, docs/locale/es/LC_MESSAGES/intro.mo,
  docs/locale/fr/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/ru/LC_MESSAGES/about.mo:
  chore(i18n): update translations

2015-05-23  Evan Winslow <evan.b.winslow@gmail.com>

  	* docs/guides/authentication.rst, docs/guides/gatekeeper.rst,
  docs/guides/index.rst: docs(auth): Add basic APIs to the authentication docs

  	* docs/guides/accessibility.rst, docs/guides/index.rst: docs(guides):
  Alpha-sort the developer guides to make them more scannable

2015-05-22  Steve Clay <steve@mrclay.org>

  	* mod/developers/actions/developers/settings.php,
  .../classes/Elgg/DevelopersPlugin/Hooks.php, mod/developers/languages/en.php,
  mod/developers/start.php, .../views/default/admin/developers/settings.php,
  mod/developers/views/default/developers/css.php,
  .../views/default/developers/gear_popup.php,
  .../views/default/forms/developers/settings.php,
  mod/developers/views/default/js/elgg/dev/gear.js: feature(developers): Adds a
  quick access icon for some admin settings  When enabled, a gear icon appears
  in the lower right of the viewport. Clicking it opens a popup with the entire
  admin page menu and the developer settings form.  This also makes it clear
  that caches are flushed.

2015-04-29  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* actions/widgets/save.php, views/default/object/widget.php,
  views/default/object/widget/elements/content.php: chore(views): refactored
  widget content view  Both the action and the object/widget view did the same
  content related checks. With this refactor the both use the same
  object/widget/elements/content view to handle the logic for the content
  output (no view logic in the actions). Reducing boilerplate.  Improved
  readability of the object/widget view  A side effect is that it now is easier
  to modify the generic content output of a widget instead of the full widget
  view. Now it is also easier to extend.

2015-04-10  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/events-list.rst, engine/classes/ElggMemcache.php:
  chore(memcache): Reset Memcache when the caches are flushed in Elgg  fixes
  #7286

  	* actions/admin/plugins/activate.php,
  actions/admin/plugins/activate_all.php, actions/admin/plugins/deactivate.php,
  actions/admin/plugins/deactivate_all.php,
  actions/admin/plugins/set_priority.php, actions/admin/site/flush_cache.php,
  docs/guides/events-list.rst, engine/classes/Elgg/UpgradeService.php,
  engine/lib/cache.php: feature(cache): introducing a generic function to reset
  all caches  With the introduction of more cache types there was no way te
  easily reset them all. This new function triggers an event so every cache can
  reset as needed.

2015-05-12  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/PersistentLoginService.php,
  engine/tests/phpunit/Elgg/PersistentLoginTest.php: fix(session): Remember me
  no longer results in occasional fatal errors  Fixes #8104

2015-05-11  Steve Clay <steve@mrclay.org>

  	* actions/comment/save.php, js/lib/comments.js: fix(comments): Ajax-saved
  comments show proper server formatting  Fixes #8294

2015-05-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* mod/groups/actions/groups/edit.php, mod/groups/languages/en.php:
  fix(groups): terminate edit action early if group can not be saved  Captures
  false returns from ElggGroup::save() and terminates edit action early with an
  error message

2015-04-21  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/views.php, views/default/page/components/module.php:
  chore(views): clean up module component view  Removes inline html and allows
  class to be an array

2015-05-06  Steve Clay <steve@mrclay.org>

  	* docs/guides/ajax.rst, engine/lib/elgglib.php: feature(ajax): Allows
  fetching form views wrapped by elgg_view_form()  This alters the ajax/view/
  page handler to also accept ajax/form/<action> and this renders the view
  wrapped with the form element and CSRF tokens.

2015-05-05  Steve Clay <steve@mrclay.org>

  	* docs/guides/actions.rst, docs/guides/ajax.rst, docs/guides/index.rst,
  docs/guides/javascript.rst: docs(ajax): Adds more complete Ajax docs  Fixes
  #8277

2015-04-30  Steve Clay <steve@mrclay.org>

  	* engine/classes/ElggInstaller.php, engine/lib/upgrade.php:
  chore(installer): Remove notices in the installer  Sets a default
  CONFIG->site_guid and stops reading the user-given path, which we no longer
  use.

2015-04-26  Juho Jaakkola <juho.a.jaakkola@gmail.com>

  	* docs/appendix/releases.rst, docs/appendix/roadmap.rst,
  docs/contribute/releases.rst, engine/lib/admin.php: chore(docs): replaced
  references of blog.elgg.org with community.elgg.org/blog

2015-04-27  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.11.1

  	* docs/locale/it/LC_MESSAGES/about.mo, docs/locale/it/LC_MESSAGES/about.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  mod/blog/languages/it.php, mod/blog/languages/ro_RO.php,
  mod/bookmarks/languages/it.php, mod/bookmarks/languages/ro_RO.php,
  mod/categories/languages/it.php, mod/categories/languages/ro_RO.php,
  mod/ckeditor/languages/it.php, mod/ckeditor/languages/ro_RO.php,
  mod/custom_index/languages/ro_RO.php, mod/diagnostics/languages/it.php,
  mod/profile/languages/it.php: chore(i18n): update translations

2015-04-26  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/views/default/aalborg_theme/css.php,
  mod/aalborg_theme/views/default/css/elements/components.php:
  fix(aalborg_theme): removes unwanted margin from elgg-list-river items  Fixes
  #8124

2015-04-24  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/aalborg_theme/views/default/css/elements/modules.php,
  views/default/css/elements/modules.php: fix(ui): prevent button jumping on
  widget add panel toggle  fixes #7705

2015-04-22  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/contribute/code.rst, engine/classes/Elgg/DeprecationService.php,
  engine/lib/elgglib.php: fix(deprecation): visible deprecation errors aren't
  displayed to admin anymore  We cannot assume all administrators to have the
  technical skill to upgrade plugin code or even the capability to install a
  new plugin version that has addressed the deprecation issues. Therefore it is
  best not to display visible errors at all as they only give the impression
  that the site is broken even though this is not the case.

2015-04-20  Steve Clay <steve@mrclay.org>

  	* mod/groups/views/default/discussion/replies.php,
  views/default/page/elements/comments.php: feature(comments): Paging through
  comments/discussion replies jumps to content  Comment and discussion reply
  listings now include URL fragments that push the user directly to the next
  set of comments/replies on the new page.  Refs #5041

  	* views/default/navigation/pagination.php,
  views/default/page/components/list.php: feature(views): Users can jump
  directly to content via prev/next links  This adds an option to add a URL
  fragment to pagination links, jumping the user directly to the paginated
  content on pages 2 and after. When returning to the first page, the fragment
  is not included, assuming that the user may actually want to see the full
  first page.  Should the base_url option contain a fragment, the url_fragment
  value will not replace it.

2015-04-14  Brett Profitt <brett.profitt@gmail.com>

  	* docs/admin/upgrading.rst, engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/MetastringsTable.php,
  ....11.0_dev-trim_metastrings-d9a9fdfa28a981a3.php,
  mod/groups/actions/discussion/save.php, version.php: fix(tags): Corrected
  cases of tags having leading or trailing spaces.  Metastrings for annotation
  and metadata name and values are again trimmed before saving.  Fixes #8123

2015-04-13  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.11.0

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/index.mo,
  docs/locale/de/LC_MESSAGES/tutorials.mo,
  docs/locale/de/LC_MESSAGES/tutorials.po, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/ja/LC_MESSAGES/about.mo, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.mo, mod/blog/languages/sr@latin.php:
  chore(i18n): update translations

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* mod/groups/start.php, .../default/group/format/invitationrequest.php,
  .../views/default/groups/invitationrequests.php: chore(groups): use core
  components for group invitations  Uses list component view for displaying
  group invitations Adds menu for group invitation actions

2015-03-16  Steve Clay <steve@mrclay.org>

  	* docs/design/events.rst, engine/classes/Elgg/HooksRegistrationService.php,
  engine/classes/Elgg/MethodMatcher.php, engine/lib/elgglib.php,
  .../phpunit/Elgg/HooksRegistrationServiceTest.php,
  engine/tests/phpunit/Elgg/MethodMatcherTest.php: feature(events): allows
  dynamic method callbacks to be unregistered  This adds a class for matching
  dynamic method callbacks using static method syntax and uses it to allow
  unregistering dynamic method callbacks from events/hooks.  Fixes #7750

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* views/default/page/components/gallery.php,
  views/default/page/components/list.php: chore(views): clean up list component
  views

  	* views/default/navigation/pagination.php,
  views/default/page/components/gallery.php,
  views/default/page/components/list.php: chore(views): move pagination logic
  out of list components  All list vars are now passed to pagination view

2015-04-09  Steve Clay <steve@mrclay.org>

  	* docs/guides/actions.rst, engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Security/Hmac.php, engine/classes/ElggCrypto.php,
  engine/lib/actions.php, engine/tests/phpunit/ElggCryptoTest.php,
  mod/uservalidationbyemail/lib/functions.php: fix(security): Eliminates
  auto-casting within HMAC token building  Non-string data passed to
  elgg_build_hmac() currently casts array elements to strings, which can cause
  silent loss of data for arrays, which get converted to “Array”. This just
  serializes any non-string data given, so there’s no loss of data, but the
  user must be more careful to give the same types.

2015-04-10  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/Elgg/Amd/Config.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/tests/phpunit/Elgg/Amd/ConfigTest.php: chore(test): added a test to
  check if the config amd hook is triggered

2015-04-11  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* views/default/input/access.php, views/default/input/checkbox.php,
  views/default/input/checkboxes.php, views/default/input/date.php,
  views/default/input/email.php, views/default/input/file.php,
  views/default/input/form.php, views/default/input/hidden.php,
  views/default/input/location.php, views/default/input/longtext.php,
  views/default/input/password.php, views/default/input/plaintext.php,
  views/default/input/radio.php, views/default/input/select.php,
  views/default/input/tag.php, views/default/input/tags.php,
  views/default/input/text.php, views/default/input/url.php: chore(views):
  cleaned up input views

2015-03-11  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/navigation.php, js/lib/ui.js, views/default/css/admin.php,
  views/default/css/elements/navigation.php,
  views/default/icon/user/default.php,
  .../navigation/menu/user_hover/contents.php,
  .../navigation/menu/user_hover/placeholder.php: feature(views): added lazy
  loading of user hover menu  fixes #4495

2015-04-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/pagehandler.php, languages/en.php,
  views/default/errors/400.php, views/default/errors/403.php: feature(core):
  adds handling of 400 and 403 error codes  Improves handling of 400 and 403
  HTTP error codes

2015-04-10  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/elgglib.php, languages/en.php: fix(views): prevent direct calls
  to an ajax view  fixes #4959

2015-04-10  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/CacheHandler.php, engine/classes/Elgg/Database.php,
  engine/classes/ElggInstaller.php, engine/handlers/cache_handler.php,
  engine/tests/ElggCoreMetadataAPITest.php, engine/tests/ElggUserTest.php,
  mod/profile/icondirect.php: chore(database): Removes some mysql_* calls
  outside Elgg\Database

2015-03-05  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/guides/hooks-list.rst, engine/classes/ElggEntity.php,
  languages/en.php: feature(engine): added a canDelete function to the entity
  class  fixes #2975

2015-04-10  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/ckeditor/start.php, mod/ckeditor/views/default/js/elgg/ckeditor.js:
  fix(js): only show editor toggle link if editor is initialized  This prevents
  having a toggle editor link even if there is no editor (for example if it the
  browser doesn't support it)  Ref #5686

2015-04-10  Jerome Bakker <jeabakker@coldtrick.com>

  	* languages/en.php, views/default/admin/configure_utilities/robots.php:
  feature(admin): add a warning when a physical robots.txt is present  The
  admin configured robots.txt settings will not work as a physical file is
  present  fixes #7067

2015-02-09  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/guides/hooks-list.rst, engine/classes/Elgg/Amd/Config.php: fix(js):
  increased AMD config waitSeconds to prevent timeout issues  fixes #7483

  	* docs/guides/hooks-list.rst, engine/classes/Elgg/Amd/Config.php:
  feature(js): added a hook to the AMD config to control the configuration 
  fixes #7045

2015-03-05  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/Elgg/Database/AccessCollections.php, engine/lib/access.php,
  engine/tests/phpunit/Elgg/Access/AclTest.php: chore(access): refactored
  get_reabable_access_level into service  fixes #7364

2015-04-05  Steve Clay <steve@mrclay.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.5

  	* docs/locale/de/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/index.po,
  docs/locale/es/LC_MESSAGES/about.mo, docs/locale/es/LC_MESSAGES/about.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  install/languages/gl.php, install/languages/ja.php, languages/de.php,
  languages/es.php, languages/fi.php, languages/gl.php, languages/ja.php,
  languages/nl.php, mod/blog/languages/sr.php, mod/developers/languages/gl.php,
  mod/developers/languages/nl.php, mod/developers/languages/pt_BR.php,
  mod/externalpages/languages/de.php, mod/externalpages/languages/es.php,
  mod/externalpages/languages/fi.php, mod/externalpages/languages/gl.php,
  mod/externalpages/languages/ja.php, mod/externalpages/languages/nl.php,
  mod/externalpages/languages/pl.php, mod/file/languages/es.php,
  mod/groups/languages/de.php, mod/groups/languages/es.php,
  mod/groups/languages/gl.php, mod/groups/languages/ja.php,
  mod/groups/languages/pl.php, mod/groups/languages/pt_BR.php,
  mod/reportedcontent/languages/gl.php, mod/reportedcontent/languages/pl.php,
  mod/reportedcontent/languages/pt_BR.php: chore(i18n): update translations

2015-03-12  Steve Clay <steve@mrclay.org>

  	* docs/guides/actions.rst, engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Database/SiteSecret.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Security/Hmac.php, engine/classes/ElggCrypto.php,
  engine/lib/actions.php, engine/tests/phpunit/ElggCryptoTest.php,
  mod/uservalidationbyemail/lib/functions.php: feature(security): Adds
  component to create and validate HMAC tokens  HMAC uses a binary encoding of
  the site key instead of the Base64 or hex encodings, and improves the docs of
  the site secret component.  Fixes #7824

2015-03-22  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.4

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  mod/custom_index/languages/sr.php, mod/file/languages/sr.php,
  mod/members/languages/sr.php, mod/profile/languages/sr.php,
  mod/tagcloud/languages/sr.php: chore(i18n): update translations

2015-03-20  Matt Beckett <beck24@gmail.com>

  	* js/lib/ui.js, languages/en.php,
  mod/pages/views/default/forms/pages/edit.php, views/default/input/access.php:
  feature(access): notify users when access change will affect comments  Uses
  js confirm, on approval new value is accepted, on cancel the original value
  is restored.  Fixes #8086

2015-03-02  ewinslow <evan@elgg.org>

  	* engine/classes/Elgg/I18n/ArrayMessageBundle.php,
  engine/classes/Elgg/I18n/Locale.php,
  engine/classes/Elgg/I18n/MessageBundle.php,
  engine/classes/Elgg/I18n/MessageTemplate.php,
  engine/classes/Elgg/I18n/MessageTranslator.php,
  engine/classes/Elgg/I18n/NullMessageTemplate.php,
  engine/classes/Elgg/I18n/NullTranslator.php,
  .../classes/Elgg/I18n/SprintfMessageTemplate.php,
  engine/classes/Elgg/I18n/Translator.php,
  engine/classes/Elgg/I18n/TranslatorInterface.php,
  .../phpunit/Elgg/I18n/MessageTranslatorTest.php,
  engine/tests/phpunit/Elgg/I18n/TranslatorTest.php: chore(i18n): Introduce
  Locale, Message, and MessageBundle  These concepts will help us clean up the
  i18n code significantly.

2015-03-20  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/HooksRegistrationService.php,
  .../phpunit/Elgg/HooksRegistrationService.php,
  .../phpunit/Elgg/HooksRegistrationServiceTest.php: chore(tests): Enable tests
  for abstract hooks service  These tests were not in the suite because the
  filename lacked “Test”. Also makes getOrderedHandlers() public to allow
  testing, and adds test for unregisterHandler only removing one handler per
  call.  Fixes #8069

2015-03-19  Brett Profitt <brett.profitt@gmail.com>

  	* languages/en.php, .../default/forms/admin/site/advanced/caching.php,
  .../forms/admin/site/advanced/content_access.php,
  .../forms/admin/site/advanced/debugging.php,
  .../default/forms/admin/site/advanced/security.php,
  .../forms/admin/site/advanced/site_access.php,
  views/default/forms/admin/site/advanced/system.php,
  views/default/forms/admin/site/update_advanced.php,
  views/default/js/admin.php: chore(views): Cleaned up the advanced settings
  views.

2015-03-09  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* js/lib/ui.js, .../views/default/css/elements/components.php,
  views/default/css/elements/components.php: feature(ui): allows highlighting
  an element whose id is found from the URL  Allows highlighting an individual
  element on the page if the item's id has been entered into the URL as a
  fragment identifier. For example the comment element with the id
  "elgg-comment-123" gets highlighted if the page URL contains the fragment
  identifier "#elgg-comment-123".

2015-03-12  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Context.php, engine/lib/pageowner.php,
  engine/tests/phpunit/Elgg/ContextTest.php: feature(context): adds API to
  get/set the entire context stack  Also adds more tests of existing
  functionality.

2015-03-13  Matt Beckett <beck24@gmail.com>

  	* actions/admin/upgrades/upgrade_comments_access.php,
  docs/guides/events-list.rst, engine/classes/ElggEntity.php,
  engine/lib/admin.php, engine/lib/comments.php,
  ....0_dev-comment-access-sync-50c9764e5845315c.php,
  engine/tests/ElggCommentTest.php, languages/en.php, mod/categories/start.php,
  mod/groups/start.php, version.php,
  views/default/admin/upgrades/commentaccess.php: fix(comments): keep comment
  access_id in sync with container  Fixes #7807, Fixes #7984

2014-01-20  Steve Clay <steve@mrclay.org>

  	* actions/admin/site/update_advanced.php, docs/guides/events-list.rst:
  feature(security): adds events around site secret regeneration  Site owners
  can regenerate a new site secret. This allows plugins to be notified of this
  change or to prevent it.  Fixes #6252

2015-03-11  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/guides/settings.rst, pages/settings/tools.php: feature(views): added
  the ability to translation the usersettings title  fixes #2201

2015-02-10  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/ElggMenuBuilder.php, languages/en.php: fix(engine):
  eliminated potential deadloops in MenuBuilder::setupTrees

2015-03-05  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/guides/hooks-list.rst, engine/lib/views.php: feature(engine): added a
  trigger to elgg_view_menu to adjust menu vars

  	* engine/classes/Elgg/I18n/Translator.php, engine/lib/languages.php,
  engine/tests/phpunit/Elgg/I18n/TranslatorTest.php: feature(i18n): added
  function to check if a language key exists

  	* languages/en.php, views/default/river/elements/responses.php: fix(views):
  changed text of the # more comments text in the river  fixes #5026

2015-03-09  Evan Winslow <evan.b.winslow@gmail.com>

  	* .travis.yml, composer.json: chore(php): Remove PHP 7 support for now 
  Breaking changes are happening too fast and causing us overhead. We will need
  to modernize Elgg's core and then we can turn it back on.

2015-03-08  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.3

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/index.mo,
  docs/locale/es/LC_MESSAGES/admin.mo, docs/locale/es/LC_MESSAGES/design.mo,
  docs/locale/es/LC_MESSAGES/guides.mo, docs/locale/fr/LC_MESSAGES/index.mo,
  docs/locale/ja/LC_MESSAGES/about.mo, docs/locale/pl/LC_MESSAGES/about.mo,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.mo, mod/developers/languages/pl.php,
  mod/groups/languages/sr.php, mod/thewire/languages/pl.php: chore(i18n):
  update translations

2015-02-18  Paweł Sroka <srokap@gmail.com>

  	* composer.json, engine/classes/ElggPluginManifest.php: feature(login_as):
  Added login_as plugin as bundled with the core.  Fixes #7958

2015-02-28  Evan Winslow <evan.b.winslow@gmail.com>

  	* .travis.yml, composer.json: chore(composer): Add `lint` and `test`
  convenience scripts  Fixes #7927

2014-12-03  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/Elgg/Database/Annotations.php, engine/lib/annotations.php,
  engine/lib/metastrings.php, .../ElggCoreGetEntitiesFromAnnotationsTest.php:
  fix(annotations): simplifies ege* for annotation calculations 
  Annotations::getEntitiesFromCalculation() now allows custom or no callback.
  Passing count => true to elgg_get_entities_from_annotation_calculation() now
  uses elgg_get_entities_from_annotations() (this removes the magic and flags
  used previously). Adds more egefac() tests and cleans up some of the lint. 
  Fixes #7398, #4393

2015-02-12  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* mod/file/start.php, .../default/file/theme_sandbox/icons/files.php:
  chore(theme): adds file type icons to theme sandbox

2015-02-17  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/Elgg/I18n/Translator.php,
  engine/tests/phpunit/Elgg/I18n/TranslatorTest.php: feature(i18n): allow
  option to force language with an url parameter  fixes #3732

2015-02-26  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/ElggEntity.php, engine/tests/phpunit/ElggEntityTest.php:
  chore(core): do not use deprecated methods in ElggEntity  Uses metadata
  assignment instead of ->set() and ->get() methods for latitude and longitude
  methods

2015-02-26  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* mod/groups/views/default/forms/groups/invite.php,
  pages/friends/collections/pickercallback.php: chore(friends): fixes
  deprecated use of getFriends() method

2015-02-26  Evan Winslow <evan.b.winslow@gmail.com>

  	* .travis.yml, composer.json: chore(tests): Add PHP 7 to Travis

2015-02-23  Jerome Bakker <jeabakker@coldtrick.com>

  	* engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/ElggEntity.php, engine/lib/access.php,
  engine/tests/ElggCoreAccessCollectionsTest.php, mod/groups/start.php:
  feature(db): remove access collection (membership) when an entity is removed 
  Cleanup the access collections and access collection memberships if an entity
  is removed from the database. This prevents database overhead.  fixes #5557

2015-02-19  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/externalpages/start.php,
  mod/externalpages/views/default/expages/menu.php: feature(externalpages):
  replaced tabs with menu on expages edit form

  	* mod/externalpages/languages/en.php,
  mod/externalpages/views/default/forms/expages/edit.php:
  feature(externalpages): added a link on the edit form to view page on site 
  fixes #4242

2015-02-25  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* views/default/core/settings/account/name.php,
  views/default/forms/usersettings/save.php: fix(views): always add the user
  guid param to the usersettings/save form

2015-02-23  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/users.php, mod/profile/start.php: fix(profile): moved topbar
  profile menu registration to profile plugin  Refs #5967

2015-02-23  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/views.rst, docs/guides/views/foot-vs-footer.rst: docs(views):
  documented the difference between page/elements/foot and footer  fixes: #3330

2015-02-19  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/admin.php, languages/en.php,
  views/default/widgets/cron_status/content.php: feature(core): added a new
  admin widget to monitor cron jobs

2015-02-21  Steve Clay <steve@mrclay.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.2

  	* docs/locale/ca/LC_MESSAGES/about.mo, docs/locale/ca/LC_MESSAGES/about.po,
  docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/ca/LC_MESSAGES/index.po,
  docs/locale/es/LC_MESSAGES/admin.mo, docs/locale/es/LC_MESSAGES/design.mo,
  docs/locale/es/LC_MESSAGES/guides.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.po, install/languages/de.php,
  install/languages/fi.php, languages/fi.php, languages/nl.php,
  mod/blog/languages/ru.php, mod/bookmarks/languages/el.php,
  mod/ckeditor/languages/ca.php, mod/ckeditor/languages/es.php,
  mod/ckeditor/languages/ru.php, mod/developers/languages/ca.php,
  mod/developers/languages/de.php, mod/developers/languages/es.php,
  mod/developers/languages/fr.php, mod/developers/languages/ja.php,
  mod/externalpages/languages/ru.php, mod/groups/languages/fi.php,
  mod/groups/languages/nl.php, mod/likes/languages/es.php,
  mod/messageboard/languages/el.php, mod/notifications/languages/es.php,
  mod/pages/languages/el.php, mod/pages/languages/ru.php,
  mod/reportedcontent/languages/de.php, mod/reportedcontent/languages/el.php,
  mod/reportedcontent/languages/es.php, mod/reportedcontent/languages/fi.php,
  mod/reportedcontent/languages/fr.php, mod/reportedcontent/languages/ja.php,
  mod/reportedcontent/languages/ru.php, mod/search/languages/el.php,
  mod/site_notifications/languages/ru.php: chore(i18n): update translations

2015-02-20  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Cache/MetadataCache.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/ElggVolatileMetadataCache.php,
  engine/tests/ElggCoreMetadataCacheTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(cache): rename
  ElggVolatileMetadata cache into Elgg\Cache namespace  Also removes the unused
  $last_access_state property.

  	* engine/classes/Elgg/Access.php, engine/classes/ElggSession.php,
  engine/lib/deprecated-1.10.php: chore(access): removes the Access service 
  This keeps code like elgg_get_access_object()->get_ignore_access() working as
  long as the plugin doesn’t demand type ElggAccess or Elgg\Access. This
  seems a reasonable compromise.

2015-02-17  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/classes/ElggEntity.php,
  engine/classes/ElggMetadata.php, engine/classes/ElggSession.php,
  engine/classes/ElggVolatileMetadataCache.php, engine/lib/metadata.php,
  engine/tests/ElggCoreMetadataCacheTest.php: chore(cache): simplifies metadata
  cache  This optimizes the cache for the most common case of read-only access.
  We no longer keep track of whether individual MD names are synchronized with
  the DB, nor do we try to inject MD writes into the cache. This greatly
  simplifies the hard task of cache invalidation, which was a good hiding place
  for bugs.  This also segregates the cache by access visibility, which makes
  the cache safer to use, and frees us from having to invalidate when ignore
  access is toggled.  Fixes #7953

2015-02-16  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/views.php, mod/aalborg_theme/start.php: fix(views): use named
  keys when registering meta tags and links in head  fixes #6609

2015-02-18  Jerome Bakker <jeabakker@coldtrick.com>

  	* views/default/output/tags.php, views/default/output/url.php: fix(views):
  improved check on non existing array keys  This prevents your PHP errorlog
  from overflowing with warnings about undefined indexes

2015-02-16  Steve Clay <steve@mrclay.org>

  	* engine/lib/comments.php, languages/en.php, mod/groups/languages/en.php,
  mod/groups/start.php: chore(http): adds URLs that redirect to
  comments/replies in context  For comments and discussion replies, getURL()
  now points to URLs that redirect to the the correct containing entity,
  offset, and fragment. This eliminates the need to query this in the river and
  makes for safer URLs in notifications, since the offset could potentially
  change.  Fixes #4193

2015-02-18  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Access.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  .../Elgg/Notifications/NotificationsService.php,
  engine/classes/ElggSession.php, engine/lib/access.php,
  engine/lib/deprecated-1.10.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  .../Notifications/NotificationsServiceTest.php: chore(session): moves ignore
  access state into session

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/entities.php, engine/lib/river.php, engine/lib/views.php,
  views/default/page/components/gallery.php,
  views/default/page/components/list.php: feature(views): allow providing
  alternative views for list items  Alternative view to render list items can
  now be passed as 'item_view' parameter to list generating views and functions

2015-02-17  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/elgglib.php, engine/lib/views.php,
  views/default/input/userpicker.php, views/default/js/elgg/UserPicker.js:
  fix(js): correctly define amd dependencies for input/userpicker  fixes #5296

2015-02-09  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/likes/start.php, mod/likes/views/default/annotation/likes.php,
  mod/likes/views/default/likes/count.php,
  mod/likes/views/default/likes/css.php,
  mod/likes/views/default/likes/popup.php: perf(likes): ajax load liking users
  and show in lightbox  fixes #4797

2015-02-15  Steve Clay <steve@mrclay.org>

  	* docs/guides/hooks-list.rst, engine/lib/comments.php,
  views/default/page/elements/comments.php: feature(comments): allows setting
  comments per page via hook

  	* engine/lib/comments.php, mod/groups/start.php,
  .../river/object/discussion_reply/create.php,
  views/default/river/object/comment/create.php: feature(comments): river
  comments/discussion replies go to right page  Fixes #7936

2015-02-14  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Filesystem/Directory.php,
  engine/classes/Elgg/Filesystem/File.php,
  engine/classes/Elgg/Filesystem/Filesystem.php,
  .../classes/Elgg/Filesystem/GaufretteDirectory.php,
  .../phpunit/Elgg/Filesystem/DirectoryTest.php,
  engine/tests/phpunit/Elgg/Filesystem/FileTest.php,
  .../phpunit/Elgg/Filesystem/FilesystemTest.php,
  .../Elgg/Filesystem/GaufretteDirectoryTest.php: chore(filesystem): Introduce
  `Directory` interface  * Renames `Filesystem\Filesystem` to
  `Filesystem\GaufretteDirectory`. This is more consistent with our class
  naming conventions and provides more relevant information.  * Introduces
  `Directory` interface which `GaufretteDirectory` now implements for better
  decoupling  * less likely to leak the Gaufrette implementation detail *
  easier to switch to Flysystem, etc. if need be  * Refactors tests and code to
  be written against the `Directory` interface. The `GaufretteDirectoryTest`
  now just provides `GaufretteDirectory` instances for those test methods to
  exercise.  * Renames `put` and `getFileContents` to `putContents` and
  `getContents` respectively for consistency.  * Alphabetize methods on both
  classes and the interface  * `Directory::getFiles()` now returns a
  `Collection` instead of an array

2015-01-01  Steve Clay <steve@mrclay.org>

  	* docs/guides/javascript.rst, js/tests/ElggSpinnerTest.js,
  mod/developers/start.php, .../views/default/js/elgg/dev/theme_sandbox.js,
  .../views/default/theme_sandbox/javascript.php,
  .../default/theme_sandbox/javascript/spinner.php,
  .../theme_sandbox/javascript/system_messages.php,
  views/default/css/admin.php, views/default/css/elements/misc/spinner.css,
  views/default/css/elgg.php, views/default/js/elgg/spinner.js: feature(js):
  adds a fixed Ajax spinner module  This also moves inline theme sandbox
  scripts to an AMD module

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* docs/guides/database.rst, engine/classes/ElggEntity.php,
  engine/tests/ElggEntityTest.php: feature(icons): allow ElggEntity::getIconURL
  to accept an array  Implementation of ElggEntity::getIconSizes() was
  restrictive and not respective of additional parameters passed to
  elgg_view_entity_icon().

2015-02-12  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/Elgg/I18n/Translator.php, engine/lib/languages.php,
  views/default/js/languages.php: fix(i18n): make sure that all potential
  languages are loadable with js

2015-02-09  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/tags.php, engine/tests/phpunit/Elgg/TagsTest.php: fix(engine):
  return original val if not a string for string_to_tag_array  fixes #7391

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/classes/Elgg/ViewsService.php,
  engine/tests/phpunit/Elgg/ViewsServiceTest.php: fix(views): view can only
  exist if it is string

2014-10-17  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* mod/aalborg_theme/views/default/page/default.php,
  views/default/page/default.php,
  views/default/page/elements/topbar_wrapper.php: feature(views): move logged
  in check to topbar view  Make it easier for theme authors to override topbar
  behaviour by moving the logged in check to the topbar view  Fixes #6582

2015-02-11  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* mod/groups/lib/groups.php, mod/groups/start.php,
  .../views/default/groups/invitationrequests.php: perf(groups): makes group
  invitations scalable  Adds pagination to the groups invitation list Uses a
  more efficient query to render the menu item

2015-02-11  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/ckeditor/vendors/ckeditor/CHANGES.md,
  mod/ckeditor/vendors/ckeditor/LICENSE.md,
  mod/ckeditor/vendors/ckeditor/adapters/jquery.js,
  mod/ckeditor/vendors/ckeditor/build-config.js,
  mod/ckeditor/vendors/ckeditor/ckeditor.js,
  mod/ckeditor/vendors/ckeditor/config.js,
  mod/ckeditor/vendors/ckeditor/contents.css,
  mod/ckeditor/vendors/ckeditor/lang/af.js,
  mod/ckeditor/vendors/ckeditor/lang/ar.js,
  mod/ckeditor/vendors/ckeditor/lang/bg.js,
  mod/ckeditor/vendors/ckeditor/lang/bn.js,
  mod/ckeditor/vendors/ckeditor/lang/bs.js,
  mod/ckeditor/vendors/ckeditor/lang/ca.js,
  mod/ckeditor/vendors/ckeditor/lang/cs.js,
  mod/ckeditor/vendors/ckeditor/lang/cy.js,
  mod/ckeditor/vendors/ckeditor/lang/da.js,
  mod/ckeditor/vendors/ckeditor/lang/de.js,
  mod/ckeditor/vendors/ckeditor/lang/el.js,
  mod/ckeditor/vendors/ckeditor/lang/en-au.js,
  mod/ckeditor/vendors/ckeditor/lang/en-ca.js,
  mod/ckeditor/vendors/ckeditor/lang/en-gb.js,
  mod/ckeditor/vendors/ckeditor/lang/en.js,
  mod/ckeditor/vendors/ckeditor/lang/eo.js,
  mod/ckeditor/vendors/ckeditor/lang/es.js,
  mod/ckeditor/vendors/ckeditor/lang/et.js,
  mod/ckeditor/vendors/ckeditor/lang/eu.js,
  mod/ckeditor/vendors/ckeditor/lang/fa.js,
  mod/ckeditor/vendors/ckeditor/lang/fi.js,
  mod/ckeditor/vendors/ckeditor/lang/fo.js,
  mod/ckeditor/vendors/ckeditor/lang/fr-ca.js,
  mod/ckeditor/vendors/ckeditor/lang/fr.js,
  mod/ckeditor/vendors/ckeditor/lang/gl.js,
  mod/ckeditor/vendors/ckeditor/lang/gu.js,
  mod/ckeditor/vendors/ckeditor/lang/he.js,
  mod/ckeditor/vendors/ckeditor/lang/hi.js,
  mod/ckeditor/vendors/ckeditor/lang/hr.js,
  mod/ckeditor/vendors/ckeditor/lang/hu.js,
  mod/ckeditor/vendors/ckeditor/lang/id.js,
  mod/ckeditor/vendors/ckeditor/lang/is.js,
  mod/ckeditor/vendors/ckeditor/lang/it.js,
  mod/ckeditor/vendors/ckeditor/lang/ja.js,
  mod/ckeditor/vendors/ckeditor/lang/ka.js,
  mod/ckeditor/vendors/ckeditor/lang/km.js,
  mod/ckeditor/vendors/ckeditor/lang/ko.js,
  mod/ckeditor/vendors/ckeditor/lang/ku.js,
  mod/ckeditor/vendors/ckeditor/lang/lt.js,
  mod/ckeditor/vendors/ckeditor/lang/lv.js,
  mod/ckeditor/vendors/ckeditor/lang/mk.js,
  mod/ckeditor/vendors/ckeditor/lang/mn.js,
  mod/ckeditor/vendors/ckeditor/lang/ms.js,
  mod/ckeditor/vendors/ckeditor/lang/nb.js,
  mod/ckeditor/vendors/ckeditor/lang/nl.js,
  mod/ckeditor/vendors/ckeditor/lang/no.js,
  mod/ckeditor/vendors/ckeditor/lang/pl.js,
  mod/ckeditor/vendors/ckeditor/lang/pt-br.js,
  mod/ckeditor/vendors/ckeditor/lang/pt.js,
  mod/ckeditor/vendors/ckeditor/lang/ro.js,
  mod/ckeditor/vendors/ckeditor/lang/ru.js,
  mod/ckeditor/vendors/ckeditor/lang/si.js,
  mod/ckeditor/vendors/ckeditor/lang/sk.js,
  mod/ckeditor/vendors/ckeditor/lang/sl.js,
  mod/ckeditor/vendors/ckeditor/lang/sq.js,
  mod/ckeditor/vendors/ckeditor/lang/sr-latn.js,
  mod/ckeditor/vendors/ckeditor/lang/sr.js,
  mod/ckeditor/vendors/ckeditor/lang/sv.js,
  mod/ckeditor/vendors/ckeditor/lang/th.js,
  mod/ckeditor/vendors/ckeditor/lang/tr.js,
  mod/ckeditor/vendors/ckeditor/lang/tt.js,
  mod/ckeditor/vendors/ckeditor/lang/ug.js,
  mod/ckeditor/vendors/ckeditor/lang/uk.js,
  mod/ckeditor/vendors/ckeditor/lang/vi.js,
  mod/ckeditor/vendors/ckeditor/lang/zh-cn.js,
  mod/ckeditor/vendors/ckeditor/lang/zh.js,
  .../ckeditor/plugins/a11yhelp/dialogs/a11yhelp.js,
  .../a11yhelp/dialogs/lang/_translationstatus.txt,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/af.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ar.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/bg.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ca.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/cs.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/cy.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/da.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/de.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/el.js,
  .../plugins/a11yhelp/dialogs/lang/en-gb.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/en.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/eo.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/es.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/et.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/fa.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/fi.js,
  .../plugins/a11yhelp/dialogs/lang/fr-ca.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/fr.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/gl.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/gu.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/he.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/hi.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/hr.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/hu.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/id.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/it.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ja.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/km.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ko.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ku.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/lt.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/lv.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/mk.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/mn.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/nb.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/nl.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/no.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/pl.js,
  .../plugins/a11yhelp/dialogs/lang/pt-br.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/pt.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ro.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ru.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/si.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/sk.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/sl.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/sq.js,
  .../plugins/a11yhelp/dialogs/lang/sr-latn.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/sr.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/sv.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/th.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/tr.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/tt.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/ug.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/uk.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/vi.js,
  .../plugins/a11yhelp/dialogs/lang/zh-cn.js,
  .../ckeditor/plugins/a11yhelp/dialogs/lang/zh.js,
  .../ckeditor/plugins/about/dialogs/about.js,
  .../ckeditor/plugins/clipboard/dialogs/paste.js,
  .../plugins/colordialog/dialogs/colordialog.js,
  .../plugins/confighelper/docs/install.html,
  .../ckeditor/plugins/confighelper/docs/styles.css,
  .../ckeditor/plugins/dialog/dialogDefinition.js,
  .../vendors/ckeditor/plugins/div/dialogs/div.js,
  .../ckeditor/plugins/fakeobjects/images/spacer.gif,
  .../vendors/ckeditor/plugins/find/dialogs/find.js,
  .../ckeditor/plugins/flash/dialogs/flash.js,
  .../ckeditor/plugins/flash/images/placeholder.png,
  .../ckeditor/plugins/forms/dialogs/button.js,
  .../ckeditor/plugins/forms/dialogs/checkbox.js,
  .../vendors/ckeditor/plugins/forms/dialogs/form.js,
  .../ckeditor/plugins/forms/dialogs/hiddenfield.js,
  .../ckeditor/plugins/forms/dialogs/radio.js,
  .../ckeditor/plugins/forms/dialogs/select.js,
  .../ckeditor/plugins/forms/dialogs/textarea.js,
  .../ckeditor/plugins/forms/dialogs/textfield.js,
  .../ckeditor/plugins/forms/images/hiddenfield.gif,
  mod/ckeditor/vendors/ckeditor/plugins/icons.png,
  .../vendors/ckeditor/plugins/icons_hidpi.png,
  .../ckeditor/plugins/iframe/dialogs/iframe.js,
  .../ckeditor/plugins/iframe/images/placeholder.png,
  .../ckeditor/plugins/image/dialogs/image.js,
  .../ckeditor/plugins/link/dialogs/anchor.js,
  .../vendors/ckeditor/plugins/link/dialogs/link.js,
  .../ckeditor/plugins/link/images/anchor.png,
  .../ckeditor/plugins/link/images/hidpi/anchor.png,
  .../plugins/liststyle/dialogs/liststyle.js,
  .../plugins/magicline/images/hidpi/icon-rtl.png,
  .../plugins/magicline/images/hidpi/icon.png,
  .../ckeditor/plugins/magicline/images/icon-rtl.png,
  .../ckeditor/plugins/magicline/images/icon.png,
  .../plugins/pagebreak/images/pagebreak.gif,
  .../plugins/pastefromword/filter/default.js,
  .../vendors/ckeditor/plugins/preview/preview.html,
  .../vendors/ckeditor/plugins/scayt/LICENSE.md,
  .../vendors/ckeditor/plugins/scayt/README.md,
  .../ckeditor/plugins/scayt/dialogs/options.js,
  .../ckeditor/plugins/scayt/dialogs/toolbar.css,
  .../plugins/showblocks/images/block_address.png,
  .../plugins/showblocks/images/block_blockquote.png,
  .../plugins/showblocks/images/block_div.png,
  .../plugins/showblocks/images/block_h1.png,
  .../plugins/showblocks/images/block_h2.png,
  .../plugins/showblocks/images/block_h3.png,
  .../plugins/showblocks/images/block_h4.png,
  .../plugins/showblocks/images/block_h5.png,
  .../plugins/showblocks/images/block_h6.png,
  .../ckeditor/plugins/showblocks/images/block_p.png,
  .../plugins/showblocks/images/block_pre.png,
  .../ckeditor/plugins/smiley/dialogs/smiley.js,
  .../ckeditor/plugins/smiley/images/angel_smile.gif,
  .../ckeditor/plugins/smiley/images/angel_smile.png,
  .../ckeditor/plugins/smiley/images/angry_smile.gif,
  .../ckeditor/plugins/smiley/images/angry_smile.png,
  .../plugins/smiley/images/broken_heart.gif,
  .../plugins/smiley/images/broken_heart.png,
  .../plugins/smiley/images/confused_smile.gif,
  .../plugins/smiley/images/confused_smile.png,
  .../ckeditor/plugins/smiley/images/cry_smile.gif,
  .../ckeditor/plugins/smiley/images/cry_smile.png,
  .../ckeditor/plugins/smiley/images/devil_smile.gif,
  .../ckeditor/plugins/smiley/images/devil_smile.png,
  .../plugins/smiley/images/embaressed_smile.gif,
  .../plugins/smiley/images/embarrassed_smile.gif,
  .../plugins/smiley/images/embarrassed_smile.png,
  .../ckeditor/plugins/smiley/images/envelope.gif,
  .../ckeditor/plugins/smiley/images/envelope.png,
  .../ckeditor/plugins/smiley/images/heart.gif,
  .../ckeditor/plugins/smiley/images/heart.png,
  .../ckeditor/plugins/smiley/images/kiss.gif,
  .../ckeditor/plugins/smiley/images/kiss.png,
  .../ckeditor/plugins/smiley/images/lightbulb.gif,
  .../ckeditor/plugins/smiley/images/lightbulb.png,
  .../ckeditor/plugins/smiley/images/omg_smile.gif,
  .../ckeditor/plugins/smiley/images/omg_smile.png,
  .../plugins/smiley/images/regular_smile.gif,
  .../plugins/smiley/images/regular_smile.png,
  .../ckeditor/plugins/smiley/images/sad_smile.gif,
  .../ckeditor/plugins/smiley/images/sad_smile.png,
  .../plugins/smiley/images/shades_smile.gif,
  .../plugins/smiley/images/shades_smile.png,
  .../ckeditor/plugins/smiley/images/teeth_smile.gif,
  .../ckeditor/plugins/smiley/images/teeth_smile.png,
  .../ckeditor/plugins/smiley/images/thumbs_down.gif,
  .../ckeditor/plugins/smiley/images/thumbs_down.png,
  .../ckeditor/plugins/smiley/images/thumbs_up.gif,
  .../ckeditor/plugins/smiley/images/thumbs_up.png,
  .../plugins/smiley/images/tongue_smile.gif,
  .../plugins/smiley/images/tongue_smile.png,
  .../plugins/smiley/images/tounge_smile.gif,
  .../smiley/images/whatchutalkingabout_smile.gif,
  .../smiley/images/whatchutalkingabout_smile.png,
  .../ckeditor/plugins/smiley/images/wink_smile.gif,
  .../ckeditor/plugins/smiley/images/wink_smile.png,
  .../dialogs/lang/_translationstatus.txt,
  .../plugins/specialchar/dialogs/lang/af.js,
  .../plugins/specialchar/dialogs/lang/ar.js,
  .../plugins/specialchar/dialogs/lang/bg.js,
  .../plugins/specialchar/dialogs/lang/ca.js,
  .../plugins/specialchar/dialogs/lang/cs.js,
  .../plugins/specialchar/dialogs/lang/cy.js,
  .../plugins/specialchar/dialogs/lang/da.js,
  .../plugins/specialchar/dialogs/lang/de.js,
  .../plugins/specialchar/dialogs/lang/el.js,
  .../plugins/specialchar/dialogs/lang/en-gb.js,
  .../plugins/specialchar/dialogs/lang/en.js,
  .../plugins/specialchar/dialogs/lang/eo.js,
  .../plugins/specialchar/dialogs/lang/es.js,
  .../plugins/specialchar/dialogs/lang/et.js,
  .../plugins/specialchar/dialogs/lang/fa.js,
  .../plugins/specialchar/dialogs/lang/fi.js,
  .../plugins/specialchar/dialogs/lang/fr-ca.js,
  .../plugins/specialchar/dialogs/lang/fr.js,
  .../plugins/specialchar/dialogs/lang/gl.js,
  .../plugins/specialchar/dialogs/lang/he.js,
  .../plugins/specialchar/dialogs/lang/hr.js,
  .../plugins/specialchar/dialogs/lang/hu.js,
  .../plugins/specialchar/dialogs/lang/id.js,
  .../plugins/specialchar/dialogs/lang/it.js,
  .../plugins/specialchar/dialogs/lang/ja.js,
  .../plugins/specialchar/dialogs/lang/km.js,
  .../plugins/specialchar/dialogs/lang/ku.js,
  .../plugins/specialchar/dialogs/lang/lt.js,
  .../plugins/specialchar/dialogs/lang/lv.js,
  .../plugins/specialchar/dialogs/lang/nb.js,
  .../plugins/specialchar/dialogs/lang/nl.js,
  .../plugins/specialchar/dialogs/lang/no.js,
  .../plugins/specialchar/dialogs/lang/pl.js,
  .../plugins/specialchar/dialogs/lang/pt-br.js,
  .../plugins/specialchar/dialogs/lang/pt.js,
  .../plugins/specialchar/dialogs/lang/ru.js,
  .../plugins/specialchar/dialogs/lang/si.js,
  .../plugins/specialchar/dialogs/lang/sk.js,
  .../plugins/specialchar/dialogs/lang/sl.js,
  .../plugins/specialchar/dialogs/lang/sq.js,
  .../plugins/specialchar/dialogs/lang/sv.js,
  .../plugins/specialchar/dialogs/lang/th.js,
  .../plugins/specialchar/dialogs/lang/tr.js,
  .../plugins/specialchar/dialogs/lang/tt.js,
  .../plugins/specialchar/dialogs/lang/ug.js,
  .../plugins/specialchar/dialogs/lang/uk.js,
  .../plugins/specialchar/dialogs/lang/vi.js,
  .../plugins/specialchar/dialogs/lang/zh-cn.js,
  .../plugins/specialchar/dialogs/lang/zh.js,
  .../plugins/specialchar/dialogs/specialchar.js,
  .../ckeditor/plugins/table/dialogs/table.js,
  .../plugins/tabletools/dialogs/tableCell.js,
  .../plugins/templates/dialogs/templates.css,
  .../plugins/templates/dialogs/templates.js,
  .../plugins/templates/templates/default.js,
  .../templates/templates/images/template1.gif,
  .../templates/templates/images/template2.gif,
  .../templates/templates/images/template3.gif,
  .../ckeditor/plugins/wordcount/css/wordcount.css,
  .../vendors/ckeditor/plugins/wsc/LICENSE.md,
  .../vendors/ckeditor/plugins/wsc/README.md,
  .../ckeditor/plugins/wsc/dialogs/ciframe.html,
  .../vendors/ckeditor/plugins/wsc/dialogs/tmp.html,
  .../ckeditor/plugins/wsc/dialogs/tmpFrameset.html,
  .../vendors/ckeditor/plugins/wsc/dialogs/wsc.css,
  .../vendors/ckeditor/plugins/wsc/dialogs/wsc.js,
  .../vendors/ckeditor/plugins/wsc/dialogs/wsc_ie.js,
  .../vendors/ckeditor/skins/moono/dialog.css,
  .../vendors/ckeditor/skins/moono/dialog_ie.css,
  .../vendors/ckeditor/skins/moono/dialog_ie7.css,
  .../vendors/ckeditor/skins/moono/dialog_ie8.css,
  .../ckeditor/skins/moono/dialog_iequirks.css,
  .../vendors/ckeditor/skins/moono/dialog_opera.css,
  .../vendors/ckeditor/skins/moono/editor.css,
  .../vendors/ckeditor/skins/moono/editor_gecko.css,
  .../vendors/ckeditor/skins/moono/editor_ie.css,
  .../vendors/ckeditor/skins/moono/editor_ie7.css,
  .../vendors/ckeditor/skins/moono/editor_ie8.css,
  .../ckeditor/skins/moono/editor_iequirks.css,
  .../vendors/ckeditor/skins/moono/icons.png,
  .../vendors/ckeditor/skins/moono/icons_hidpi.png,
  .../vendors/ckeditor/skins/moono/images/arrow.png,
  .../vendors/ckeditor/skins/moono/images/close.png,
  .../ckeditor/skins/moono/images/hidpi/close.png,
  .../skins/moono/images/hidpi/lock-open.png,
  .../ckeditor/skins/moono/images/hidpi/lock.png,
  .../ckeditor/skins/moono/images/hidpi/refresh.png,
  .../ckeditor/skins/moono/images/lock-open.png,
  .../vendors/ckeditor/skins/moono/images/lock.png,
  .../ckeditor/skins/moono/images/refresh.png,
  .../vendors/ckeditor/skins/moono/readme.md,
  mod/ckeditor/vendors/ckeditor/styles.js: fix(ckeditor): updated to full
  ckeditor package version 4.4.7  fixes #7574

2015-02-09  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/messages/actions/messages/delete.php,
  mod/messages/views/default/object/messages.php: fix(messages): forward to
  inbox after deleting a message  fixes #7004

  	* views/default/page/components/gallery.php,
  views/default/page/components/list.php: chore(views): added elgg-no-results
  class to empty listing text  fixes #7054

2015-02-04  Steve Clay <steve@mrclay.org>

  	* docs/guides/views.rst, engine/classes/Elgg/ViewsService.php,
  engine/tests/phpunit/Elgg/ViewsServiceTest.php: feature(views): plugin hooks
  can modify view $vars  Fixes #7736

  	* engine/classes/Elgg/ViewsService.php,
  engine/tests/phpunit/Elgg/ViewsServiceTest.php,
  .../test_files/views/default/js/interpreted.js.php: chore(tests): tests view,
  view_name hook in PHPUnit

2015-01-26  Steve Clay <steve@mrclay.org>

  	* docs/admin/plugins.rst, docs/guides/hooks-list.rst, docs/guides/views.rst:
  docs(views): improves docs for views

2015-02-04  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/groups/views/default/object/discussion_reply.php,
  views/default/object/comment.php: fix(views): adds excerpt to comments and
  discussions in activity context  fixes #5811

  	* js/lib/ajax.js, languages/en.php: fix(js): catch global ajax errors and
  report to the user  fixes #5134

2015-02-04  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* js/lib/ui.js, mod/aalborg_theme/views/default/css/elements/forms.php:
  fix(datepicker): Prevents month navigation links from overlapping with other
  elements  It is difficult to predict how much translatable strings need space
  in each language. This replaces the textual representation with icons to make
  sure that the Next and Previous links do not take up too much space.  Fixes
  #7542

2015-01-29  Evan Winslow <evan.b.winslow@gmail.com>

  	* docs/intro/install.rst, docs/intro/install/cloud9.rst,
  docs/intro/install/easyphp.rst, docs/intro/install/iis.rst,
  docs/intro/install/mamp.rst, docs/intro/install/mariadb.rst,
  docs/intro/install/nginx.rst, docs/intro/install/ubuntu.rst,
  docs/intro/install/virtual.rst, docs/intro/install/xampp.rst: docs(install):
  Move environment-specific instructions to their own pages  Fixes #7834

2015-01-26  Steve Clay <steve@mrclay.org>

  	* engine/classes/ElggVolatileMetadataCache.php, engine/lib/metastrings.php,
  engine/tests/ElggCoreMetadataAPITest.php: fix(metadata): metadata values
  returned in more reliable order  Storing multiple values often results in
  metadata rows with the same time_created columns. Additionally ordering by ID
  allows values with the same time_created to be fetched in insertion order. 
  Fixes #5603

2014-10-03  Steve Clay <steve@mrclay.org>

  	* docs/guides/hooks-list.rst, engine/lib/navigation.php,
  engine/tests/phpunit/ElggBreadcrumbsTest.php,
  views/default/navigation/breadcrumbs.php: feature(navigation): add hook to
  filter breadcrumbs  This also makes sure crumb titles are escaped in the
  view, and moves the elgg_get_excerpt call to a hook handler, allowing it to
  be disabled.  Fixes #6419

2015-01-26  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/blog/views/default/blog/sidebar.php,
  mod/bookmarks/views/default/bookmarks/sidebar.php,
  mod/file/views/default/file/sidebar.php,
  mod/pages/views/default/pages/sidebar.php: fix(views): sidebar comments block
  data should be consistent with page  The commented on entities in the sidebar
  are now the same as the listing of the content on the page

  	* mod/blog/views/default/blog/sidebar.php,
  mod/bookmarks/views/default/bookmarks/sidebar.php,
  mod/file/views/default/file/sidebar.php,
  mod/pages/views/default/pages/sidebar.php,
  mod/thewire/views/default/thewire/sidebar.php: fix(views): switch tagcloud
  blocks to list tags based on container_guid

2015-01-20  Steve Clay <steve@mrclay.org>

  	* .scripts/release.php, engine/classes/Elgg/Json/EmptyKeyEncoding.php,
  .../phpunit/Elgg/Json/EmptyKeyEncodingTest.php: chore(release): composer.json
  can be updated without corruption  In the release process, we JSON decode
  composer.json to update the version then re-encode it. Due to a PHP bug, we
  now use a new component which converts empty string keys to a unique token in
  decoded values. This stops json_decode from breaking our autoloader config. 
  Fixes #7768

2015-01-26  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.1

  	* docs/locale/pl/LC_MESSAGES/about.mo, docs/locale/pl/LC_MESSAGES/about.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot, languages/fi.php:
  chore(i18n): update translations

2015-01-24  Steve Clay <steve@mrclay.org>

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/object/discussion_reply.php,
  mod/groups/views/default/object/groupforumtopic.php: chore(views): remove
  unused container lookup vars in entity views

  	* mod/developers/languages/en.php,
  mod/developers/views/default/developers/log.php: feature(developers): show
  total DB queries in the developer screen log  This adds the “total”
  queries to the developers plugin visible log area. For practical purposes
  this only includes queries run before the log is output, but this is late
  enough to be a useful metric.

2014-12-12  Steve Clay <steve@mrclay.org>

  	* docs/guides/database.rst, engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/EntityPreloader.php, engine/lib/entities.php,
  engine/lib/metastrings.php, .../tests/ElggEntityPreloaderIntegrationTest.php,
  engine/tests/ElggOwnerPreloaderIntegrationTest.php,
  engine/tests/phpunit/Elgg/EntityPreloaderTest.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/friends.php, mod/file/pages/file/friends.php,
  mod/file/pages/file/world.php, mod/groups/lib/discussion.php,
  mod/groups/lib/groups.php, mod/pages/pages/pages/friends.php,
  mod/pages/pages/pages/world.php: perf(entities): adds preload_containers
  option to elgg_get_entities  This allows devs to preload the containing
  entities of a fetched list. It refactors the EntityPreloader a bit to support
  both use cases, and adds container preloading to lists of group discussions. 
  Fixes #7663

2014-12-11  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/UsersTable.php, engine/classes/ElggGroup.php,
  engine/classes/ElggObject.php, engine/classes/ElggSite.php,
  engine/classes/ElggUser.php, engine/lib/configuration.php,
  engine/lib/river.php, engine/lib/sessions.php, engine/lib/users.php:
  perf(entities): loads more entities with a single query  This optimizes
  elgg_get_entities() to automatically join secondary tables to load entities
  in fewer queries. It also improves get_entity() by using elgg_get_entities
  internally. This also improves river prefetching by taking advantage of this
  optimization.  Fixes #7662, #7659

2015-01-19  Steve Clay <steve@mrclay.org>

  	* docs/guides/views.rst,
  .../views/default/river/elements/discussion_replies.php: fix(plugins):
  discussion replies no longer missing/reversed order on river  A switch to
  elgg_list_entities() caused the URL offset param to influence the display of
  inline replies, causing the river not to show the latest on later pages. Here
  we move back to ege() but we add a warning in the docs for ele() about this
  behavior. This also reverses the order of the replies so it matches the river
  comments.  Fixes #7801, #7668

2014-09-16  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/ActionsService.php,
  engine/tests/phpunit/Elgg/ActionsServiceTest.php: fix(actions): action
  scripts can return falsey values without causing errors  We were testing the
  return value of "include", but this caused a false- positive error if the
  script uses "return;". Now we actually test for the ability to read the
  script and include it with isolated scope.  Fixes #7209

2015-01-19  Steve Clay <steve@mrclay.org>

  	* mod/groups/start.php, mod/likes/start.php: fix(plugins): re-hides the
  likes button for groups  The name of the likes menu item was mistakenly
  changed, causing like buttons to appear for groups. This changes it back.
  Also this removes the hidden “unlike” menu item that serves no purpose. 
  Fixes #7724

2014-12-24  Steve Clay <steve@mrclay.org>

  	* .../actions/reportedcontent/add.php,
  .../actions/reportedcontent/archive.php,
  .../actions/reportedcontent/delete.php, mod/reportedcontent/languages/en.php,
  mod/reportedcontent/start.php,
  .../admin/administer_utilities/reportedcontent.php,
  .../views/default/forms/reportedcontent/add.php,
  .../views/default/js/elgg/reportedcontent.js,
  .../views/default/object/reported_content.php,
  .../default/resources/reportedcontent/add_form.php,
  .../default/widgets/reportedcontent/content.php: feature(plugins): adds
  several reported content features  Ajaxifies the reporting form (form page
  still BC) and delete/archive actions. Sorts un-archived reports at the top of
  results. More compact report display, and clicking reported link opens page
  in an iframe in colorbox.  Fixes #5379, #6082, #5380

2013-10-24  Steve Clay <steve@mrclay.org>

  	* docs/guides/hooks-list.rst,
  engine/classes/Elgg/Database/AccessCollections.php, engine/lib/access.php,
  mod/blog/views/default/forms/blog/save.php,
  .../views/default/forms/bookmarks/save.php,
  mod/file/views/default/forms/file/upload.php,
  mod/groups/views/default/forms/discussion/save.php,
  mod/groups/views/default/groups/edit/access.php, mod/pages/start.php,
  mod/pages/views/default/forms/pages/edit.php,
  mod/pages/views/default/input/write_access.php,
  views/default/input/access.php: feature(views): passes more context info to
  input/access and access hooks  Without contextual information about the
  entity being edited/created, it's difficult to alter the input/access view in
  meaningful ways. This provides the hook parameter to hold that info and
  alters the core uses of input/access to provide that info.  Fixes #4695

2015-01-13  Steve Clay <steve@mrclay.org>

  	* Gruntfile.js, docs/_themes/elgg_rtd_theme/LICENSE,
  docs/_themes/elgg_rtd_theme/__init__.py,
  docs/_themes/elgg_rtd_theme/breadcrumbs.html,
  docs/_themes/elgg_rtd_theme/footer.html,
  docs/_themes/elgg_rtd_theme/layout.html,
  docs/_themes/elgg_rtd_theme/layout_old.html,
  docs/_themes/elgg_rtd_theme/search.html,
  docs/_themes/elgg_rtd_theme/searchbox.html,
  .../elgg_rtd_theme/static/css/badge_only.css,
  docs/_themes/elgg_rtd_theme/static/css/theme.css,
  docs/_themes/elgg_rtd_theme/static/elgg_logo.png,
  .../elgg_rtd_theme/static/fonts/FontAwesome.otf,
  .../static/fonts/fontawesome-webfont.eot,
  .../static/fonts/fontawesome-webfont.svg,
  .../static/fonts/fontawesome-webfont.ttf,
  .../static/fonts/fontawesome-webfont.woff,
  docs/_themes/elgg_rtd_theme/static/js/theme.js,
  docs/_themes/elgg_rtd_theme/theme.conf,
  docs/_themes/elgg_rtd_theme/versions.html, docs/conf.py,
  docs/contribute/docs.rst, grunt/clean.js, grunt/connect.js, grunt/exec.js,
  grunt/open.js, grunt/watch.js, package.json: chore(docs): Improves UX for
  docs editors  Adds RST to test docs locally Adds customizable fork of Read
  The Docs sphinx theme (used only locally for now) Adds grunt configs for file
  for auto-building/scanning

2014-12-29  Steve Clay <steve@mrclay.org>

  	* composer.json, engine/classes/Elgg/Di/ServiceProvider.php,
  .../classes/Elgg/Http/DatabaseSessionHandler.php,
  engine/classes/Elgg/Http/MockSessionHandler.php,
  engine/classes/Elgg/Http/MockSessionStorage.php,
  engine/classes/Elgg/Http/NativeSessionStorage.php,
  engine/classes/Elgg/Http/ParameterBag.php,
  engine/classes/Elgg/Http/Request.php,
  engine/classes/Elgg/Http/SessionHandler.php,
  engine/classes/Elgg/Http/SessionStorage.php,
  engine/classes/ElggInstaller.php, engine/classes/ElggSession.php,
  engine/tests/ElggCoreAccessSQLTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  .../phpunit/Elgg/Http/MockSessionStorageTest.php,
  .../phpunit/Elgg/Http/NativeSessionStorageTest.php,
  .../Notifications/NotificationsServiceTest.php,
  .../Notifications/SubscriptionsServiceTest.php,
  engine/tests/phpunit/Elgg/PersistentLoginTest.php,
  engine/tests/phpunit/Elgg/ViewsServiceTest.php,
  engine/tests/phpunit/ElggEntityTest.php,
  engine/tests/phpunit/ElggGroupTest.php,
  engine/tests/phpunit/ElggObjectTest.php,
  engine/tests/phpunit/ElggSessionTest.php,
  engine/tests/phpunit/ElggSiteTest.php,
  engine/tests/phpunit/ElggUpgradeTest.php,
  engine/tests/phpunit/ElggUserTest.php: chore(http): Uses Symfony
  HttpFoundation instead of our PHP 5.2 port  Biggest change here is that
  ElggSession now uses a Symfony session for underlying storage instead of a
  “storage” object. This is just because, since we ported this, Symfony
  moved its getters/setters from the storage object to the higher level
  session.

2015-01-11  Steve Clay <steve@mrclay.org>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.8

  	* docs/locale/fr/LC_MESSAGES/index.mo, docs/locale/fr/LC_MESSAGES/index.po,
  docs/locale/ja/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, install/languages/es.php,
  install/languages/fi.php, install/languages/fr.php, languages/de.php,
  languages/fr.php, languages/ja.php, languages/nl.php,
  mod/blog/languages/es.php, mod/blog/languages/nl.php,
  mod/bookmarks/languages/es.php, mod/bookmarks/languages/nl.php,
  mod/categories/languages/nl.php, mod/categories/languages/pt_BR.php,
  mod/ckeditor/languages/fr.php, mod/ckeditor/languages/nl.php,
  mod/ckeditor/languages/pl.php, mod/ckeditor/languages/pt_BR.php,
  mod/developers/languages/de.php, mod/developers/languages/fi.php,
  mod/developers/languages/fr.php, mod/developers/languages/ja.php,
  mod/developers/languages/nl.php, mod/diagnostics/languages/nl.php,
  mod/embed/languages/nl.php, mod/externalpages/languages/nl.php,
  mod/file/languages/nl.php, mod/garbagecollector/languages/nl.php,
  mod/groups/languages/de.php, mod/groups/languages/ja.php,
  mod/groups/languages/nl.php, mod/invitefriends/languages/nl.php,
  mod/legacy_urls/languages/nl.php, mod/likes/languages/nl.php,
  mod/logbrowser/languages/nl.php, mod/logrotate/languages/nl.php,
  mod/messageboard/languages/nl.php, mod/messages/languages/nl.php,
  mod/notifications/languages/nl.php, mod/pages/languages/nl.php,
  mod/pages/languages/pt_BR.php, mod/reportedcontent/languages/nl.php,
  mod/site_notifications/languages/de.php,
  mod/site_notifications/languages/es.php,
  mod/site_notifications/languages/fr.php,
  mod/site_notifications/languages/ja.php,
  mod/site_notifications/languages/nl.php,
  mod/site_notifications/languages/pl.php, mod/thewire/languages/nl.php,
  mod/twitter_api/languages/nl.php, mod/uservalidationbyemail/languages/nl.php:
  chore(i18n): update translations

  	* CHANGELOG.md, composer.json: chore(release): v1.10.0

  	* docs/locale/fr/LC_MESSAGES/index.mo, docs/locale/fr/LC_MESSAGES/index.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot: chore(i18n):
  update translations

2014-10-06  Arsalan Shah <manactric@gmail.com>

  	* mod/groups/actions/groups/delete.php, mod/groups/actions/groups/edit.php:
  chore(groups): Get the image sizes from the icon_sizes config

2015-01-09  Steve Clay <steve@mrclay.org>

  	* engine/lib/objects.php, mod/file/classes/FilePluginFile.php: fix(plugins):
  Eliminates deprecation notice on file plugin objects  FilePluginFile fails to
  register a custom subtype. Due to this, we need to catch the use of
  __construct(GUID) and instead pass a DB row to the parent ElggFile
  constructor.  Fixes #7761

2015-01-02  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/lib/comments.php, mod/groups/start.php: fix(notifications): subject
  of comment notification email always starts with "Re: "  Subjects of comment
  notification emails were starting with "Re: " only when the groups plugin was
  enabled. This moves the logic out from the groups plugin, so comment
  notifications use the correct subject regardless if the groups plugin is
  enabled or not.  Fixes #7743

2015-01-09  Paweł Sroka <srokap@gmail.com>

  	* docs/admin/duplicate-installation.rst, docs/admin/upgrading.rst,
  docs/intro/install.rst, engine/classes/Elgg/Project/CodeStyle.php,
  engine/classes/ElggRewriteTester.php, htaccess_dist,
  install/config/htaccess.dist, install/config/nginx.dist,
  install/languages/en.php, languages/en.php, upgrade.php: docs(nginx): Added
  sample nginx configuration and moved sample configs to install/config/ 
  Fixes: #5929, #7753

2015-01-07  iionly <iionly@gmx.de>

  	* mod/aalborg_theme/views/default/css/elements/forms.php,
  views/default/css/elements/forms.php: fix(css): Correct z-index for
  autocomplete form field when opened in lightbox

2015-01-02  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/pageowner.php,
  engine/tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(services): Add
  phpdoc and service provider test for context

2014-12-08  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/SystemMessagesService.php, engine/lib/elgglib.php,
  engine/lib/views.php, .../phpunit/Elgg/SystemMessagesServiceTest.php:
  chore(system_messages): adds system message service and refactors logic 
  Fixes #2708, #7652

2014-12-22  Paweł Sroka <srokap@gmail.com>

  	* composer.json, engine/tests/suite.php,
  vendors/simpletest/HELP_MY_TESTS_DONT_WORK_ANYMORE,
  vendors/simpletest/LICENSE, vendors/simpletest/README,
  vendors/simpletest/VERSION, vendors/simpletest/arguments.php,
  vendors/simpletest/authentication.php, vendors/simpletest/autorun.php,
  vendors/simpletest/browser.php, vendors/simpletest/collector.php,
  vendors/simpletest/compatibility.php, vendors/simpletest/cookies.php,
  vendors/simpletest/default_reporter.php, vendors/simpletest/detached.php,
  .../docs/en/authentication_documentation.html,
  .../simpletest/docs/en/browser_documentation.html,
  vendors/simpletest/docs/en/docs.css,
  .../docs/en/expectation_documentation.html,
  .../docs/en/form_testing_documentation.html,
  .../docs/en/group_test_documentation.html,
  vendors/simpletest/docs/en/index.html,
  .../docs/en/mock_objects_documentation.html,
  vendors/simpletest/docs/en/overview.html,
  .../docs/en/partial_mocks_documentation.html,
  .../simpletest/docs/en/reporter_documentation.html,
  .../docs/en/unit_test_documentation.html,
  .../docs/en/web_tester_documentation.html,
  .../docs/fr/authentication_documentation.html,
  .../simpletest/docs/fr/browser_documentation.html,
  vendors/simpletest/docs/fr/docs.css,
  .../docs/fr/expectation_documentation.html,
  .../docs/fr/form_testing_documentation.html,
  .../docs/fr/group_test_documentation.html,
  vendors/simpletest/docs/fr/index.html,
  .../docs/fr/mock_objects_documentation.html,
  vendors/simpletest/docs/fr/overview.html,
  .../docs/fr/partial_mocks_documentation.html,
  .../simpletest/docs/fr/reporter_documentation.html,
  .../docs/fr/unit_test_documentation.html,
  .../docs/fr/web_tester_documentation.html, vendors/simpletest/dumper.php,
  vendors/simpletest/eclipse.php, vendors/simpletest/encoding.php,
  vendors/simpletest/errors.php, vendors/simpletest/exceptions.php,
  vendors/simpletest/expectation.php,
  vendors/simpletest/extensions/pear_test_case.php,
  vendors/simpletest/extensions/testdox.php,
  vendors/simpletest/extensions/testdox/test.php, vendors/simpletest/form.php,
  vendors/simpletest/frames.php, vendors/simpletest/http.php,
  vendors/simpletest/invoker.php, vendors/simpletest/mock_objects.php,
  vendors/simpletest/page.php, vendors/simpletest/php_parser.php,
  vendors/simpletest/recorder.php, vendors/simpletest/reflection_php4.php,
  vendors/simpletest/reflection_php5.php, vendors/simpletest/remote.php,
  vendors/simpletest/reporter.php, vendors/simpletest/scorer.php,
  vendors/simpletest/selector.php, vendors/simpletest/shell_tester.php,
  vendors/simpletest/simpletest.php, vendors/simpletest/socket.php,
  vendors/simpletest/tag.php, vendors/simpletest/test/acceptance_test.php,
  vendors/simpletest/test/adapter_test.php,
  vendors/simpletest/test/all_tests.php,
  vendors/simpletest/test/arguments_test.php,
  vendors/simpletest/test/authentication_test.php,
  vendors/simpletest/test/autorun_test.php,
  vendors/simpletest/test/bad_test_suite.php,
  vendors/simpletest/test/browser_test.php,
  vendors/simpletest/test/collector_test.php,
  vendors/simpletest/test/command_line_test.php,
  vendors/simpletest/test/compatibility_test.php,
  vendors/simpletest/test/cookies_test.php,
  vendors/simpletest/test/detached_test.php,
  vendors/simpletest/test/dumper_test.php,
  vendors/simpletest/test/eclipse_test.php,
  vendors/simpletest/test/encoding_test.php,
  vendors/simpletest/test/errors_test.php,
  vendors/simpletest/test/exceptions_test.php,
  vendors/simpletest/test/expectation_test.php,
  vendors/simpletest/test/form_test.php,
  vendors/simpletest/test/frames_test.php,
  vendors/simpletest/test/http_test.php,
  vendors/simpletest/test/interfaces_test.php,
  vendors/simpletest/test/interfaces_test_php5_1.php,
  vendors/simpletest/test/live_test.php,
  vendors/simpletest/test/mock_objects_test.php,
  vendors/simpletest/test/page_test.php,
  vendors/simpletest/test/parse_error_test.php,
  vendors/simpletest/test/parsing_test.php,
  vendors/simpletest/test/php_parser_test.php,
  vendors/simpletest/test/recorder_test.php,
  vendors/simpletest/test/reflection_php5_test.php,
  vendors/simpletest/test/remote_test.php,
  vendors/simpletest/test/shell_test.php,
  vendors/simpletest/test/shell_tester_test.php,
  vendors/simpletest/test/simpletest_test.php,
  vendors/simpletest/test/site/file.html,
  vendors/simpletest/test/socket_test.php,
  .../test/support/collector/collectable.1,
  .../test/support/collector/collectable.2,
  .../simpletest/test/support/empty_test_file.php,
  vendors/simpletest/test/support/failing_test.php,
  vendors/simpletest/test/support/latin1_sample,
  vendors/simpletest/test/support/passing_test.php,
  .../simpletest/test/support/recorder_sample.php,
  vendors/simpletest/test/support/spl_examples.php,
  .../test/support/supplementary_upload_sample.txt,
  vendors/simpletest/test/support/test1.php,
  vendors/simpletest/test/support/upload_sample.txt,
  vendors/simpletest/test/tag_test.php,
  vendors/simpletest/test/test_with_parse_error.php,
  vendors/simpletest/test/unit_tester_test.php,
  vendors/simpletest/test/unit_tests.php, vendors/simpletest/test/url_test.php,
  vendors/simpletest/test/user_agent_test.php,
  vendors/simpletest/test/visual_test.php,
  vendors/simpletest/test/web_tester_test.php,
  vendors/simpletest/test/xml_test.php, vendors/simpletest/test_case.php,
  vendors/simpletest/tidy_parser.php, vendors/simpletest/unit_tester.php,
  vendors/simpletest/url.php, vendors/simpletest/user_agent.php,
  vendors/simpletest/web_tester.php, vendors/simpletest/xml.php:
  chore(simpletest): Removed old static simpletest library in favor of newer
  composer version.

2014-12-21  Paweł Sroka <srokap@gmail.com>

  	* engine/classes/Elgg/Assets/ExternalFiles.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/elgglib.php,
  .../phpunit/Elgg/Assets/ExternalFilesTest.php: chore(core): Added coverage
  tests for external files service

2014-12-21  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Cache/SystemCache.php,
  engine/classes/Elgg/Debug/Inspector.php,
  .../classes/Elgg/Debug/Inspector/ViewComponent.php,
  engine/classes/Elgg/EventsService.php,
  engine/classes/Elgg/HooksRegistrationService.php,
  engine/classes/Elgg/PluginHooksService.php,
  mod/developers/classes/ElggInspector.php, mod/developers/languages/en.php,
  .../views/default/admin/develop_tools/inspect.php,
  .../default/admin/develop_tools/inspect/events.php,
  .../admin/develop_tools/inspect/pluginhooks.php,
  .../admin/develop_tools/inspect/simplecache.php,
  .../default/admin/develop_tools/inspect/views.php,
  .../develop_tools/inspect/views/view_link.php,
  .../admin/develop_tools/inspect/widgets.php: feature(developers): the
  inspector pages show a lot more info  The install path is stripped from file
  locations. Events & Hooks show priorities and more usable descriptions for
  handlers that aren’t global functions. Views show priorities, extensions,
  overrides, and any plugin hooks that may filter their output.  Users can jump
  directly to plugin hook or view inspections from the views, simple cache, and
  widgets listings.  We also move describeCallable() to the inspector.  Fixes
  #4540

2014-12-18  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Cache/SystemCache.php,
  engine/classes/Elgg/ViewsService.php, engine/classes/ElggPlugin.php,
  engine/lib/cache.php: chore(views): refactor system cache and views for more
  info capture  This moves the logic of sniffing plugin dirs for views into the
  ViewsService so it’s less coupled to ElggPlugin. Also we add tracking of
  views whose locations have been overridden. We save them in the system cache
  but don’t need to load them for requests; that can be done by the views
  inspector if it needs them.

2014-12-21  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/README.md, mod/aalborg_theme/start.php,
  mod/aalborg_theme/vendors/js/respond.min.js,
  mod/aalborg_theme/views/default/css/elements/buttons.php,
  mod/aalborg_theme/views/default/css/elements/navigation.php:
  chore(aalborg_theme): remove IE 8 support  Fixes  #7707

2014-12-20  Paweł Sroka <srokap@gmail.com>

  	* .travis.yml, index.php, install/cli/travis_installer.php: feature(test):
  Added rewrite rules for builtin PHP cli server execution

  	* engine/tests/phpunit/Elgg/Cache/MemoryPoolTest.php,
  engine/tests/phpunit/Elgg/Cache/NullPoolTest.php: chore(cache): Added
  coverage tests

  	* engine/classes/Elgg/Amd/Config.php,
  engine/tests/phpunit/Elgg/Amd/ConfigTest.php,
  engine/tests/phpunit/Elgg/Amd/ViewFilterTest.php: fix(amd): Added coverage
  tests and fixed minor bugs.

2014-12-18  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/classes/Elgg/Database/Plugins.php,
  engine/tests/phpunit/Elgg/Database/Plugins.php: fix(settings): It's again
  possible to set user specific setting for a plugin  Fixes the method name
  from setUserSettings() to setUserSetting() and adds an incomplete unit test.

2014-12-15  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.10.0-rc.1

2014-12-16  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/languages.php, views/default/js/elgg.php,
  views/default/js/languages.php, views/default/js/languages/en.php:
  perf(languages): improved js caching of languages by using simplecache  fixes
  #7458

2014-12-15  Matt Beckett <beck24@gmail.com>

  	* docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.mo, docs/locale/es/LC_MESSAGES/appendix.mo,
  docs/locale/es/LC_MESSAGES/intro.mo, docs/locale/fr/LC_MESSAGES/about.mo,
  docs/locale/it/LC_MESSAGES/about.mo, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/plugins.pot,
  docs/locale/pot/tutorials.pot, docs/locale/ru/LC_MESSAGES/about.mo:
  chore(i18n): update translations

2014-12-15  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/develop_tools/inspect.php,
  .../admin/develop_tools/inspect/actions.php,
  .../default/admin/develop_tools/inspect/events.php,
  .../default/admin/develop_tools/inspect/menus.php,
  .../admin/develop_tools/inspect/pluginhooks.php,
  .../admin/develop_tools/inspect/simplecache.php,
  .../default/admin/develop_tools/inspect/views.php,
  .../admin/develop_tools/inspect/webservices.php,
  .../admin/develop_tools/inspect/widgets.php,
  mod/developers/views/default/developers/tree.php: feature(developers):
  improved readability of inspect pages  Switched to a table layout instead of
  jsTree representation. Leaves jsTree in place for backwards compatibility 
  Fixes #6484

2014-12-16  Paweł Sroka <srokap@gmail.com>

  	* README.md, docs/conf.py: chore(docs): Bumped docs version and badges to
  indicate 1.x version

2014-12-15  Paweł Sroka <srokap@gmail.com>

  	* .travis.yml, composer.json: chore(travis): Cleaned up .travis.yml for 1.9

2014-12-14  Paweł Sroka <srokap@gmail.com>

  	* .travis.yml, composer.json: chore(travis): Moved PHP_CodeSniffer from pear
  to composer dependencies

2014-12-13  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Database/Plugins.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/plugins.php,
  engine/tests/phpunit/Elgg/Database/PluginsTest.php: perf(plugins): removes DB
  query to determine if a plugin is active  This also modernizes the plugin_id
  to object map to use a MemoryPool.  Fixes #7661

2014-12-14  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.7

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot,
  mod/blog/languages/sr.php, mod/externalpages/languages/sr.php: chore(i18n):
  update translations

2014-12-08  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/DeprecationService.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/elgglib.php:
  chore(deprecation): Adds service for deprecation

2014-12-08  Bruno <ti@infotrad.ca>

  	* mod/pages/actions/pages/delete.php, mod/pages/lib/pages.php,
  mod/pages/start.php: fix(pages): add canEdit to page deletion permission
  check

2014-12-05  Matt Beckett <beck24@gmail.com>

  	* actions/profile/fields/add.php, engine/lib/users.php,
  views/default/admin/appearance/profile_fields/list.php: fix(profile): admin
  defined profile fields are once again back-compatible  Fixes #7634 - This
  brings back the index counting from 0 instead of 1, making profile field
  changes back compatible for older sites

2014-12-06  Matt Beckett <beck24@gmail.com>

  	* engine/classes/ElggEntity.php, engine/classes/ElggUser.php,
  engine/lib/filestore.php, engine/tests/ElggCoreFilestoreTest.php:
  fix(entities): system files removed for all entities on delete  Fixes #7130

2014-12-05  Steve Clay <steve@mrclay.org>

  	* engine/lib/access.php, engine/lib/actions.php, engine/lib/admin.php,
  engine/lib/annotations.php, engine/lib/autoloader.php, engine/lib/cache.php,
  engine/lib/comments.php, engine/lib/configuration.php, engine/lib/cron.php,
  engine/lib/database.php, engine/lib/deprecated-1.9.php,
  engine/lib/elgglib.php, engine/lib/entities.php, engine/lib/filestore.php,
  engine/lib/friends.php, engine/lib/group.php, engine/lib/input.php,
  engine/lib/mb_wrapper.php, engine/lib/metadata.php,
  engine/lib/metastrings.php, engine/lib/navigation.php,
  engine/lib/notification.php, engine/lib/objects.php, engine/lib/output.php,
  engine/lib/pagehandler.php, engine/lib/pageowner.php, engine/lib/plugins.php,
  engine/lib/river.php, engine/lib/sites.php, engine/lib/statistics.php,
  engine/lib/system_log.php, engine/lib/tags.php, engine/lib/user_settings.php,
  engine/lib/users.php, engine/lib/views.php, engine/lib/widgets.php,
  engine/load.php: chore(boot): more formally separate libs are their
  initializers  engine/lib files now return their own initializer functions
  which use injected services.

2014-11-21  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/design/database.rst,
  .../classes/Elgg/Database/RelationshipsTable.php,
  engine/lib/relationships.php,
  .../phpunit/Elgg/Database/RelationshipsTest.php: feature(core): support for
  querying based on relationship create time  fixes #2343

2014-12-05  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/groups/actions/discussion/save.php,
  mod/groups/actions/groups/edit.php: fix(groups): replaced deprecated entity
  loading with new method  fixes #7617

2014-12-04  Jerome Bakker <jeabakker@coldtrick.com>

  	* engine/classes/Elgg/UpgradeService.php,
  engine/tests/phpunit/Elgg/UpdateServiceTest.php: fix(upgrade): no longer try
  to process upgrade files from before installation version  The unprocessed
  upgrade files include everything which isn't listed in the databse. But on a
  fresh installation nothing is added to the database. This skipps all files
  from before the version in the database.  fixes: #7457

  	* mod/groups/languages/en.php, mod/groups/start.php,
  .../search/object/discussion_reply/entity.php: fix(discussion): also search
  in discussion replies when searching discussion topics  There was no way to
  search in the discussion replies, which limited the discussion search
  results.  fixes: #7168

2014-12-03  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/Elgg/Database/MetastringsTable.php,
  .../phpunit/Elgg/Database/MetastringsTest.php: fix(db):
  elgg_get_metastring_id should always create an id  fixes #7579

2014-12-04  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/appendix/index.rst, docs/appendix/support.rst,
  docs/contribute/releases.rst, vendor/bin/phpunit: docs(support): added
  documentation about the support policies of Elgg  fixes: #7581

2014-12-03  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/database.rst, engine/classes/Elgg/Database/Annotations.php,
  .../ElggCoreGetEntitiesFromAnnotationsTest.php: perf(annotations): increased
  performance of egef_annotations  The default behaviour of
  elgg_get_entities_from_annotations was different from all other
  elgg_get_entities_from* functions. This also caused a performance issue on
  large databases  Fixes #6638

2014-01-15  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/PasswordService.php, engine/classes/ElggCrypto.php,
  engine/lib/users.php, mod/invitefriends/actions/invite.php,
  mod/invitefriends/start.php, mod/uservalidationbyemail/lib/functions.php:
  security(tokens): adds HMAC API and improves token-based security  Uses HMAC
  and constant-time string comparison for tokens in actions, friend invites,
  password resets, and email validation.

2014-10-20  Steve Clay <steve@mrclay.org>

  	* actions/admin/site/update_advanced.php,
  actions/admin/site/update_basic.php, docs/info/config.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/UsersTable.php, engine/classes/ElggBatch.php,
  engine/classes/ElggInstaller.php, engine/lib/entities.php,
  engine/lib/input.php, engine/lib/metastrings.php, engine/lib/river.php,
  engine/lib/system_log.php, engine/lib/tags.php,
  ...0-1.10.0-add_default_limit-fcef9e7ce01e26a4.php, engine/lib/users.php,
  engine/lib/views.php, engine/start.php, languages/en.php,
  mod/blog/views/default/blog/sidebar/revisions.php,
  mod/categories/pages/categories/listing.php,
  .../theme_sandbox/navigation/pagination.php, mod/file/pages/file/search.php,
  mod/groups/lib/discussion.php, mod/groups/lib/groups.php,
  .../views/default/groups/sidebar/featured.php, mod/messages/start.php,
  mod/pages/pages/pages/history.php,
  mod/pages/views/default/pages/sidebar/history.php,
  mod/search/pages/search/index.php, mod/thewire/pages/thewire/thread.php,
  .../forms/uservalidationbyemail/bulk_action.php, version.php,
  views/default/forms/admin/site/update_basic.php,
  views/default/navigation/pagination.php: feature(settings): adds setting for
  default number of items per page  Most queries that default to 10 now use the
  setting, whose valid range is, for now, 2 to 5000. In order to keep this
  simple, queries that default to 20 items will continue showing at least 20
  items; the setting is used only if it’s greater than 20.  Fixes #2650

2014-11-18  Steve Clay <steve@mrclay.org>

  	* composer.json, engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/PasswordService.php, engine/classes/ElggUser.php,
  engine/lib/deprecated-1.10.php, engine/lib/sessions.php,
  ...1.10.0-add_new_hash_column-536087bbb2dbc82b.php,
  engine/lib/user_settings.php, engine/lib/users.php, engine/schema/mysql.sql,
  engine/tests/ElggCoreAccessCollectionsTest.php,
  engine/tests/ElggCoreAccessSQLTest.php, engine/tests/ElggUserTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  .../actions/twitter_api/interstitial_settings.php,
  mod/twitter_api/lib/twitter_api.php, version.php: security(passwords):
  switches password hashing to password_hash()  This gradually migrates users
  to modern hashes as they log in; deprecates setting the salt/password
  attributes in favor of a new setPassword() method (setting salt/password
  continues to work but will revert the user to the legacy MD5 hashing); and
  moves core password functionality to a PasswordService object.  Fixes #4665

2014-12-03  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/_elgg_files/How_to_say_Elgg.mp3, docs/index.rst: docs(general): moved
  pronuncation file from docs  ref: #7552

  	* docs/design/database.rst, docs/design/images/data_model.png: docs(design):
  added the data model image from docs  ref: #7552

2014-10-20  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/pageowner.php, engine/tests/phpunit/Elgg/PageOwnerTest.php:
  fix(pageowner): allow unsetting of page owner guid  fixes #7278

2014-12-02  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* docs/guides/themes.rst, engine/lib/views.php,
  mod/aalborg_theme/views/default/css/ie7.php,
  .../views/default/css/maintenance.php, views/default/css/elements/core.php,
  views/default/css/ie7.php, views/default/css/ie8.php,
  views/default/css/maintenance.php, views/default/page/elements/head.php,
  views/default/page/maintenance.php: chore(css): removed all the ie8 and lower
  css  fixes #7333

2014-11-29  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Di/DiContainer.php,
  engine/classes/Elgg/Di/ServiceProvider.php: chore(services): cleanup service
  provider and remove 5.2 support

2014-12-01  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* CODING.txt, CONTRIBUTING.md, INSTALL.txt: chore(docs): update root docs to
  point to learn.elgg.org  ref #7576

2014-12-01  Paweł Sroka <srokap@gmail.com>

  	* engine/classes/ElggEntity.php, engine/lib/river.php,
  mod/blog/lib/blog.php, mod/blog/views/default/blog/group_module.php,
  mod/blog/views/default/widgets/blog/content.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/owner.php,
  mod/bookmarks/views/default/bookmarks/group_module.php,
  mod/bookmarks/views/default/widgets/bookmarks/content.php,
  mod/file/pages/file/owner.php, mod/file/pages/file/world.php,
  mod/file/views/default/file/group_module.php,
  mod/file/views/default/widgets/filerepo/content.php,
  mod/groups/lib/groups.php, mod/groups/views/default/discussion/replies.php,
  mod/groups/views/default/object/groupforumtopic.php,
  mod/groups/views/default/river/elements/discussion_replies.php,
  mod/groups/views/rss/discussion/replies.php, mod/messages/start.php,
  pages/river.php, views/default/page/elements/comments_block.php: perf(db):
  Disabled SQL DISTINCT in more cases.

  	* CHANGELOG.md, composer.json: chore(release): v1.9.6

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/plugins.pot, docs/locale/pot/tutorials.pot, languages/de.php,
  languages/es.php, languages/gl.php, languages/ja.php, languages/nl.php,
  mod/blog/languages/tr.php, mod/ckeditor/languages/de.php,
  mod/ckeditor/languages/fi.php, mod/ckeditor/languages/gl.php,
  mod/ckeditor/languages/ja.php, mod/custom_index/languages/tr.php,
  mod/embed/languages/tr.php, mod/externalpages/languages/tr.php,
  mod/file/languages/ja.php, mod/groups/languages/de.php,
  mod/groups/languages/es.php, mod/groups/languages/gl.php,
  mod/profile/languages/tr.php, mod/site_notifications/languages/fi.php,
  mod/site_notifications/languages/gl.php, mod/tagcloud/languages/ca.php,
  mod/tagcloud/languages/cmn.php, mod/tagcloud/languages/da.php,
  mod/tagcloud/languages/de.php, mod/tagcloud/languages/es.php,
  mod/tagcloud/languages/fi.php, mod/tagcloud/languages/fr.php,
  mod/tagcloud/languages/gl.php, mod/tagcloud/languages/ja.php,
  mod/tagcloud/languages/ko.php, mod/tagcloud/languages/nl.php,
  mod/tagcloud/languages/pl.php, mod/tagcloud/languages/pt_BR.php,
  mod/tagcloud/languages/ru.php, mod/web_services/languages/ja.php:
  chore(i18n): update translations

2014-11-30  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Access.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/access.php,
  engine/lib/deprecated-1.10.php,
  engine/tests/ElggCoreAccessCollectionsTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  engine/tests/phpunit/bootstrap.php: deprecate(access): deprecates
  elgg_get_access_object() and refactors access lib  This moves the access
  object and access cache to be served from the service provider, and refactors
  AccessCollections to remove the need for $CONFIG.

  	* docs/info/config.php, engine/classes/Elgg/Database/AccessCollections.php,
  engine/lib/access.php: chore(access): refactors lib/access and
  AccessCollections to use services  Also fixes the phpdoc on $CONFIG->site_id
  and makes it clear this is just a copy of $CONFIG->site_guid.

2014-11-25  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/Database/MetastringsTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/classes/ElggEntity.php,
  engine/classes/ElggMetadata.php, engine/lib/entities.php,
  engine/lib/metadata.php, engine/tests/ElggCoreMetadataCacheTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(metadata): Pull most
  services in MetadataTable into member variables  This also gets rid of the
  unecessary _elgg_get_metadata_cache() and makes sure the metastring cache
  receives string keys.

2012-11-04  Paweł Sroka <srokap@gmail.com>

  	* docs/guides/database.rst, engine/classes/Elgg/Database/AdminNotices.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/Plugins.php, engine/classes/ElggEntity.php,
  engine/classes/ElggVolatileMetadataCache.php, engine/lib/entities.php,
  engine/lib/metastrings.php, engine/lib/river.php, engine/lib/statistics.php,
  engine/tests/ElggCoreGetEntitiesTest.php,
  views/default/admin/appearance/default_widgets.php,
  views/default/page/elements/comments.php,
  views/default/river/elements/responses.php: perf(sql): allows removing
  DISTINCT from some MySQL queries  We add the "distinct" option to a few query
  functions to allow devs to remove DISTINCT clauses from queries where they
  are unnecessary and worsen performance. We also set the option in some core
  queries where it's unlikely to cause trouble.  Fixes #4594

2014-11-28  Evan Winslow <evan.b.winslow@gmail.com>

  	* mod/aalborg_theme/views/default/css/elements/forms.php,
  views/default/css/elements/forms.php: fix(forms): Login and account forms
  widened and centered by default  Fixes #6456

2014-11-28  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Cache/Pool.php,
  engine/classes/Elgg/Cache/StashPool.php,
  engine/tests/phpunit/Elgg/Cache/StashPoolTest.php: feature(cache): allows
  using ints as keys in Cache\Pool  Keying based on GUIDs is a common case, we
  should not require devs to explicitly cast when using pool. There’s too
  much risk for errors to auto-casting floats/bools though.

2014-11-28  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* CHANGELOG.md, CONTRIBUTING.md, INSTALL.txt, UPGRADE.txt,
  docs/admin/cron.rst, docs/contribute/issues.rst,
  docs/examples/crontab.example, docs/index.rst, engine/classes/ElggSite.php,
  engine/lib/admin.php, engine/lib/elgglib.php, htaccess_dist,
  languages/en.php, languages/fi.php, mod/web_services/README.md: chore(docs):
  Updated docs.elgg.org links to point to learn.elgg.org  fixes #6784

2014-11-20  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* languages/en.php, views/default/page/layouts/widgets/add_button.php:
  fix(views): show different text on widgetpanel toggle button when opened 
  fixes #4826

  	* mod/aalborg_theme/views/default/css/elements/components.php,
  mod/tagcloud/start.php, mod/tagcloud/views/default/css/elgg/tagcloud.css,
  views/default/css/elements/components.php: chore(tagcloud): moved tagcloud
  related css to tagcloud plugin

  	* languages/en.php, mod/tagcloud/languages/en.php: chore(tagcloud): moved
  tagcloud related language strings to plugin

  	* mod/ckeditor/languages/en.php,
  mod/ckeditor/views/default/js/elgg/ckeditor.js,
  .../default/js/elgg/ckeditor/blockimagepaste.js,
  .../views/default/js/elgg/ckeditor/config.js: fix(ckeditor): ckeditor now
  prevents image drag/drop/paste in editor  fixes #4970

2014-11-28  Paweł Sroka <srokap@gmail.com>

  	* docs/contribute/elgg-supporters.gif, docs/contribute/elgg-supporters.png,
  docs/contribute/money.rst, docs/guides/javascript.rst,
  docs/guides/widgets.rst: fix(docs): Fixed docs elements not allowing LaTeX
  builds to succeed.

2014-06-24  Steve Clay <steve@mrclay.org>

  	* mod/likes/classes/Elgg/Likes/DataService.php,
  mod/likes/classes/Elgg/Likes/Preloader.php, mod/likes/start.php,
  mod/likes/views/default/annotation/likes.php,
  mod/likes/views/default/likes/before_lists.php,
  mod/likes/views/default/likes/button.php,
  mod/likes/views/default/likes/count.php: perf(likes): reduces number of
  queries when showing likes in lists  For each entity in a list, this preloads
  the total # of likes and whether or not the current user likes it in as few
  queries as possible.  Fixes #6941

2014-11-27  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/admin/backup-restore.rst, docs/admin/duplicate-installation.rst,
  docs/admin/getting-help.rst, docs/admin/performance.rst,
  docs/contribute/code.rst, docs/contribute/docs.rst,
  docs/contribute/releases.rst, docs/design/database.rst,
  docs/design/events.rst, docs/design/security.rst, docs/guides/actions.rst,
  docs/guides/events-list.rst, docs/guides/guidelines.rst,
  docs/guides/hooks-list.rst, docs/guides/menus.rst,
  docs/guides/notifications.rst, docs/guides/themes.rst,
  docs/guides/upgrading.rst, docs/guides/views.rst,
  docs/guides/web-services.rst, docs/intro/install.rst,
  docs/tutorials/blog.rst, docs/tutorials/widget.rst: docs(general): adds
  contents indexes to long pages  ref: #6812

  	* docs/guides/index.rst, docs/guides/walled-garden.rst: docs(guides): moved
  Walled Garden page from docs  ref: #6812

  	* docs/guides/accessibility.rst, docs/guides/index.rst: docs(guides): moved
  the Accessibility Guidelines from docs  ref: #6812

  	* docs/design/index.rst, docs/design/loggable.rst, docs/guides/database.rst:
  docs(design): moved the Loggable page from docs  ref: #6812

2014-11-26  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/appendix/faqs.rst, docs/appendix/faqs/security.rst: docs(faq): moved
  the security faq from docs  ref: #6812

  	* docs/guides/plugins.rst, docs/guides/plugins/dependencies.rst:
  docs(guides): moved the PluginDependencies from docs  ref: #6812

  	* docs/appendix/faqs.rst, docs/appendix/faqs/general.rst: docs(faq): moved
  the Using a test site page from docs  ref: #6812

2014-11-25  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/MetastringsTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/metastrings.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(metastrings): Move
  metastring table code into a class

  	* .../classes/Elgg/Http/WebAppManifestResource.php, engine/lib/elgglib.php,
  .../Elgg/Http/WebAppManifestResourceTest.php: feature(webapp): Add support
  for a basic WebApp Manifest file  Fixes #7493

2014-11-21  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/user_settings.php, mod/legacy_urls/start.php,
  pages/settings/tools.php, views/default/core/settings/tools.php:
  feature(usersettings): every user setting has its own menu item  fixes #4445

2014-11-21  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/guides/hooks-list.rst, engine/lib/users.php: feature(users): Username
  character blacklist can now be altered via plugin hook  Also removes hyphen
  from the blacklist making it a valid character by default.  Fixes #6189

2014-11-25  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/appendix/faqs.rst, docs/appendix/faqs/development.rst,
  docs/appendix/faqs/general.rst: docs(faq): split the faq page into different
  files for readability  ref: #6812

  	* docs/plugins/diagnostics.rst, docs/plugins/index.rst: docs(plugins): moved
  the diagnostics page from docs  ref: #6812

  	* docs/guides/web-services.rst, docs/guides/web-services/hmac.rst:
  docs(guides): moved hmac authentication page from docs  ref: #6812

  	* docs/guides/dont-modify-core.rst, docs/guides/guidelines.rst,
  docs/guides/index.rst: docs(guides): moved don't modify core page from docs 
  ref: #6812

  	* docs/admin/getting-help.rst, docs/admin/index.rst, docs/appendix/faqs.rst:
  docs(admin): moved the getting help page from docs  ref: #6812

  	* docs/admin/backup-restore.rst, docs/admin/duplicate-installation.rst,
  docs/admin/index.rst: docs(admin): moved duplicate installation from docs 
  ref: #6812

2014-11-24  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/guidelines.rst, docs/guides/index.rst: docs(guides): move
  plugin coding guidelines from docs  ref: #6812

  	* docs/guides/gatekeeper.rst, docs/guides/index.rst: docs(guides): moved the
  gatekeeper page from docs  ref: #6812

  	* docs/admin/backup-restore.rst, docs/admin/backup/ftp-backup-script.rst,
  docs/admin/index.rst: docs(admin): moved backup and restore page from docs 
  ref: #6812

  	* docs/guides/views.rst, docs/guides/views/simplecache.rst: docs(guides):
  moved simplecache from docs  ref: #6812

  	* docs/guides/index.rst, docs/guides/page-owner.rst: docs(guids): moved page
  ownership from docs  ref: #6812

2014-11-22  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Di/ServiceProvider.php: chore(datalist): Convert Datalist
  to use new caching APIs

  	* composer.json, engine/classes/Elgg/Cache/MemoryPool.php,
  engine/classes/Elgg/Cache/NullPool.php, engine/classes/Elgg/Cache/Pool.php,
  engine/classes/Elgg/Cache/StashPool.php,
  engine/tests/phpunit/Elgg/Cache/MemoryPoolTest.php,
  engine/tests/phpunit/Elgg/Cache/NullPoolTest.php,
  engine/tests/phpunit/Elgg/Cache/PoolTestCase.php,
  engine/tests/phpunit/Elgg/Cache/StashPoolTest.php: chore(cache): Add some new
  caching APIs for internal use

  	* .gitignore, composer.lock: chore(composer): Remove composer lock file 
  Locking dependencies could cause problems if dependencies were updated on one
  platform to versions that are incompatible with an older but still supported
  platform. (E.g. updated on PHP 5.6 but then tests run and fail on PHP 5.4
  because dependencies are no good).

2014-11-21  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/authentication.rst, docs/guides/index.rst: docs(guides): moved
  the authentication page from docs  ref: #6812

  	* docs/guides/index.rst, docs/guides/permissions-check.rst: docs(guides):
  moved the permissions check documentation from docs  ref: #6812

  	* docs/guides/index.rst, docs/guides/settings.rst: docs(guides): moved the
  plugin (user)settings documentation from docs  ref: #6812

  	* docs/guides/context.rst, docs/guides/index.rst: docs(guides): moved the
  context documentation from docs  ref: #6812

  	* docs/guides/helpers.rst, docs/guides/index.rst: docs(guides): moved the
  helper functions page from docs  ref: #6812

  	* docs/guides/index.rst, docs/guides/pagehandler.rst: docs(guides): moved
  the page handler documentation from docs  ref: #6812

  	* docs/plugins/index.rst, docs/plugins/thewire.rst: docs(plugins): moved the
  thewire plugin description from docs  This describes the functionality of the
  thewire plugin  ref: #6812

  	* docs/plugins/blog.rst, docs/plugins/index.rst: docs(plugins): moved the
  blog plugin description from docs  This describes the functionality of the
  blog plugin  ref: #6812

  	* docs/plugins/images/message_notification.jpg, docs/plugins/index.rst,
  docs/plugins/messages.rst: docs(plugins): moved the messages plugin
  description from docs  This describes the functionality of the messages
  plugin  ref: #6812

  	* docs/plugins/images/messageboard.jpg, docs/plugins/index.rst,
  docs/plugins/messageboard.rst: docs(plugins): moved the messageboard plugin
  description from docs  This describes the functionality of the messageboard
  plugin  ref: #6812

2014-11-19  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/groups/views/default/groups/profile/fields.php,
  mod/profile/views/default/profile/details.php, views/default/output/tag.php,
  views/default/output/tags.php: fix(views): allow numeric 0 values to show on
  user and group profile  fixes #5262

2014-11-21  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/plugins/images/pages.jpg, docs/plugins/index.rst,
  docs/plugins/pages.rst: docs(plugins): moved the pages plugin description
  from docs  This describes the functionality of the pages plugin  ref: #6812

  	* docs/plugins/images/profile.jpg, docs/plugins/images/user_hover_menu.jpg,
  docs/plugins/index.rst, docs/plugins/profile.rst: docs(plugins): moved the
  profile plugin description from docs  This describes the functionality of the
  profile plugin  ref: #6812

  	* docs/plugins/groups.rst, docs/plugins/images/groups.jpg,
  docs/plugins/index.rst: docs(plugins): moved the groups plugin description
  from docs  This describes the functionality of the groups plugin  ref: #6812

  	* docs/plugins/file.rst, docs/plugins/images/file.jpg,
  docs/plugins/index.rst: docs(plugins): moved the file plugin description from
  docs  This describes the functionality of the file plugin  ref: #6812

  	* docs/intro/index.rst, docs/plugins/dashboard.rst,
  docs/plugins/images/dashboard.jpg, docs/plugins/index.rst: docs(plugins):
  moved the dashboard plugin description from docs  This describes the
  functionality of the dashboard plugin  ref: #6812

2014-11-20  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/tagcloud/views/default/output/tagcloud.php,
  .../views/default/page/elements/tagcloud_block.php,
  views/default/output/tagcloud.php,
  views/default/page/elements/tagcloud_block.php: chore(tagcloud): moved
  tagcloud related views to tagcloud plugin

  	* .../views/default/theme_sandbox/components.php,
  .../default/theme_sandbox/components/tagcloud.php, mod/tagcloud/start.php,
  .../views/default/tagcloud/theme_sandbox/component.php: chore(tagcloud):
  moved tagcloud theme sandbox output to tagcloud plugin

  	* engine/lib/tags.php, languages/en.php, mod/tagcloud/languages/en.php,
  mod/tagcloud/manifest.xml, mod/tagcloud/start.php: chore(tagcloud): move site
  tagcloud functionality to the tagcloud plugin  fixes #7140

2014-11-20  Jerome Bakker <jeabakker@coldtrick.com>

  	* docs/guides/views.rst, docs/guides/views/page-structure.rst: docs(views):
  moved the page structure best practices page from docs  ref: #6812

  	* docs/guides/plugins.rst, docs/guides/plugins/plugin-skeleton.rst:
  docs(plugins): moved the plugin skeleton documentation  ref: #6812

2014-11-19  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Structs/ArrayCollection.php,
  engine/classes/Elgg/Structs/Collection.php,
  .../phpunit/Elgg/Structs/ArrayCollectionTest.php: chore(structs): Add
  collection interface and array-based implementation for use in core  Fixes
  #7409

2014-10-31  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/file/start.php, mod/file/views/default/file/typecloud.php: fix(views):
  move function and menu items out of file typecloud view  fixes #7397

2014-11-17  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/lib/input.php, mod/groups/views/default/group/default.php,
  views/default/user/default.php: fix(forms): Removes icon and title links from
  autocomplete results  Removes the links from all three search options: -
  groups - friends - users  As a side effect also makes it possible to
  override: - Title used in user/default view - Icon params for groups/default
  view  Fixes #5583

2014-11-17  Paweł Sroka <srokap@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.5

  	* docs/locale/ca/LC_MESSAGES/index.mo, docs/locale/de/LC_MESSAGES/about.mo,
  docs/locale/es/LC_MESSAGES/about.mo, docs/locale/es/LC_MESSAGES/admin.mo,
  docs/locale/es/LC_MESSAGES/appendix.mo, docs/locale/es/LC_MESSAGES/design.mo,
  docs/locale/es/LC_MESSAGES/guides.mo, docs/locale/es/LC_MESSAGES/intro.mo,
  docs/locale/fr/LC_MESSAGES/about.mo, docs/locale/it/LC_MESSAGES/about.mo,
  docs/locale/ja/LC_MESSAGES/about.mo, docs/locale/ja/LC_MESSAGES/about.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.mo,
  docs/locale/pt_BR/LC_MESSAGES/index.mo, docs/locale/ru/LC_MESSAGES/about.mo,
  mod/blog/languages/ca.php, mod/bookmarks/languages/ca.php,
  mod/groups/languages/fr.php: chore(i18n): update translations

2014-11-16  Paweł Sroka <srokap@gmail.com>

  	* docs/appendix/roadmap.rst, docs/contribute/code.rst, docs/design/amd.rst,
  docs/design/database.rst, docs/design/events.rst, docs/guides/database.rst,
  docs/guides/hooks-list.rst, docs/guides/menus.rst,
  docs/guides/notifications.rst, docs/guides/river.rst, docs/guides/views.rst,
  docs/guides/web-services.rst, docs/intro/install.rst: fix(docs): Fixed docs
  syntax for the PDF builds.

2014-11-16  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* .../admin/upgrades/upgrade_discussion_replies.php,
  ...4-recheck_comments_upgrade-9da270072a5b0cad.php: fix(upgrade): Rechecks
  that all annotation comments have been migrated to entities  The discussion
  reply upgrade had a bug that caused it to mark also the comments upgrade as
  completed. This rechecks whether there still are unmigrated comment
  annotations left and marks the comment upgrade as incomplete if annotations
  are found.  Fixes #7486

2014-11-16  Evan Winslow <evan.b.winslow@gmail.com>

  	* .scripts/release.php, docs/.gitignore: fix(i18n): Commit docs/*.mo files
  on release so docs can be translated  Fixes #7034

2014-11-12  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Assets/ExternalFiles.php,
  engine/classes/Elgg/Cache/SimpleCache.php,
  engine/classes/Elgg/Cache/SystemCache.php, engine/classes/Elgg/Config.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/ConfigTable.php,
  engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  .../classes/Elgg/Database/RelationshipsTable.php,
  engine/classes/Elgg/Database/SubtypeTable.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Http/Input.php,
  engine/classes/Elgg/I18n/NullTranslator.php,
  engine/classes/Elgg/I18n/Translator.php, engine/classes/Elgg/Logger.php,
  engine/classes/Elgg/UpgradeService.php, engine/classes/Elgg/ViewsService.php,
  engine/classes/ElggDiskFilestore.php, engine/classes/ElggInstaller.php,
  engine/classes/ElggMemcache.php, engine/tests/phpunit/ElggUpgradeTest.php:
  chore(config): Move `$CONFIG` to member variable for most classes

2014-11-10  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Cache/SystemCache.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/Plugins.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/I18n/Translator.php,
  .../Elgg/Notifications/NotificationsService.php,
  engine/classes/Elgg/UpgradeService.php, engine/classes/ElggInstaller.php,
  engine/classes/ElggMemcache.php, engine/classes/ElggPAM.php,
  engine/classes/ElggPlugin.php, engine/classes/ElggPluginManifest.php,
  engine/classes/ElggPluginManifestParser18.php,
  engine/classes/ElggPluginPackage.php, engine/classes/ElggRewriteTester.php,
  engine/classes/ElggSite.php, engine/classes/ElggUpgrade.php,
  engine/lib/elgglib.php, engine/lib/languages.php: chore(i18n): Remove all
  global i18n functions from classes

2014-11-11  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/CommitMessage.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/Plugins.php,
  engine/classes/Elgg/Notifications/NotificationsService.php: chore(insight):
  Fully qualify class names with `use` or leading backslash  In general,
  missing `use` statements can lead to bugs or at least ambiguity. Better to
  fully qualify all classes.  See "Missing use statement should be avoided" on
  this report:
  
  alyses/5

2014-11-10  Evan Winslow <evan.b.winslow@gmail.com>

  	* .travis.yml, composer.json, composer.lock, docs/info/manifest.xml,
  engine/classes/ElggCrypto.php, engine/classes/ElggInstaller.php,
  engine/tests/ElggCorePluginsAPITest.php,
  engine/tests/phpunit/Elgg/Di/DiContainerTest.php,
  engine/tests/phpunit/ElggEntityTest.php,
  engine/tests/test_files/plugin_18/manifest.xml: feature(php): Require PHP
  5.4+  PHP 5.3 is currently end-of-life and 5.4 will have only ~1 year of
  security patches when Elgg 1.10 is scheduled to be released.  Fixes #7090

  	* engine/classes/Elgg/Config.php,
  engine/classes/Elgg/Database/ConfigTable.php,
  engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/I18n/Translator.php,
  engine/classes/Elgg/UpgradeService.php, engine/classes/ElggDiskFilestore.php,
  engine/classes/ElggEntity.php, engine/classes/ElggMemcache.php,
  engine/classes/ElggMenuBuilder.php, engine/classes/ElggPlugin.php:
  chore(log): Convert `elgg_log` to OO equivalent in all classes

2014-11-09  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/ConfigTable.php,
  engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  .../classes/Elgg/Database/RelationshipsTable.php,
  engine/classes/Elgg/Database/SubtypeTable.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/UpgradeService.php,
  engine/classes/Elgg/Upgrades/Helper2013022000.php,
  engine/classes/ElggInstaller.php: chore(db): Remove use of global db
  functions from all classes

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/GroupItemVisibility.php,
  engine/classes/Elgg/I18n/Translator.php,
  engine/classes/Elgg/Notifications/Event.php,
  engine/classes/Elgg/ViewsService.php, engine/classes/Elgg/WidgetsService.php,
  engine/classes/ElggAnnotation.php, engine/classes/ElggDiskFilestore.php,
  engine/classes/ElggEntity.php, engine/classes/ElggGroup.php,
  engine/classes/ElggObject.php, engine/classes/ElggPlugin.php,
  engine/classes/ElggSession.php, engine/classes/ElggSite.php,
  engine/classes/ElggUser.php, engine/lib/sessions.php: chore(session): Remove
  use of global session functions from all classes

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/CacheHandler.php,
  engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  .../classes/Elgg/Database/RelationshipsTable.php,
  engine/classes/Elgg/Database/UsersTable.php,
  .../Elgg/Notifications/SubscriptionsService.php,
  engine/classes/Elgg/Router.php, engine/classes/Elgg/UpgradeService.php,
  engine/classes/Elgg/ViewsService.php, engine/classes/Elgg/WidgetsService.php,
  engine/classes/ElggAnnotation.php, engine/classes/ElggEntity.php,
  engine/classes/ElggExtender.php, engine/classes/ElggFile.php,
  engine/classes/ElggGroup.php, engine/classes/ElggInstaller.php,
  engine/classes/ElggPAM.php, engine/classes/ElggPlugin.php,
  engine/classes/ElggRelationship.php, engine/classes/ElggRiverItem.php,
  engine/classes/ElggSession.php, engine/classes/ElggSite.php,
  engine/classes/ElggWidget.php: chore(hooks): Remove use of global hook/event
  functions from all classes

  	* engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Cache/SimpleCache.php,
  engine/classes/Elgg/Cache/SystemCache.php,
  engine/classes/Elgg/CacheHandler.php, engine/classes/Elgg/Config.php,
  engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/Database/SiteSecret.php,
  engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/UpgradeService.php, engine/classes/ElggInstaller.php,
  engine/classes/ElggPlugin.php, engine/classes/ElggPluginPackage.php,
  engine/classes/ElggRewriteTester.php, engine/classes/ElggSite.php,
  engine/classes/ElggVolatileMetadataCache.php, engine/lib/configuration.php:
  chore(config): Remove use of global config functions from all classes

2014-10-29  Per Jensen <admin@perjensen-online.dk>

  	* views/default/admin/header.php, views/default/admin/sidebar.php,
  views/default/css/admin.php: fix(views): makes admin panel mobile friendly 
  Fixes #6742

2014-11-09  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/Plugins.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/deprecated-1.9.php,
  engine/lib/plugins.php, .../tests/phpunit/Elgg/Di/ServiceProviderTest.php:
  chore(plugin): Move plugins logic into an OO service

2014-11-08  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/I18n/Translator.php, engine/lib/languages.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(i18n): Move
  languages logic into OO service

2014-11-05  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/MetadataTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/metadata.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(metadata): Move most
  metadata logic into OO service

2014-11-06  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/UsersTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/users.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(users): Move users
  logic to OO service

  	* engine/classes/Elgg/Database/SiteSecret.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/actions.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(security): Move site
  secret logic into OO service

  	* .../classes/Elgg/Database/RelationshipsTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/relationships.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(relationships): Move
  SQL logic into OO service

2014-11-03  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/AccessCollections.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/access.php,
  engine/tests/ElggCoreAccessCollectionsTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(access): Pull most
  acl logic into an OO service  Refs #3568

  	* engine/classes/Elgg/Database/AdminNotices.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/admin.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(admin): Push admin
  notices logic into OO service

  	* engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/Forms/StickyForms.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  engine/tests/phpunit/Elgg/Forms/StickyForms.php: chore(forms): Move sticky
  forms logic into OO service  Fixes #7093

2014-11-04  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/SubtypeTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/entities.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(entities): Move
  subtype table API into an OO service

  	* engine/classes/Elgg/Database/EntityTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/entities.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(entities): Move
  entity sql logic into entityTable service

2014-11-03  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Database/ConfigTable.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/configuration.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(config): Move
  low-level *_config DB API into OO service

2014-11-03  Matt Beckett <beck24@gmail.com>

  	* docs/guides/actions.rst, engine/lib/navigation.php, engine/lib/users.php,
  engine/lib/views.php, js/lib/ui.js,
  mod/blog/views/default/forms/blog/save.php, mod/groups/start.php,
  mod/groups/views/default/forms/groups/edit.php,
  .../views/default/groups/invitationrequests.php,
  .../views/default/groups/membershiprequests.php,
  mod/likes/views/default/annotation/likes.php,
  mod/messageboard/views/default/messageboard/js.php,
  .../views/default/forms/messages/process.php,
  mod/messages/views/default/object/messages.php,
  .../uservalidationbyemail/unvalidated_user.php,
  views/default/admin/appearance/profile_fields.php,
  views/default/core/friends/collection.php,
  views/default/output/confirmlink.php, views/default/output/url.php:
  deprecate(view): deprecate output/confirmlink for consolidated output/url
  with 'confirm' option  Fixes #5810

2014-11-03  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/Elgg/Config.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/configuration.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(config): Move
  high-level elgg_*_config apis into OO service

  	* engine/classes/Elgg/Assets/ExternalFiles.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/elgglib.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(assets): Move
  external files structure and logic to OO service

  	* engine/lib/deprecated-1.10.php, engine/lib/elgglib.php:
  deprecate(libraries): End support for `elgg_register_library` and
  `elgg_load_library`  Class autoloading is better in every way. It's trivial
  to use static methods on autoloaded classes rather than `elgg_*_library` with
  global functions.  This is a "soft" deprecation (no warnings/notices when
  using the deprecated APIs) because we're not updating core plugins just yet.

  	* engine/classes/Elgg/Database/Datalist.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/configuration.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(datalist): Move
  datalist_* apis into an OO service

  	* engine/classes/Elgg/Cache/SimpleCache.php,
  engine/classes/Elgg/Cache/SystemCache.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/cache.php,
  engine/lib/elgglib.php, .../tests/phpunit/Elgg/Di/ServiceProviderTest.php:
  chore(cache): Move simplecache and system cache into OO services

  	* engine/classes/Elgg/Database/Annotations.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/annotations.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php: chore(annotations): Move
  annotations logic into an OO service  Refs #6798

  	* engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/Http/Input.php, engine/lib/input.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  engine/tests/phpunit/Elgg/Http/InputTest.php: chore(input): Pull `get_input`
  and `set_input` into an OO service  Also adds test stubs to be implemented
  when the global state is removed.  Fixes #7091

2014-10-31  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/tags.php, views/default/output/tagcloud.php,
  views/default/output/tags.php: chore(views): made sure all tag related views
  use output/tag  fixes #4489

2014-10-19  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/guides/index.rst, docs/guides/notifications.rst: docs(notifications):
  documentation for the notifications system  Fixes #7308

2014-10-31  Per Jensen <admin@perjensen-online.dk>

  	* views/default/css/admin.php, views/default/object/plugin/full.php:
  fix(views): comma separating links to text files in plugin list  Fixes #7420

2014-10-31  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/lib/entities.php, engine/lib/metastrings.php,
  mod/garbagecollector/start.php: chore(gc): moved entities and metastrings gc
  functions to plugin  fixes #4672

2014-10-29  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/views/default/css/elements/navigation.php,
  views/default/navigation/pagination.php: fix(pagination): removes hard-coded
  arrows from php file  Fixes #5298

2014-10-28  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* js/lib/comments.js,
  mod/groups/views/default/forms/discussion/reply/save.php,
  mod/groups/views/default/js/discussion/discussion.js,
  views/default/forms/comment/save.php: fix(views): use elgg-button-action
  class on all cancel buttons  fixes #6421

2014-10-28  Steve Clay <steve@mrclay.org>

  	* composer.json, docs/contribute/code.rst: chore(composer): adds PHP
  requirements to composer.json

  	* .scripts/fix_style.php, engine/classes/Elgg/Project/CodeStyle.php:
  chore(style): add components to fix common whitespace issues

2014-10-28  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* actions/user/spotlight.php, languages/en.php: chore(core): removed left
  over spotlight code  fixes #6460

2014-10-24  Matt Beckett <beck24@gmail.com>

  	* engine/lib/metadata.php,
  .../tests/ElggCoreGetEntitiesFromMetadataTest.php: fix(core): prevent sql
  exception when metastring is interpreted as very large number in
  egef_metadata  Fixes #7009

2014-10-25  Stian Liknes <stianlik@gmail.com>

  	* docs/guides/database.rst, docs/guides/hooks-list.rst,
  docs/guides/upgrading.rst: docs(database): updated and expanded information
  on entity icons  Replaced the deprecated getIcon() with getIconURL() and
  expanded information about entity icons. Relevant hook information moved to
  hooks-list.

2014-05-12  Jerome Bakker <jeabakker@coldtrick.com>

  	* engine/lib/input.php, .../views/default/theme_sandbox/forms.php:
  fix(livesearch): removed custom queries with ege* functions  There was a long
  standing todo to remove the custom queries in the livesearch page_handler
  with elgg_get_entities* functions.

2014-10-24  Jerome Bakker <jeabakker@coldtrick.com>

  	* mod/developers/actions/developers/inspect.php,
  mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/develop_tools/inspect.php,
  .../views/default/forms/developers/inspect.php,
  mod/developers/views/default/js/elgg/dev.js: feature(developers): inspect
  menu item now has children for faster access  The way to inpect the different
  aspects of Elgg was quite a few clicks away. Now all the options are children
  menu items of Inspect  fixes: #4831

2014-10-23  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/aalborg_theme/README.md, mod/categories/README.md,
  mod/embed/README.md, mod/search/README.md, mod/web_services/README.md,
  mod/zaudio/README.md: chore(docs): cleanup markdown text of readme files

  	* mod/categories/README.md, mod/categories/readme.txt, mod/embed/README.md,
  mod/embed/README.txt, mod/search/README.md, mod/search/README.txt,
  mod/web_services/README.md, mod/web_services/README.txt,
  mod/zaudio/README.md, mod/zaudio/readme.txt: chore(docs): renamed plugin txt
  files to md  fixes #3507

2014-10-20  Jerome Bakker <jeabakker@coldtrick.com>

  	* mod/messages/pages/messages/inbox.php,
  mod/messages/pages/messages/sent.php,
  mod/messages/views/default/object/messages.php: feature(messages): improved
  UI for messages listing  The checkbox for bulk actions was moved to the
  beginning of the row and an excerpt of the message is shown in the listing 
  fixes: #4739

2014-10-21  Steve Clay <steve@mrclay.org>

  	* engine/lib/deprecated-1.10.php, engine/lib/deprecated-1.8.php,
  engine/lib/filestore.php: chore(refactoring): cleans up and simplifies logic
  in filestore lib

  	* docs/guides/hooks-list.rst, engine/lib/deprecated-1.10.php,
  engine/lib/filestore.php: chore(cleanup): simplified docs and tightened code
  style

2013-10-18  Paweł Sroka <srokap@gmail.com>

  	* engine/lib/river.php, .../views/default/forms/bookmarks/save.php,
  .../forms/twitter_api/interstitial_settings.php,
  views/default/forms/register.php, views/default/forms/useradd.php:
  chore(core): removes usages of extract() function  Fixes #6141

2014-10-20  Steve Clay <steve@mrclay.org>

  	* engine/lib/entities.php, engine/lib/river.php, engine/lib/views.php,
  views/default/page/components/gallery.php,
  views/default/page/components/list.php: feature(views): allows rendering
  empty results using an anonymous function  If you want the no_results message
  to not be wrapped by P tags, or you don’t want to always incur the cost of
  rendering a view for backup content, you can now provide a Closure whose
  output will be echoed by the view.

  	* engine/classes/ElggMenuItem.php, engine/lib/navigation.php: docs(menus):
  improve docs for menu item factory  Clarifies that the 2nd argument for
  elgg_register_menu_item() is used as the arguments for
  ElggMenuItem::factory() and the options PHPdocs are moved to factory().

2014-10-20  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/deprecated-1.10.php, engine/lib/deprecated-1.8.php,
  engine/lib/filestore.php, engine/load.php, mod/file/actions/file/upload.php,
  mod/file/start.php: deprecate(filestore): deprecate file_get_simple_type()
  and file_get_general_file_type()  Deprecate file_get_simple_type(), found in
  mod/file/start.php, and file_get_general_file_type(), found in
  engine/lib/filestore.php in favour of a pluggable elgg_get_file_simple_type()
  added to core api

2014-10-18  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/relationships.php,
  .../ElggCoreGetEntitiesFromRelationshipTest.php: fix(relationships): distinct
  ege* results when relationship_guid is not set 
  elgg_get_entities_from_relationship() was returning duplicate entities when
  relationship_guid was not set. This was likely caused by MySQL optimizing the
  query and using a different index to fulfill the r.id select. Specifying
  group_by in cases where relationship_guid is not set fixes the issue.  Fixes
  #5775

2014-10-20  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* engine/lib/filestore.php, engine/tests/ElggCoreFilestoreTest.php:
  feature(filestore): add elgg_get_file_simple_type() to core api  Consolidate
  simpletype parsing logic in a new elgg_get_file_simple_type() function added
  to core api

2014-10-20  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.4

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot, docs/locale/pt_BR/LC_MESSAGES/about.po,
  docs/locale/pt_BR/LC_MESSAGES/index.po, install/languages/pt_BR.php,
  languages/pt_BR.php, mod/bookmarks/languages/pt_BR.php,
  mod/developers/languages/pt_BR.php, mod/diagnostics/languages/pt_BR.php,
  mod/embed/languages/pt_BR.php, mod/externalpages/languages/pt_BR.php,
  mod/file/languages/pt_BR.php, mod/garbagecollector/languages/pt_BR.php,
  mod/groups/languages/pt_BR.php, mod/invitefriends/languages/pt_BR.php,
  mod/legacy_urls/languages/pt_BR.php, mod/logbrowser/languages/pt_BR.php,
  mod/logrotate/languages/pt_BR.php, mod/members/languages/pt_BR.php,
  mod/messageboard/languages/pt_BR.php, mod/messages/languages/pt_BR.php,
  mod/notifications/languages/pt_BR.php, mod/profile/languages/pt_BR.php,
  mod/site_notifications/languages/pt_BR.php, mod/thewire/languages/pt_BR.php,
  mod/twitter_api/languages/pt_BR.php,
  mod/uservalidationbyemail/languages/pt_BR.php,
  mod/web_services/languages/pt_BR.php: chore(i18n): update translations

2014-10-17  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/views/default/css/elements/typography.php,
  views/default/css/elements/typography.php, views/default/css/ie8.php:
  fix(css): stop CSS from overwriting the width and height added in CKEditor 
  Fixes #7269

2014-10-13  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* docs/guides/hooks-list.rst, docs/guides/upgrading.rst,
  engine/lib/filestore.php, mod/file/actions/file/upload.php,
  mod/file/start.php: feature(filestore): add a hook to fix detected mimetype 
  Moves mimetype detection logic for Microsoft zipped formats from a file
  plugin into a core plugin hook. Adds missing reference to mime_type,file hook
  in the list of available hooks. Adds information about available hooks for
  filtering mime and simple types to upgrading instructions. Informs plugin
  devs that Microsoft zipped format detection snippet can be removed from file
  upload actions.

2014-10-17  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* engine/classes/ElggPlugin.php, engine/lib/plugins.php: feature(plugins):
  added default param to elgg_get_plugin_user_setting  fixes #7260

  	* views/default/widgets/banned_users/content.php,
  views/default/widgets/banned_users/edit.php,
  views/default/widgets/content_stats/content.php,
  views/default/widgets/content_stats/edit.php,
  views/default/widgets/friends/content.php,
  views/default/widgets/friends/edit.php,
  views/default/widgets/new_users/content.php,
  views/default/widgets/new_users/edit.php,
  views/default/widgets/online_users/content.php,
  views/default/widgets/online_users/edit.php,
  views/default/widgets/river_widget/content.php,
  views/default/widgets/river_widget/edit.php: fix(widgets): determine default
  values for num display in content view  also fixed some widget content view
  not using the widget setting num display for the output  fixes #6923, #7041

2014-10-07  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* actions/admin/user/resetpassword.php, actions/comment/save.php,
  actions/useradd.php, engine/lib/friends.php, engine/lib/users.php,
  mod/groups/actions/groups/membership/add.php,
  mod/groups/actions/groups/membership/invite.php,
  mod/groups/actions/groups/membership/join.php,
  mod/likes/actions/likes/add.php, mod/messageboard/start.php,
  mod/uservalidationbyemail/lib/functions.php: fix(i18n): translate
  notification messages to the recipient's language  Fixes #7241, Refs #3151

2014-10-14  Steve Clay <steve@mrclay.org>

  	* docs/guides/views.rst, engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/EntityPreloader.php, engine/lib/entities.php,
  engine/lib/metastrings.php,
  engine/tests/ElggOwnerPreloaderIntegrationTest.php,
  engine/tests/phpunit/Elgg/EntityPreloaderTest.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/friends.php,
  mod/bookmarks/pages/bookmarks/owner.php, mod/file/pages/file/friends.php,
  mod/file/pages/file/owner.php, mod/file/pages/file/search.php,
  mod/file/pages/file/world.php, mod/groups/lib/discussion.php,
  mod/likes/views/default/likes/count.php,
  mod/messageboard/pages/messageboard/owner.php,
  mod/messages/pages/messages/inbox.php, mod/pages/pages/pages/friends.php,
  mod/pages/pages/pages/owner.php, mod/pages/pages/pages/world.php,
  mod/search/search_hooks.php, mod/thewire/pages/thewire/everyone.php,
  mod/thewire/pages/thewire/friends.php, mod/thewire/pages/thewire/thread.php,
  views/default/page/elements/comments.php,
  views/default/page/elements/comments_block.php: perf(entities): preloads
  owners when drawing lists of entities/likes  When drawing lists of
  entities/likes with a variety of owners, many owners end up being loaded one
  by one (inefficient). This adds a component that walks the list and preloads
  all the owners into the cache in one shot.  Fixes #5949

2014-06-19  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/Database.php,
  engine/tests/phpunit/Elgg/DatabaseTest.php: fix(db): query cache properly
  handles more callable types  The former query cache did not generate unique
  ids for callbacks. Notably all array callbacks were considered the same.

2014-10-13  Stian Liknes <stianlik@gmail.com>

  	* docs/guides/upgrading.rst, docs/guides/web-services.rst:
  docs(web_services): Documentation for Elgg 1.9  Updated function names to be
  compatible with Elgg 1.9. Information about migration from 1.8 to 1.9.

2014-10-12  Stian Liknes <stianlik@gmail.com>

  	* docs/guides/database.rst, engine/classes/Elgg/Database.php,
  engine/tests/phpunit/Elgg/DatabaseTest.php,
  .../phpunit/test_files/sql/multiple_statements.sql,
  .../sql/multiple_statements_with_comments.sql,
  .../tests/phpunit/test_files/sql/one_statement.sql,
  .../test_files/sql/one_statement_multiline.sql,
  .../test_files/sql/one_statement_with_comments.sql: fix(database): More
  robust sql script execution.  Implemented tests for various formats of SQL
  input and fixed a bug that caused text inside SQL strings to be interpreted
  as comments. Specifically, "INSERT INTO x values ('some string -- not a
  comment');" is now supported. Also added support for comments prefixed with
  "# ".

2014-09-20  Per Jensen <admin@perjensen-online.dk>

  	* engine/lib/admin.php, views/default/admin/header.php,
  views/default/css/admin.php: feature(admin): Use elgg_view_menu to generate
  admin header

2014-10-09  Per Jensen <admin@perjensen-online.dk>

  	* .../views/default/css/elements/components.php,
  mod/groups/views/default/discussion/replies.php,
  .../default/river/elements/discussion_replies.php,
  views/default/page/elements/comments.php,
  views/default/river/elements/responses.php: feature(aalborg_theme): comments
  use triangle indicator instead of text label  Fixes  #7161

2014-10-08  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/classes/ElggUpgrade.php, engine/tests/phpunit/ElggUpgradeTest.php,
  languages/en.php: chore(tests): throw ElggUpgrade exceptions untranslated to
  get rid of library dependencies  ElggUpgrade was translating its exception
  messages which required ElggUpgradeTest to include the languages library. Use
  of the libraries is prone to cause dependency chains, so it's better not to
  translate the exceptions at all for now.  Fixes #7276

2014-10-06  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.3

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot, languages/de.php, languages/fr.php,
  languages/nl.php, mod/blog/languages/ko.php, mod/bookmarks/languages/ko.php,
  mod/categories/languages/ko.php, mod/categories/languages/pt_BR.php,
  mod/ckeditor/languages/ko.php, mod/custom_index/languages/ko.php,
  mod/developers/languages/fi.php, mod/developers/languages/ko.php,
  mod/diagnostics/languages/ko.php, mod/embed/languages/ko.php,
  mod/externalpages/languages/ko.php, mod/file/languages/ko.php,
  mod/file/languages/nl.php, mod/file/languages/ru.php,
  mod/garbagecollector/languages/ko.php, mod/groups/languages/nl.php,
  mod/groups/languages/ru.php, mod/invitefriends/languages/ko.php,
  mod/legacy_urls/languages/ko.php, mod/legacy_urls/languages/nl.php,
  mod/likes/languages/ko.php, mod/logbrowser/languages/ko.php,
  mod/logrotate/languages/ko.php, mod/members/languages/ko.php,
  mod/messages/languages/ko.php, mod/notifications/languages/ko.php,
  mod/pages/languages/ko.php, mod/profile/languages/ko.php,
  mod/reportedcontent/languages/ko.php,
  mod/reportedcontent/languages/pt_BR.php, mod/search/languages/ko.php,
  mod/site_notifications/languages/ko.php, mod/tagcloud/languages/ar.php,
  mod/tagcloud/languages/ko.php, mod/tagcloud/languages/pt_BR.php,
  mod/thewire/languages/ko.php, mod/uservalidationbyemail/languages/fr.php:
  chore(i18n): update translations

2014-10-01  Steve Clay <steve@mrclay.org>

  	* docs/contribute/code.rst, docs/guides/i18n.rst,
  docs/guides/javascript.rst: docs(js): Adds docs for more JS functions,
  improves docs for elgg.echo

  	* mod/blog/views/default/river/object/blog/create.php,
  mod/bookmarks/views/default/river/object/bookmarks/create.php,
  mod/file/views/default/river/object/file/create.php,
  mod/groups/views/default/river/group/create.php,
  .../views/default/river/object/discussion_reply/create.php,
  mod/groups/views/default/river/object/groupforumtopic/create.php,
  .../views/default/river/object/messageboard/create.php,
  mod/pages/views/default/river/object/page/create.php,
  mod/thewire/views/default/river/object/thewire/create.php,
  views/default/river/elements/body.php,
  views/default/river/elements/image.php,
  views/default/river/elements/responses.php, views/default/river/item.php,
  views/default/river/object/comment/create.php,
  views/default/river/relationship/friend/create.php,
  views/default/river/user/default/profileiconupdate.php,
  views/default/river/user/default/profileupdate.php: chore(views): improve
  static analysis in river views

2014-09-28  Steve Clay <steve@mrclay.org>

  	* actions/friends/add.php, actions/friends/remove.php,
  engine/classes/ElggUser.php, mod/invitefriends/start.php: chore(users): move
  river creation to ElggUser::addFriend  Refs #7247

2014-09-21  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/guides/index.rst, docs/guides/menus.rst: docs(menus): document how to
  use menus

2014-09-27  Brett Profitt <brett.profitt@gmail.com>

  	* docs/appendix/faqs.rst, docs/appendix/history.rst,
  docs/appendix/index.rst, docs/intro/install.rst: docs(faqs): Started
  migrating some FAQs.

2014-09-26  Brett Profitt <brett.profitt@gmail.com>

  	* docs/admin/getting_started.rst, docs/admin/index.rst: docs(admin):
  Migrated Getting Started guide from wiki.  Refs #6812.

2014-09-25  Brett Profitt <brett.profitt@gmail.com>

  	* docs/guides/events-list.rst, docs/guides/hooks-list.rst,
  docs/intro/development.rst, index.php: docs(all): Cleanup docs.  Refs #6812.

2014-09-23  Brett Profitt <brett.profitt@gmail.com>

  	* docs/design/events.rst, docs/guides/hooks-list.rst: docs(hook): Updated
  hooks docs.  Refs #6812

2014-09-21  Brett Profitt <brett.profitt@gmail.com>

  	* docs/design/events.rst, docs/guides/events-list.rst: docs(events): Updated
  event list and cleaned up existing event docs.  Refs #6812.

2014-09-23  Jeroen Dalsem <jdalsem@coldtrick.com>

  	* mod/groups/start.php, mod/likes/views/default/annotation/likes.php,
  mod/messageboard/start.php, mod/messages/start.php,
  mod/messages/views/default/object/messages.php,
  views/default/admin/appearance/profile_fields/list.php,
  views/default/input/userpicker/item.php,
  views/default/object/admin_notice.php: fix(icons): some elgg icons were not
  using internal view

2014-09-21  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.2

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot: chore(i18n): update translations

2014-09-21  Brett Profitt <brett.profitt@gmail.com>

  	* docs/design/actions.rst, docs/design/database.rst, docs/design/index.rst,
  docs/design/security.rst, docs/guides/actions.rst, docs/index.rst,
  engine/lib/actions.php: docs(actions): Migrated actions section from old
  Getting Started docs and cleaned up related sections.  Refs #6812.

2014-09-19  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/guides/index.rst, docs/guides/river.rst: docs(river): adds
  documentation on how to use the river

2014-09-17  Jerome Bakker <jeabakker@coldtrick.com>

  	* .../actions/site_notifications/process.php,
  mod/site_notifications/languages/en.php,
  .../pages/site_notifications/view.php, mod/site_notifications/start.php,
  .../default/forms/site_notifications/process.php,
  .../views/default/js/site_notifications.php,
  .../views/default/object/site_notification.php,
  .../views/default/site_notifications/css.php: feature(site_notifications):
  option to mass delete site notifications …  When a user has a lot of site
  notifications he/she has to delete them individually. This is very time
  consuming, so this solves that problem  fixes #6219

2014-09-18  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/contribute/code.rst, docs/guides/views.rst: chore(docs): fixes broken
  links in Views and Contribute documentation  Fixes #6954

2014-09-14  Steve Clay <steve@mrclay.org>

  	* actions/admin/upgrades/upgrade_comments.php,
  actions/admin/upgrades/upgrade_datadirs.php,
  .../admin/upgrades/upgrade_discussion_replies.php,
  engine/classes/ElggUpgrade.php,
  ...0_dev-comments_to_entities-faba94768b055b08.php,
  ...9.0-datadir_dates_to_guids-efb02ff11b9d6444.php,
  ....0_dev-replies_to_entities-094ea0e36bc027d3.php,
  engine/tests/phpunit/ElggUpgradeTest.php, languages/en.php,
  views/default/admin/upgrades/datadirs.php: fix(upgrades): now stores
  ElggUpgrade by paths instead of full URLs  Storing upgrade objects by
  complete URLs can be problematic if the site URL changes.  Fixes #6838

2014-09-17  Steve Clay <steve@mrclay.org>

  	* mod/aalborg_theme/views/default/css/elements/typography.php,
  mod/aalborg_theme/views/default/css/maintenance.php,
  mod/ckeditor/views/default/css/elgg/wysiwyg.css,
  views/default/css/elements/typography.php, views/default/css/maintenance.php:
  fix(style): ordered list markers now always visible  Due to the default
  list-style-position: outside, list markers would extend to the left of the
  elgg-body content and be cut off due to the way that element is layed out.
  Here we change the model to inside position.  Fixes #7206

2014-09-16  Steve Clay <steve@mrclay.org>

  	* engine/classes/Elgg/DeprecationWrapper.php, engine/lib/elgglib.php:
  fix(deprecation): deprecation warnings for 1.10 now work as expected  The
  previous code would cause "1.10" to be interpreted as version 1.1

2014-09-12  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.1

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot: chore(i18n): update translations

2014-09-08  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/classes/Elgg/UpgradeService.php,
  ...9.0-fix_processed_upgrades-183ad189c71872d8.php: fix(upgrade): fixes
  erroneous values in the list of processed upgrades  Code in the upgrade
  includes was overwriting variables in the upgrade service resulting in an
  object being saved to the list of processed upgrade where the filename should
  have been. This upgrade replaces the class with the filename and isolates the
  scope of the include so upgrades cannot break the process.  Fixes #7198

2014-09-07  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGES.txt, version.php: chore(release): updated CHANGES.txt and
  version.php for 1.8.20

  	* CHANGELOG.md, composer.json: chore(release): v1.9.0

  	* docs/locale/ca/LC_MESSAGES/index.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/tutorials.pot, languages/fi.php,
  languages/pl.php: chore(i18n): update translations

2014-09-03  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* engine/lib/languages.php, languages/en.php: fix(i18n): system cache now
  supports regional designators in language codes  Name of a cached language
  file can now have the following structure: - language code (2-3 lowercase
  alphabets) - underscore followed by regional designator (2 lowercase
  alphabets)  Fixes #7187

2014-08-25  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.0-rc.7

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot: chore(i18n): update translations

2014-08-13  Paweł Sroka <srokap@gmail.com>

  	* docs/locale/es/LC_MESSAGES/design.po,
  docs/locale/es/LC_MESSAGES/guides.po, install/languages/de.php,
  install/languages/es.php, install/languages/gl.php, install/languages/ja.php,
  install/languages/ja_JP.php, languages/de.php, languages/es.php,
  languages/gl.php, languages/ja.php, languages/ja_JP.php, languages/pl.php,
  mod/blog/languages/fr.php, mod/blog/languages/ja.php,
  mod/blog/languages/ja_JP.php, mod/bookmarks/languages/fr.php,
  mod/bookmarks/languages/ja.php, mod/bookmarks/languages/ja_JP.php,
  mod/categories/languages/fr.php, mod/categories/languages/ja.php,
  mod/categories/languages/ja_JP.php, mod/ckeditor/languages/ja.php,
  mod/ckeditor/languages/ja_JP.php, mod/custom_index/languages/ja.php,
  mod/custom_index/languages/ja_JP.php, mod/developers/languages/fr.php,
  mod/developers/languages/ja.php, mod/developers/languages/ja_JP.php,
  mod/diagnostics/languages/fr.php, mod/diagnostics/languages/ja.php,
  mod/diagnostics/languages/ja_JP.php, mod/embed/languages/ja.php,
  mod/embed/languages/ja_JP.php, mod/externalpages/languages/ja.php,
  mod/externalpages/languages/ja_JP.php, mod/file/languages/de.php,
  mod/file/languages/es.php, mod/file/languages/fi.php,
  mod/file/languages/gl.php, mod/file/languages/ja.php,
  mod/file/languages/ja_JP.php, mod/file/languages/pl.php,
  mod/garbagecollector/languages/ja.php,
  mod/garbagecollector/languages/ja_JP.php, mod/groups/languages/de.php,
  mod/groups/languages/es.php, mod/groups/languages/fi.php,
  mod/groups/languages/ja.php, mod/groups/languages/ja_JP.php,
  mod/invitefriends/languages/ja.php, mod/invitefriends/languages/ja_JP.php,
  mod/legacy_urls/languages/ja.php, mod/legacy_urls/languages/ja_JP.php,
  mod/likes/languages/ja.php, mod/likes/languages/ja_JP.php,
  mod/logbrowser/languages/ja.php, mod/logbrowser/languages/ja_JP.php,
  mod/logrotate/languages/ja.php, mod/logrotate/languages/ja_JP.php,
  mod/members/languages/ja.php, mod/members/languages/ja_JP.php,
  mod/messageboard/languages/ja.php, mod/messageboard/languages/ja_JP.php,
  mod/messages/languages/ja.php, mod/messages/languages/ja_JP.php,
  mod/messages/languages/ru.php, mod/notifications/languages/ja.php,
  mod/notifications/languages/ja_JP.php, mod/pages/languages/ja.php,
  mod/pages/languages/ja_JP.php, mod/profile/languages/ja.php,
  mod/profile/languages/ja_JP.php, mod/reportedcontent/languages/ja.php,
  mod/reportedcontent/languages/ja_JP.php, mod/search/languages/ja.php,
  mod/search/languages/ja_JP.php, mod/site_notifications/languages/es.php,
  mod/site_notifications/languages/ja.php,
  mod/site_notifications/languages/ja_JP.php,
  mod/site_notifications/languages/ru.php, mod/tagcloud/languages/ja.php,
  mod/tagcloud/languages/ja_JP.php, mod/thewire/languages/ja.php,
  mod/thewire/languages/ja_JP.php, mod/twitter_api/languages/ja.php,
  mod/twitter_api/languages/ja_JP.php,
  mod/uservalidationbyemail/languages/fr.php,
  mod/uservalidationbyemail/languages/ja.php,
  mod/uservalidationbyemail/languages/ja_JP.php,
  mod/web_services/languages/ja.php, mod/web_services/languages/ja_JP.php:
  chore(i18n): update translations

2014-08-06  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/views/default/css/elements/components.php,
  views/default/css/elements/components.php: fix(css): removes padding and
  margin from elgg-menu-entity items

2014-08-11  Steve Clay <steve@mrclay.org>

  	* mod/aalborg_theme/views/default/profile/css.php,
  mod/profile/views/default/profile/css.php,
  mod/profile/views/default/profile/details.php: chore(css): improves styling
  of banned message on user profile

  	* engine/lib/output.php, engine/tests/ElggCoreHelpersTest.php: fix(output):
  elgg_normalize_url no longer mistakes querystrings for domains  The pattern
  for recognizing domain names in elgg_normalize_url was too tolerant,
  resulting in some paths begin seen as domains just because the querystring
  contained a period.

2014-08-11  Paweł Sroka <srokap@gmail.com>

  	* js/lib/comments.js, mod/groups/views/default/js/discussion/discussion.js,
  mod/groups/views/default/object/discussion_reply.php,
  views/default/object/comment.php: fix(discussion): Fixes inline edit of
  replies temporarily changing applied styles to the text  That fixes bullet
  points disappearing after inline edit.  Fixes #6879

2014-08-11  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.0-rc.6

  	* docs/locale/es/LC_MESSAGES/intro.po, docs/locale/fr/LC_MESSAGES/about.po,
  docs/locale/it/LC_MESSAGES/about.po, docs/locale/pot/about.pot,
  docs/locale/pot/admin.pot, docs/locale/pot/appendix.pot,
  docs/locale/pot/contribute.pot, docs/locale/pot/design.pot,
  docs/locale/pot/guides.pot, docs/locale/pot/index.pot,
  docs/locale/pot/intro.pot, docs/locale/pot/tutorials.pot, languages/fr.php,
  mod/blog/languages/it.php, mod/blog/languages/pt_BR.php,
  mod/ckeditor/languages/it.php, mod/ckeditor/languages/pt_BR.php,
  mod/custom_index/languages/pt_BR.php, mod/diagnostics/languages/it.php,
  mod/file/languages/fr.php, mod/file/languages/ja_JP.php,
  mod/invitefriends/languages/fr.php, mod/legacy_urls/languages/fr.php,
  mod/likes/languages/it.php, mod/likes/languages/pt_BR.php,
  mod/logrotate/languages/fr.php, mod/members/languages/fr.php,
  mod/messages/languages/fr.php, mod/pages/languages/fr.php,
  mod/pages/languages/pt_BR.php, mod/search/languages/fr.php,
  mod/search/languages/pt_BR.php, mod/site_notifications/languages/fr.php,
  mod/tagcloud/languages/it.php, mod/thewire/languages/fr.php,
  mod/twitter_api/languages/fr.php, mod/web_services/languages/fr.php:
  chore(i18n): update translations

2014-08-06  Per Jensen <admin@perjensen-online.dk>

  	* mod/aalborg_theme/views/default/css/elements/components.php,
  views/default/css/elements/components.php: fix(css): removes padding and
  margin from elgg-menu-entity items

2014-07-28  Evan Winslow <evan.b.winslow@gmail.com>

  	* engine/classes/ElggInstaller.php, engine/load.php, engine/start.php,
  engine/tests/phpunit/Elgg/ActionsServiceTest.php,
  .../Notifications/NotificationsServiceTest.php,
  engine/tests/phpunit/ElggCoreUrlHelpersTest.php,
  engine/tests/phpunit/ElggCoreViewtypeTest.php,
  engine/tests/phpunit/ElggEntityTest.php,
  engine/tests/phpunit/ElggExtenderTest.php,
  engine/tests/phpunit/ElggUpgradeTest.php, engine/tests/phpunit/bootstrap.php:
  chore(engine): Added load.php to load engine code without booting  This is
  useful during testing and installation

2014-08-01  Evan Winslow <evan.b.winslow@gmail.com>

  	* composer.json, composer.lock,
  engine/classes/Elgg/Filesystem/Directory.php,
  engine/classes/Elgg/Filesystem/File.php,
  engine/classes/Elgg/Filesystem/Filesystem.php,
  engine/tests/phpunit/Elgg/Filesystem/FileTest.php,
  .../phpunit/Elgg/Filesystem/FilesystemTest.php: chore(filesystem): Convert
  filesystem to Gaufrette and add tests  Flysystem requires PHP 5.4 and we're
  not *quite* ready for that just yet...

2014-07-24  ewinslow <evan@elgg.org>

  	* .scripts/move_namespaces_to_top.php,
  actions/admin/site/unlock_upgrade.php,
  actions/admin/upgrades/upgrade_comments.php,
  actions/admin/upgrades/upgrade_datadirs.php,
  .../admin/upgrades/upgrade_discussion_replies.php, docs/contribute/code.rst,
  engine/classes/CallException.php, engine/classes/ClassException.php,
  engine/classes/ClassNotFoundException.php,
  engine/classes/ConfigurationException.php, engine/classes/CronException.php,
  engine/classes/DataFormatException.php, engine/classes/DatabaseException.php,
  engine/classes/Elgg/Access.php, engine/classes/Elgg/ActionsService.php,
  engine/classes/Elgg/Amd/Config.php, engine/classes/Elgg/Amd/ViewFilter.php,
  engine/classes/Elgg/AttributeLoader.php,
  engine/classes/Elgg/AutoloadManager.php,
  engine/classes/Elgg/Cache/LRUCache.php, engine/classes/Elgg/CacheHandler.php,
  engine/classes/Elgg/ClassLoader.php, engine/classes/Elgg/ClassMap.php,
  engine/classes/Elgg/Database.php, engine/classes/Elgg/Database/Config.php,
  engine/classes/Elgg/Database/QueryCounter.php,
  engine/classes/Elgg/DeprecationWrapper.php,
  engine/classes/Elgg/Di/DiContainer.php,
  .../classes/Elgg/Di/FactoryUncallableException.php,
  engine/classes/Elgg/Di/MissingValueException.php,
  engine/classes/Elgg/Di/ServiceProvider.php,
  engine/classes/Elgg/EntityDirLocator.php,
  engine/classes/Elgg/EventsService.php,
  engine/classes/Elgg/GroupItemVisibility.php,
  engine/classes/Elgg/HooksRegistrationService.php,
  .../classes/Elgg/Http/DatabaseSessionHandler.php,
  engine/classes/Elgg/Http/MockSessionHandler.php,
  engine/classes/Elgg/Http/MockSessionStorage.php,
  engine/classes/Elgg/Http/NativeSessionStorage.php,
  engine/classes/Elgg/Http/ParameterBag.php,
  engine/classes/Elgg/Http/Request.php,
  engine/classes/Elgg/Http/SessionHandler.php,
  engine/classes/Elgg/Http/SessionStorage.php, engine/classes/Elgg/Logger.php,
  engine/classes/Elgg/Notifications/Event.php,
  engine/classes/Elgg/Notifications/Notification.php,
  .../Elgg/Notifications/NotificationsService.php,
  .../Elgg/Notifications/SubscriptionsService.php,
  engine/classes/Elgg/PersistentLoginService.php,
  engine/classes/Elgg/PluginHooksService.php,
  engine/classes/Elgg/Queue/DatabaseQueue.php,
  engine/classes/Elgg/Queue/MemoryQueue.php,
  engine/classes/Elgg/Queue/Queue.php, engine/classes/Elgg/Router.php,
  engine/classes/Elgg/Translit.php, engine/classes/Elgg/UpgradeService.php,
  engine/classes/Elgg/Upgrades/Helper2013022000.php,
  engine/classes/Elgg/ViewsService.php, engine/classes/Elgg/WidgetsService.php,
  engine/classes/ElggAnnotation.php, engine/classes/ElggBatch.php,
  engine/classes/ElggCache.php, engine/classes/ElggComment.php,
  engine/classes/ElggCrypto.php, engine/classes/ElggData.php,
  engine/classes/ElggDiskFilestore.php, engine/classes/ElggEntity.php,
  engine/classes/ElggExtender.php, engine/classes/ElggFile.php,
  engine/classes/ElggFileCache.php, engine/classes/ElggFilestore.php,
  engine/classes/ElggGroup.php, engine/classes/ElggInstaller.php,
  engine/classes/ElggMemcache.php, engine/classes/ElggMenuBuilder.php,
  engine/classes/ElggMenuItem.php, engine/classes/ElggMetadata.php,
  engine/classes/ElggObject.php, engine/classes/ElggPAM.php,
  engine/classes/ElggPlugin.php, engine/classes/ElggPluginManifest.php,
  engine/classes/ElggPluginManifestParser.php,
  engine/classes/ElggPluginManifestParser17.php,
  engine/classes/ElggPluginManifestParser18.php,
  engine/classes/ElggPluginPackage.php, engine/classes/ElggPriorityList.php,
  engine/classes/ElggRelationship.php, engine/classes/ElggRewriteTester.php,
  engine/classes/ElggRiverItem.php, engine/classes/ElggSession.php,
  engine/classes/ElggSharedMemoryCache.php, engine/classes/ElggSite.php,
  engine/classes/ElggStaticVariableCache.php, engine/classes/ElggUpgrade.php,
  engine/classes/ElggUser.php, engine/classes/ElggVolatileMetadataCache.php,
  engine/classes/ElggWidget.php, engine/classes/ElggXMLElement.php,
  engine/classes/ExportException.php, engine/classes/IOException.php,
  engine/classes/ImportException.php,
  engine/classes/IncompleteEntityException.php,
  engine/classes/InstallationException.php,
  engine/classes/InvalidClassException.php,
  engine/classes/InvalidParameterException.php, engine/classes/Loggable.php,
  engine/classes/LoginException.php, engine/classes/NotificationException.php,
  engine/classes/ODDDocument.php, engine/classes/PluginException.php,
  engine/classes/RegistrationException.php,
  engine/classes/SecurityException.php, engine/handlers/cache_handler.php,
  engine/handlers/export_handler.php, engine/lib/access.php,
  engine/lib/admin.php, engine/lib/annotations.php, engine/lib/autoloader.php,
  engine/lib/cache.php, engine/lib/comments.php, engine/lib/configuration.php,
  engine/lib/cron.php, engine/lib/database.php, engine/lib/deprecated-1.7.php,
  engine/lib/deprecated-1.8.php, engine/lib/deprecated-1.9.php,
  engine/lib/elgglib.php, engine/lib/entities.php, engine/lib/filestore.php,
  engine/lib/friends.php, engine/lib/group.php, engine/lib/input.php,
  engine/lib/memcache.php, engine/lib/metadata.php, engine/lib/metastrings.php,
  engine/lib/navigation.php, engine/lib/notification.php,
  engine/lib/objects.php, engine/lib/output.php, engine/lib/pagehandler.php,
  engine/lib/pageowner.php, engine/lib/pam.php, engine/lib/plugins.php,
  engine/lib/private_settings.php, engine/lib/relationships.php,
  engine/lib/river.php, engine/lib/sessions.php, engine/lib/sites.php,
  engine/lib/system_log.php, engine/lib/upgrades/2010033101.php,
  engine/lib/upgrades/2010061501.php, engine/lib/upgrades/2011010101.php,
  ...8_svn-blog_status_metadata-4645225d7b440876.php,
  ...8b1-sites_need_a_site_guid-6d9dcbf46c0826cc.php,
  ...3101-1.8.2-fix_blog_status-b14c2a0e7b9e7d55.php,
  ...0_dev-comments_to_entities-faba94768b055b08.php,
  ...9.0-datadir_dates_to_guids-efb02ff11b9d6444.php,
  ....8.13-update_user_location-8999eb8bf1bdd9a3.php,
  ....0_dev-elgg_upgrade_object-5577af53c93abd1a.php,
  ...00-1.9.0_dev-tinymce_to_ck-bbd2daa1912deaef.php,
  ....0_dev-replies_to_entities-094ea0e36bc027d3.php, engine/lib/users.php,
  engine/lib/views.php, engine/lib/widgets.php, engine/settings.example.php,
  engine/start.php, engine/tests/ElggAnnotationTest.php,
  engine/tests/ElggBatchTest.php,
  engine/tests/ElggCoreAccessCollectionsTest.php,
  engine/tests/ElggCoreAccessSQLTest.php,
  engine/tests/ElggCoreAnnotationAPITest.php,
  engine/tests/ElggCoreAttributeLoaderTest.php,
  engine/tests/ElggCoreConfigTest.php,
  engine/tests/ElggCoreDatabaseQueueTest.php,
  engine/tests/ElggCoreFilestoreTest.php,
  engine/tests/ElggCoreGetEntitiesBaseTest.php,
  .../ElggCoreGetEntitiesFromAnnotationsTest.php,
  .../ElggCoreGetEntitiesFromAttributesTest.php,
  .../tests/ElggCoreGetEntitiesFromMetadataTest.php,
  .../ElggCoreGetEntitiesFromPrivateSettingsTest.php,
  .../ElggCoreGetEntitiesFromRelationshipTest.php,
  engine/tests/ElggCoreGetEntitiesTest.php,
  engine/tests/ElggCoreHelpersTest.php,
  engine/tests/ElggCoreMetadataAPITest.php,
  engine/tests/ElggCoreMetadataCacheTest.php,
  engine/tests/ElggCoreMetastringsTest.php,
  engine/tests/ElggCoreOutputAutoPTest.php,
  engine/tests/ElggCorePluginsAPITest.php,
  engine/tests/ElggCoreRegressionBugsTest.php,
  engine/tests/ElggCoreRiverAPITest.php, engine/tests/ElggCoreSkeletonTest.php,
  engine/tests/ElggCoreUnitTest.php, engine/tests/ElggEntityTest.php,
  engine/tests/ElggGroupTest.php, engine/tests/ElggObjectTest.php,
  engine/tests/ElggSiteTest.php, engine/tests/ElggTravisInstallTest.php,
  engine/tests/ElggUserTest.php,
  engine/tests/phpunit/Elgg/ActionsServiceTest.php,
  engine/tests/phpunit/Elgg/Amd/ConfigTest.php,
  engine/tests/phpunit/Elgg/Amd/ViewFilterTest.php,
  engine/tests/phpunit/Elgg/CacheHandlerTest.php,
  engine/tests/phpunit/Elgg/Database/ConfigTest.php,
  .../tests/phpunit/Elgg/DeprecationWrapperTest.php,
  engine/tests/phpunit/Elgg/Di/DiContainerTest.php,
  .../tests/phpunit/Elgg/Di/ServiceProviderTest.php,
  engine/tests/phpunit/Elgg/EntityDirLocatorTest.php,
  engine/tests/phpunit/Elgg/EventsServiceTest.php,
  .../phpunit/Elgg/HooksRegistrationService.php,
  .../phpunit/Elgg/Http/MockSessionStorageTest.php,
  .../phpunit/Elgg/Http/NativeSessionStorageTest.php,
  engine/tests/phpunit/Elgg/LoggerTest.php,
  .../Notifications/NotificationsServiceTest.php,
  .../Notifications/SubscriptionsServiceTest.php,
  engine/tests/phpunit/Elgg/PersistentLoginTest.php,
  .../tests/phpunit/Elgg/PluginHooksServiceTest.php,
  engine/tests/phpunit/Elgg/RouterTest.php,
  engine/tests/phpunit/Elgg/ViewsServiceTest.php,
  engine/tests/phpunit/Elgg/WidgetsServiceTest.php,
  .../tests/phpunit/ElggCommitMessageGitHookTest.php,
  engine/tests/phpunit/ElggCommitMessageTest.php,
  engine/tests/phpunit/ElggCoreUrlHelpersTest.php,
  engine/tests/phpunit/ElggCoreViewtypeTest.php,
  engine/tests/phpunit/ElggCryptoTest.php,
  engine/tests/phpunit/ElggEntityTest.php,
  engine/tests/phpunit/ElggExtenderTest.php,
  engine/tests/phpunit/ElggGroupTest.php,
  engine/tests/phpunit/ElggMenuItemTest.php,
  engine/tests/phpunit/ElggObjectTest.php,
  engine/tests/phpunit/ElggPriorityListTest.php,
  engine/tests/phpunit/ElggRelationshipTest.php,
  engine/tests/phpunit/ElggSessionTest.php,
  engine/tests/phpunit/ElggSiteTest.php,
  .../phpunit/ElggTravisValidateCommitMsgTest.php,
  engine/tests/phpunit/ElggUpgradeTest.php,
  engine/tests/phpunit/ElggUserTest.php, engine/tests/phpunit/bootstrap.php,
  engine/tests/test_files/class_scanner/3.php,
  engine/tests/test_files/class_scanner/4.php,
  .../test_files/output/autop/typical-post.exp.html,
  .../test_files/output/autop/typical-post.in.html, mod/blog/start.php,
  mod/bookmarks/start.php, mod/developers/start.php, mod/file/start.php,
  mod/groups/start.php, mod/pages/start.php, mod/profile/icondirect.php,
  mod/site_notifications/start.php, mod/thewire/start.php, upgrade.php,
  views/default/admin/upgrades/datadirs.php,
  views/default/widgets/control_panel/content.php: chore(php): convert class
  underscores to namespaces

2014-07-28  ewinslow <evan@elgg.org>

  	* engine/classes/ElggInstaller.php, engine/classes/ElggRewriteTester.php,
  install.php, install/ElggInstaller.php, install/ElggRewriteTester.php,
  install/cli/sample_installer.php, install/cli/travis_installer.php:
  chore(install): Move installer classes to classes dir  This allows the
  classes to be autoloaded just like all the others.  Fixes #7111

2014-07-19  ewinslow <evan@elgg.org>

  	* composer.json, composer.lock, engine/lib/views.php,
  vendors/minify/lib/CSSMin.php, vendors/minify/lib/DooDigestAuth.php,
  vendors/minify/lib/FirePHP.php, vendors/minify/lib/HTTP/ConditionalGet.php,
  vendors/minify/lib/HTTP/Encoder.php, vendors/minify/lib/JSMin.php,
  vendors/minify/lib/JSMinPlus.php, vendors/minify/lib/Minify.php,
  vendors/minify/lib/Minify/Build.php, vendors/minify/lib/Minify/CSS.php,
  vendors/minify/lib/Minify/CSS/Compressor.php,
  vendors/minify/lib/Minify/CSS/UriRewriter.php,
  vendors/minify/lib/Minify/Cache/APC.php,
  vendors/minify/lib/Minify/Cache/File.php,
  vendors/minify/lib/Minify/Cache/Memcache.php,
  vendors/minify/lib/Minify/Cache/ZendPlatform.php,
  vendors/minify/lib/Minify/ClosureCompiler.php,
  vendors/minify/lib/Minify/CommentPreserver.php,
  vendors/minify/lib/Minify/Controller/Base.php,
  vendors/minify/lib/Minify/Controller/Files.php,
  vendors/minify/lib/Minify/Controller/Groups.php,
  vendors/minify/lib/Minify/Controller/MinApp.php,
  vendors/minify/lib/Minify/Controller/Page.php,
  vendors/minify/lib/Minify/Controller/Version1.php,
  vendors/minify/lib/Minify/DebugDetector.php,
  vendors/minify/lib/Minify/HTML.php,
  vendors/minify/lib/Minify/HTML/Helper.php,
  vendors/minify/lib/Minify/ImportProcessor.php,
  vendors/minify/lib/Minify/JS/ClosureCompiler.php,
  vendors/minify/lib/Minify/Lines.php, vendors/minify/lib/Minify/Loader.php,
  vendors/minify/lib/Minify/Logger.php, vendors/minify/lib/Minify/Packer.php,
  vendors/minify/lib/Minify/Source.php,
  vendors/minify/lib/Minify/YUI/CssCompressor.java,
  vendors/minify/lib/Minify/YUI/CssCompressor.php,
  vendors/minify/lib/Minify/YUICompressor.php,
  vendors/minify/lib/MrClay/Cli.php, vendors/minify/lib/MrClay/Cli/Arg.php:
  chore(composer): Use composer to load mrclay/minify  BREAKING CHANGE: The
  CSSMin class included via minify was renamed to CSSmin. If you were referring
  to it with capital M, you'll have to change that to lower-case m.  However,
  note that Elgg's dependencies are not considered public API, so this notice
  is only a courtesy. Please explicitly declare your dependencies on third
  party vendors, even ones that you know Elgg already includes. We may remove
  or update them at any time.

2014-07-28  ewinslow <evan@elgg.org>

  	* composer.json, composer.lock,
  engine/classes/Elgg/Filesystem/Directory.php,
  engine/classes/Elgg/Filesystem/File.php,
  engine/classes/Elgg/Filesystem/Filesystem.php: chore(filesystem): Add basic
  filesystem abstraction backed by Flysystem  Refs #6803

2014-07-23  ewinslow <evan@elgg.org>

  	* engine/classes/Elgg/Context.php,
  engine/classes/Elgg/Di/ServiceProvider.php, engine/lib/configuration.php,
  engine/lib/pageowner.php, engine/tests/phpunit/Elgg/ContextTest.php,
  engine/tests/phpunit/ElggCoreViewtypeTest.php, install/ElggInstaller.php:
  chore(context): Pull `elgg_*_context` functions' logic into a service

2014-07-22  ewinslow <evan@elgg.org>

  	* .travis.yml, composer.json, composer.lock: chore(composer): install sniffs
  via composer instead of PEAR

2014-07-19  ewinslow <evan@elgg.org>

  	* .gitignore, .travis.yml, composer.lock, vendor/autoload.php,
  vendor/bin/phpunit, vendor/composer/ClassLoader.php,
  vendor/composer/autoload_classmap.php,
  vendor/composer/autoload_namespaces.php, vendor/composer/autoload_psr4.php,
  vendor/composer/autoload_real.php, vendor/composer/include_paths.php,
  vendor/composer/installed.json, vendor/phpunit/php-code-coverage/.gitignore,
  vendor/phpunit/php-code-coverage/CONTRIBUTING.md,
  vendor/phpunit/php-code-coverage/LICENSE,
  vendor/phpunit/php-code-coverage/README.md,
  vendor/phpunit/php-code-coverage/build.xml,
  .../phpunit/php-code-coverage/build/travis-ci.xml,
  vendor/phpunit/php-code-coverage/composer.json,
  vendor/phpunit/php-code-coverage/phpunit.xml.dist,
  .../php-code-coverage/scripts/auto_append.php,
  .../php-code-coverage/scripts/auto_prepend.php,
  .../phpunit/php-code-coverage/src/CodeCoverage.php,
  .../php-code-coverage/src/CodeCoverage/Driver.php,
  .../src/CodeCoverage/Driver/HHVM.php, .../src/CodeCoverage/Driver/Xdebug.php,
  .../src/CodeCoverage/Exception.php,
  .../Exception/UnintentionallyCoveredCode.php,
  .../php-code-coverage/src/CodeCoverage/Filter.php,
  .../src/CodeCoverage/Report/Clover.php,
  .../src/CodeCoverage/Report/Crap4j.php,
  .../src/CodeCoverage/Report/Factory.php,
  .../src/CodeCoverage/Report/HTML.php,
  .../src/CodeCoverage/Report/HTML/Renderer.php,
  .../Report/HTML/Renderer/Dashboard.php,
  .../Report/HTML/Renderer/Directory.php,
  .../src/CodeCoverage/Report/HTML/Renderer/File.php,
  .../HTML/Renderer/Template/coverage_bar.html.dist,
  .../HTML/Renderer/Template/css/bootstrap.min.css,
  .../Report/HTML/Renderer/Template/css/nv.d3.css,
  .../Report/HTML/Renderer/Template/css/style.css,
  .../HTML/Renderer/Template/dashboard.html.dist,
  .../HTML/Renderer/Template/directory.html.dist,
  .../Renderer/Template/directory_item.html.dist,
  .../Report/HTML/Renderer/Template/file.html.dist,
  .../HTML/Renderer/Template/file_item.html.dist,
  .../fonts/glyphicons-halflings-regular.eot,
  .../fonts/glyphicons-halflings-regular.svg,
  .../fonts/glyphicons-halflings-regular.ttf,
  .../fonts/glyphicons-halflings-regular.woff,
  .../HTML/Renderer/Template/js/bootstrap.min.js,
  .../Report/HTML/Renderer/Template/js/d3.min.js,
  .../Report/HTML/Renderer/Template/js/holder.js,
  .../Report/HTML/Renderer/Template/js/html5shiv.js,
  .../Report/HTML/Renderer/Template/js/jquery.js,
  .../Report/HTML/Renderer/Template/js/nv.d3.min.js,
  .../HTML/Renderer/Template/js/respond.min.js,
  .../HTML/Renderer/Template/method_item.html.dist,
  .../src/CodeCoverage/Report/Node.php,
  .../src/CodeCoverage/Report/Node/Directory.php,
  .../src/CodeCoverage/Report/Node/File.php,
  .../src/CodeCoverage/Report/Node/Iterator.php,
  .../src/CodeCoverage/Report/PHP.php, .../src/CodeCoverage/Report/Text.php,
  .../src/CodeCoverage/Report/XML.php,
  .../src/CodeCoverage/Report/XML/Directory.php,
  .../src/CodeCoverage/Report/XML/File.php,
  .../src/CodeCoverage/Report/XML/File/Coverage.php,
  .../src/CodeCoverage/Report/XML/File/Method.php,
  .../src/CodeCoverage/Report/XML/File/Report.php,
  .../src/CodeCoverage/Report/XML/File/Unit.php,
  .../src/CodeCoverage/Report/XML/Node.php,
  .../src/CodeCoverage/Report/XML/Project.php,
  .../src/CodeCoverage/Report/XML/Tests.php,
  .../src/CodeCoverage/Report/XML/Totals.php,
  .../php-code-coverage/src/CodeCoverage/Util.php,
  .../CodeCoverage/Util/InvalidArgumentHelper.php,
  .../tests/PHP/CodeCoverage/FilterTest.php,
  .../tests/PHP/CodeCoverage/Report/CloverTest.php,
  .../tests/PHP/CodeCoverage/Report/FactoryTest.php,
  .../tests/PHP/CodeCoverage/UtilTest.php, .../tests/PHP/CodeCoverageTest.php,
  .../phpunit/php-code-coverage/tests/TestCase.php,
  .../tests/_files/BankAccount-clover.xml,
  .../php-code-coverage/tests/_files/BankAccount.php,
  .../tests/_files/BankAccountTest.php,
  .../tests/_files/CoverageClassExtendedTest.php,
  .../tests/_files/CoverageClassTest.php,
  .../_files/CoverageFunctionParenthesesTest.php,
  .../CoverageFunctionParenthesesWhitespaceTest.php,
  .../tests/_files/CoverageFunctionTest.php,
  .../_files/CoverageMethodOneLineAnnotationTest.php,
  .../tests/_files/CoverageMethodParenthesesTest.php,
  .../CoverageMethodParenthesesWhitespaceTest.php,
  .../tests/_files/CoverageMethodTest.php,
  .../tests/_files/CoverageNoneTest.php,
  .../tests/_files/CoverageNotPrivateTest.php,
  .../tests/_files/CoverageNotProtectedTest.php,
  .../tests/_files/CoverageNotPublicTest.php,
  .../tests/_files/CoverageNothingTest.php,
  .../tests/_files/CoveragePrivateTest.php,
  .../tests/_files/CoverageProtectedTest.php,
  .../tests/_files/CoveragePublicTest.php,
  .../_files/CoverageTwoDefaultClassAnnotations.php,
  .../tests/_files/CoveredClass.php, .../tests/_files/CoveredFunction.php,
  .../_files/NamespaceCoverageClassExtendedTest.php,
  .../tests/_files/NamespaceCoverageClassTest.php,
  .../NamespaceCoverageCoversClassPublicTest.php,
  .../_files/NamespaceCoverageCoversClassTest.php,
  .../tests/_files/NamespaceCoverageMethodTest.php,
  .../_files/NamespaceCoverageNotPrivateTest.php,
  .../_files/NamespaceCoverageNotProtectedTest.php,
  .../_files/NamespaceCoverageNotPublicTest.php,
  .../tests/_files/NamespaceCoveragePrivateTest.php,
  .../_files/NamespaceCoverageProtectedTest.php,
  .../tests/_files/NamespaceCoveragePublicTest.php,
  .../tests/_files/NamespaceCoveredClass.php,
  .../tests/_files/NotExistingCoveredElementTest.php,
  .../class-with-anonymous-function-clover.xml,
  .../tests/_files/ignored-lines-clover.xml,
  .../source_with_class_and_anonymous_function.php,
  .../tests/_files/source_with_ignore.php,
  .../tests/_files/source_with_namespace.php,
  .../_files/source_with_oneline_annotations.php,
  .../tests/_files/source_without_ignore.php,
  .../tests/_files/source_without_namespace.php,
  vendor/phpunit/php-file-iterator/.gitignore,
  .../phpunit/php-file-iterator/ChangeLog.markdown,
  vendor/phpunit/php-file-iterator/File/Iterator.php,
  .../php-file-iterator/File/Iterator/Autoload.php,
  .../File/Iterator/Autoload.php.in,
  .../php-file-iterator/File/Iterator/Facade.php,
  .../php-file-iterator/File/Iterator/Factory.php,
  vendor/phpunit/php-file-iterator/LICENSE,
  vendor/phpunit/php-file-iterator/README.markdown,
  vendor/phpunit/php-file-iterator/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-file-iterator/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-file-iterator/build/phpmd.xml,
  vendor/phpunit/php-file-iterator/composer.json,
  vendor/phpunit/php-file-iterator/package.xml,
  vendor/phpunit/php-text-template/.gitignore,
  vendor/phpunit/php-text-template/ChangeLog.md,
  vendor/phpunit/php-text-template/LICENSE,
  vendor/phpunit/php-text-template/README.md,
  vendor/phpunit/php-text-template/Text/Template.php,
  .../php-text-template/Text/Template/Autoload.php,
  .../Text/Template/Autoload.php.in,
  vendor/phpunit/php-text-template/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-text-template/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-text-template/build/phpmd.xml,
  vendor/phpunit/php-text-template/composer.json,
  vendor/phpunit/php-text-template/package.xml,
  vendor/phpunit/php-timer/.gitignore, vendor/phpunit/php-timer/LICENSE,
  vendor/phpunit/php-timer/PHP/Timer.php,
  vendor/phpunit/php-timer/PHP/Timer/Autoload.php,
  vendor/phpunit/php-timer/PHP/Timer/Autoload.php.in,
  vendor/phpunit/php-timer/README.md,
  vendor/phpunit/php-timer/Tests/TimerTest.php,
  vendor/phpunit/php-timer/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  vendor/phpunit/php-timer/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-timer/build/phpmd.xml,
  vendor/phpunit/php-timer/composer.json, vendor/phpunit/php-timer/package.xml,
  vendor/phpunit/php-timer/phpunit.xml.dist,
  vendor/phpunit/php-token-stream/.gitignore,
  vendor/phpunit/php-token-stream/LICENSE,
  vendor/phpunit/php-token-stream/PHP/Token.php,
  .../phpunit/php-token-stream/PHP/Token/Stream.php,
  .../php-token-stream/PHP/Token/Stream/Autoload.php,
  .../PHP/Token/Stream/Autoload.php.in,
  .../PHP/Token/Stream/CachingFactory.php,
  vendor/phpunit/php-token-stream/README.md,
  .../php-token-stream/Tests/Token/ClassTest.php,
  .../php-token-stream/Tests/Token/ClosureTest.php,
  .../php-token-stream/Tests/Token/FunctionTest.php,
  .../php-token-stream/Tests/Token/IncludeTest.php,
  .../php-token-stream/Tests/Token/InterfaceTest.php,
  .../php-token-stream/Tests/Token/NamespaceTest.php,
  .../phpunit/php-token-stream/Tests/TokenTest.php,
  .../Tests/_files/classExtendsNamespacedClass.php,
  .../Tests/_files/classInNamespace.php,
  .../Tests/_files/classInScopedNamespace.php,
  .../php-token-stream/Tests/_files/closure.php,
  .../php-token-stream/Tests/_files/issue19.php,
  .../php-token-stream/Tests/_files/issue30.php,
  .../multipleNamespacesWithOneClassUsingBraces.php,
  ...leNamespacesWithOneClassUsingNonBraceSyntax.php,
  .../php-token-stream/Tests/_files/source.php,
  .../php-token-stream/Tests/_files/source2.php,
  .../php-token-stream/Tests/_files/source3.php,
  .../php-token-stream/Tests/_files/source4.php,
  .../php-token-stream/Tests/_files/source5.php,
  vendor/phpunit/php-token-stream/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-token-stream/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-token-stream/build/phpmd.xml,
  vendor/phpunit/php-token-stream/composer.json,
  vendor/phpunit/php-token-stream/package.xml,
  vendor/phpunit/php-token-stream/phpunit.xml.dist,
  vendor/phpunit/phpunit-mock-objects/.gitignore,
  .../phpunit/phpunit-mock-objects/CONTRIBUTING.md,
  vendor/phpunit/phpunit-mock-objects/LICENSE,
  vendor/phpunit/phpunit-mock-objects/README.md,
  vendor/phpunit/phpunit-mock-objects/build.xml,
  .../phpunit-mock-objects/build/travis-ci.xml,
  vendor/phpunit/phpunit-mock-objects/composer.json,
  .../phpunit/phpunit-mock-objects/phpunit.xml.dist,
  .../src/Framework/MockObject/Builder/Identity.php,
  .../MockObject/Builder/InvocationMocker.php,
  .../src/Framework/MockObject/Builder/Match.php,
  .../MockObject/Builder/MethodNameMatch.php,
  .../src/Framework/MockObject/Builder/Namespace.php,
  .../MockObject/Builder/ParametersMatch.php,
  .../src/Framework/MockObject/Builder/Stub.php,
  .../Exception/BadMethodCallException.php,
  .../Framework/MockObject/Exception/Exception.php,
  .../MockObject/Exception/RuntimeException.php,
  .../src/Framework/MockObject/Generator.php,
  .../MockObject/Generator/mocked_class.tpl.dist,
  .../Generator/mocked_class_method.tpl.dist,
  .../MockObject/Generator/mocked_clone.tpl.dist,
  .../MockObject/Generator/mocked_method.tpl.dist,
  .../Generator/mocked_static_method.tpl.dist,
  .../MockObject/Generator/proxied_method.tpl.dist,
  .../MockObject/Generator/trait_class.tpl.dist,
  .../MockObject/Generator/unmocked_clone.tpl.dist,
  .../MockObject/Generator/wsdl_class.tpl.dist,
  .../MockObject/Generator/wsdl_method.tpl.dist,
  .../src/Framework/MockObject/Invocation.php,
  .../src/Framework/MockObject/Invocation/Object.php,
  .../src/Framework/MockObject/Invocation/Static.php,
  .../src/Framework/MockObject/InvocationMocker.php,
  .../src/Framework/MockObject/Invokable.php,
  .../src/Framework/MockObject/Matcher.php,
  .../MockObject/Matcher/AnyInvokedCount.php,
  .../Framework/MockObject/Matcher/AnyParameters.php,
  .../MockObject/Matcher/ConsecutiveParameters.php,
  .../Framework/MockObject/Matcher/Invocation.php,
  .../MockObject/Matcher/InvokedAtIndex.php,
  .../MockObject/Matcher/InvokedAtLeastOnce.php,
  .../Framework/MockObject/Matcher/InvokedCount.php,
  .../MockObject/Matcher/InvokedRecorder.php,
  .../Framework/MockObject/Matcher/MethodName.php,
  .../Framework/MockObject/Matcher/Parameters.php,
  .../MockObject/Matcher/StatelessInvocation.php,
  .../src/Framework/MockObject/MockBuilder.php,
  .../src/Framework/MockObject/MockObject.php,
  .../src/Framework/MockObject/Stub.php,
  .../Framework/MockObject/Stub/ConsecutiveCalls.php,
  .../src/Framework/MockObject/Stub/Exception.php,
  .../MockObject/Stub/MatcherCollection.php,
  .../src/Framework/MockObject/Stub/Return.php,
  .../Framework/MockObject/Stub/ReturnArgument.php,
  .../Framework/MockObject/Stub/ReturnCallback.php,
  .../src/Framework/MockObject/Stub/ReturnSelf.php,
  .../Framework/MockObject/Stub/ReturnValueMap.php,
  .../src/Framework/MockObject/Verifiable.php,
  .../phpunit-mock-objects/tests/GeneratorTest.php,
  .../phpunit-mock-objects/tests/MockBuilderTest.php,
  .../tests/MockObject/Invocation/ObjectTest.php,
  .../tests/MockObject/Invocation/StaticTest.php,
  .../Matcher/ConsecutiveParametersTest.php, .../tests/MockObject/class.phpt,
  .../tests/MockObject/class_call_parent_clone.phpt,
  .../MockObject/class_call_parent_constructor.phpt,
  .../MockObject/class_dont_call_parent_clone.phpt,
  .../class_dont_call_parent_constructor.phpt,
  ...ementing_interface_call_parent_constructor.phpt,
  ...ing_interface_dont_call_parent_constructor.phpt,
  .../tests/MockObject/class_partial.phpt,
  .../MockObject/class_with_method_named_method.phpt,
  .../tests/MockObject/interface.phpt,
  .../MockObject/invocation_object_clone_object.phpt,
  .../tests/MockObject/namespaced_class.phpt,
  .../namespaced_class_call_parent_clone.phpt,
  .../namespaced_class_call_parent_constructor.phpt,
  .../namespaced_class_dont_call_parent_clone.phpt,
  ...espaced_class_dont_call_parent_constructor.phpt,
  ...ementing_interface_call_parent_constructor.phpt,
  ...ing_interface_dont_call_parent_constructor.phpt,
  .../tests/MockObject/namespaced_class_partial.phpt,
  .../tests/MockObject/namespaced_interface.phpt,
  .../tests/MockObject/nonexistent_class.phpt,
  .../nonexistent_class_with_namespace.phpt,
  ...ass_with_namespace_starting_with_separator.phpt,
  .../tests/MockObject/proxy.phpt, .../tests/MockObject/wsdl_class.phpt,
  .../tests/MockObject/wsdl_class_namespace.phpt,
  .../tests/MockObject/wsdl_class_partial.phpt,
  .../phpunit-mock-objects/tests/MockObjectTest.php,
  .../phpunit-mock-objects/tests/ProxyObjectTest.php,
  .../_files/ClassThatImplementsSerializable.php,
  .../tests/_files/ClassWithStaticMethod.php,
  .../tests/_fixture/AbstractMockTestClass.php,
  .../tests/_fixture/AbstractTrait.php, .../tests/_fixture/AnInterface.php,
  .../tests/_fixture/AnotherInterface.php,
  .../phpunit-mock-objects/tests/_fixture/Bar.php,
  .../phpunit-mock-objects/tests/_fixture/Foo.php,
  .../tests/_fixture/FunctionCallback.php,
  .../tests/_fixture/GoogleSearch.wsdl,
  .../tests/_fixture/InterfaceWithStaticMethod.php,
  .../tests/_fixture/MethodCallback.php,
  .../tests/_fixture/MethodCallbackByReference.php,
  .../tests/_fixture/Mockable.php, .../tests/_fixture/PartialMockTestClass.php,
  .../tests/_fixture/SomeClass.php, .../tests/_fixture/StaticMockTestClass.php,
  .../_fixture/TraversableMockTestInterface.php,
  .../phpunit-mock-objects/tests/autoload.php,
  .../phpunit-mock-objects/tests/bootstrap.php,
  vendor/phpunit/phpunit/.gitignore, vendor/phpunit/phpunit/CONTRIBUTING.md,
  vendor/phpunit/phpunit/LICENSE, vendor/phpunit/phpunit/README.md,
  vendor/phpunit/phpunit/build.xml, vendor/phpunit/phpunit/build/ca.pem,
  vendor/phpunit/phpunit/build/phar-autoload.php.in,
  vendor/phpunit/phpunit/build/phar-manifest.php,
  vendor/phpunit/phpunit/build/phar-version.php,
  vendor/phpunit/phpunit/build/phpmd.xml,
  vendor/phpunit/phpunit/build/travis-ci.xml,
  vendor/phpunit/phpunit/composer.json, vendor/phpunit/phpunit/phpdox.xml.dist,
  vendor/phpunit/phpunit/phpunit, vendor/phpunit/phpunit/phpunit.xml.dist,
  vendor/phpunit/phpunit/phpunit.xsd, vendor/phpunit/phpunit/src/Exception.php,
  .../phpunit/src/Extensions/GroupTestSuite.php,
  .../phpunit/src/Extensions/PhptTestCase.php,
  .../phpunit/src/Extensions/PhptTestSuite.php,
  .../phpunit/src/Extensions/RepeatedTest.php,
  .../phpunit/src/Extensions/TestDecorator.php,
  .../phpunit/src/Extensions/TicketListener.php,
  vendor/phpunit/phpunit/src/Framework/Assert.php,
  .../phpunit/src/Framework/Assert/Functions.php,
  .../phpunit/src/Framework/AssertionFailedError.php,
  .../phpunit/src/Framework/BaseTestListener.php,
  .../src/Framework/CodeCoverageException.php,
  .../phpunit/phpunit/src/Framework/Constraint.php,
  .../phpunit/src/Framework/Constraint/And.php,
  .../src/Framework/Constraint/ArrayHasKey.php,
  .../phpunit/src/Framework/Constraint/Attribute.php,
  .../phpunit/src/Framework/Constraint/Callback.php,
  .../src/Framework/Constraint/ClassHasAttribute.php,
  .../Constraint/ClassHasStaticAttribute.php,
  .../phpunit/src/Framework/Constraint/Composite.php,
  .../phpunit/src/Framework/Constraint/Count.php,
  .../phpunit/src/Framework/Constraint/Exception.php,
  .../src/Framework/Constraint/ExceptionCode.php,
  .../src/Framework/Constraint/ExceptionMessage.php,
  .../src/Framework/Constraint/FileExists.php,
  .../src/Framework/Constraint/GreaterThan.php,
  .../src/Framework/Constraint/IsAnything.php,
  .../phpunit/src/Framework/Constraint/IsEmpty.php,
  .../phpunit/src/Framework/Constraint/IsEqual.php,
  .../phpunit/src/Framework/Constraint/IsFalse.php,
  .../src/Framework/Constraint/IsIdentical.php,
  .../src/Framework/Constraint/IsInstanceOf.php,
  .../phpunit/src/Framework/Constraint/IsJson.php,
  .../phpunit/src/Framework/Constraint/IsNull.php,
  .../phpunit/src/Framework/Constraint/IsTrue.php,
  .../phpunit/src/Framework/Constraint/IsType.php,
  .../src/Framework/Constraint/JsonMatches.php,
  .../JsonMatches/ErrorMessageProvider.php,
  .../phpunit/src/Framework/Constraint/LessThan.php,
  .../phpunit/src/Framework/Constraint/Not.php,
  .../Framework/Constraint/ObjectHasAttribute.php,
  .../phpunit/src/Framework/Constraint/Or.php,
  .../phpunit/src/Framework/Constraint/PCREMatch.php,
  .../phpunit/src/Framework/Constraint/SameSize.php,
  .../src/Framework/Constraint/StringContains.php,
  .../src/Framework/Constraint/StringEndsWith.php,
  .../src/Framework/Constraint/StringMatches.php,
  .../src/Framework/Constraint/StringStartsWith.php,
  .../Framework/Constraint/TraversableContains.php,
  .../Constraint/TraversableContainsOnly.php,
  .../phpunit/src/Framework/Constraint/Xor.php,
  vendor/phpunit/phpunit/src/Framework/Error.php,
  .../phpunit/src/Framework/Error/Deprecated.php,
  .../phpunit/phpunit/src/Framework/Error/Notice.php,
  .../phpunit/src/Framework/Error/Warning.php,
  vendor/phpunit/phpunit/src/Framework/Exception.php,
  .../src/Framework/ExpectationFailedException.php,
  .../phpunit/src/Framework/IncompleteTest.php,
  .../phpunit/src/Framework/IncompleteTestError.php,
  .../src/Framework/InvalidCoversTargetError.php,
  .../src/Framework/InvalidCoversTargetException.php,
  .../phpunit/phpunit/src/Framework/OutputError.php,
  vendor/phpunit/phpunit/src/Framework/RiskyTest.php,
  .../phpunit/src/Framework/RiskyTestError.php,
  .../phpunit/src/Framework/SelfDescribing.php,
  .../phpunit/phpunit/src/Framework/SkippedTest.php,
  .../phpunit/src/Framework/SkippedTestError.php,
  .../src/Framework/SkippedTestSuiteError.php,
  .../phpunit/src/Framework/SyntheticError.php,
  vendor/phpunit/phpunit/src/Framework/Test.php,
  vendor/phpunit/phpunit/src/Framework/TestCase.php,
  .../phpunit/phpunit/src/Framework/TestFailure.php,
  .../phpunit/phpunit/src/Framework/TestListener.php,
  .../phpunit/phpunit/src/Framework/TestResult.php,
  vendor/phpunit/phpunit/src/Framework/TestSuite.php,
  .../src/Framework/TestSuite/DataProvider.php,
  .../Framework/UnintentionallyCoveredCodeError.php,
  vendor/phpunit/phpunit/src/Framework/Warning.php,
  .../phpunit/phpunit/src/Runner/BaseTestRunner.php,
  vendor/phpunit/phpunit/src/Runner/Exception.php,
  .../phpunit/phpunit/src/Runner/Filter/Factory.php,
  vendor/phpunit/phpunit/src/Runner/Filter/Group.php,
  .../phpunit/src/Runner/Filter/Group/Exclude.php,
  .../phpunit/src/Runner/Filter/Group/Include.php,
  vendor/phpunit/phpunit/src/Runner/Filter/Test.php,
  .../phpunit/src/Runner/StandardTestSuiteLoader.php,
  .../phpunit/phpunit/src/Runner/TestSuiteLoader.php,
  vendor/phpunit/phpunit/src/Runner/Version.php,
  vendor/phpunit/phpunit/src/TextUI/Command.php,
  .../phpunit/phpunit/src/TextUI/ResultPrinter.php,
  vendor/phpunit/phpunit/src/TextUI/TestRunner.php,
  vendor/phpunit/phpunit/src/Util/Blacklist.php,
  vendor/phpunit/phpunit/src/Util/Configuration.php,
  .../phpunit/phpunit/src/Util/DeprecatedFeature.php,
  .../phpunit/src/Util/DeprecatedFeature/Logger.php,
  vendor/phpunit/phpunit/src/Util/ErrorHandler.php,
  vendor/phpunit/phpunit/src/Util/Fileloader.php,
  vendor/phpunit/phpunit/src/Util/Filesystem.php,
  vendor/phpunit/phpunit/src/Util/Filter.php,
  vendor/phpunit/phpunit/src/Util/Getopt.php,
  vendor/phpunit/phpunit/src/Util/GlobalState.php,
  .../phpunit/src/Util/InvalidArgumentHelper.php,
  vendor/phpunit/phpunit/src/Util/Log/JSON.php,
  vendor/phpunit/phpunit/src/Util/Log/JUnit.php,
  vendor/phpunit/phpunit/src/Util/Log/TAP.php,
  vendor/phpunit/phpunit/src/Util/PHP.php,
  vendor/phpunit/phpunit/src/Util/PHP/Default.php,
  .../src/Util/PHP/Template/TestCaseMethod.tpl.dist,
  vendor/phpunit/phpunit/src/Util/PHP/Windows.php,
  vendor/phpunit/phpunit/src/Util/Printer.php,
  vendor/phpunit/phpunit/src/Util/String.php,
  vendor/phpunit/phpunit/src/Util/Test.php,
  .../phpunit/src/Util/TestDox/NamePrettifier.php,
  .../phpunit/src/Util/TestDox/ResultPrinter.php,
  .../src/Util/TestDox/ResultPrinter/HTML.php,
  .../src/Util/TestDox/ResultPrinter/Text.php,
  .../phpunit/phpunit/src/Util/TestSuiteIterator.php,
  vendor/phpunit/phpunit/src/Util/Type.php,
  vendor/phpunit/phpunit/src/Util/XML.php,
  .../phpunit/tests/Extensions/RepeatedTestTest.php,
  .../phpunit/phpunit/tests/Framework/AssertTest.php,
  .../tests/Framework/BaseTestListenerTest.php,
  .../tests/Framework/Constraint/CountTest.php,
  .../JsonMatches/ErrorMessageProviderTest.php,
  .../tests/Framework/Constraint/JsonMatchesTest.php,
  .../phpunit/tests/Framework/ConstraintTest.php,
  .../tests/Framework/SelectorAssertionsTest.php,
  .../phpunit/phpunit/tests/Framework/SuiteTest.php,
  .../phpunit/tests/Framework/TestCaseTest.php,
  .../phpunit/tests/Framework/TestFailureTest.php,
  .../tests/Framework/TestImplementorTest.php,
  .../phpunit/tests/Framework/TestListenerTest.php,
  vendor/phpunit/phpunit/tests/Regression/1021.phpt,
  .../tests/Regression/1021/Issue1021Test.php,
  vendor/phpunit/phpunit/tests/Regression/523.phpt,
  .../phpunit/tests/Regression/523/Issue523Test.php,
  vendor/phpunit/phpunit/tests/Regression/578.phpt,
  .../phpunit/tests/Regression/578/Issue578Test.php,
  vendor/phpunit/phpunit/tests/Regression/684.phpt,
  .../phpunit/tests/Regression/684/Issue684Test.php,
  vendor/phpunit/phpunit/tests/Regression/783.phpt,
  .../phpunit/tests/Regression/783/ChildSuite.php,
  .../phpunit/tests/Regression/783/OneTest.php,
  .../phpunit/tests/Regression/783/ParentSuite.php,
  .../phpunit/tests/Regression/783/TwoTest.php,
  .../phpunit/tests/Regression/GitHub/244.phpt,
  .../tests/Regression/GitHub/244/Issue244Test.php,
  .../phpunit/tests/Regression/GitHub/322.phpt,
  .../tests/Regression/GitHub/322/Issue322Test.php,
  .../tests/Regression/GitHub/322/phpunit322.xml,
  .../phpunit/tests/Regression/GitHub/433.phpt,
  .../tests/Regression/GitHub/433/Issue433Test.php,
  .../phpunit/tests/Regression/GitHub/445.phpt,
  .../tests/Regression/GitHub/445/Issue445Test.php,
  .../phpunit/tests/Regression/GitHub/498.phpt,
  .../tests/Regression/GitHub/498/Issue498Test.php,
  .../phpunit/tests/Regression/GitHub/503.phpt,
  .../tests/Regression/GitHub/503/Issue503Test.php,
  .../phpunit/tests/Regression/GitHub/581.phpt,
  .../tests/Regression/GitHub/581/Issue581Test.php,
  .../phpunit/tests/Regression/GitHub/74.phpt,
  .../tests/Regression/GitHub/74/Issue74Test.php,
  .../tests/Regression/GitHub/74/NewException.php,
  .../phpunit/tests/Regression/GitHub/765.phpt,
  .../tests/Regression/GitHub/765/Issue765Test.php,
  .../phpunit/tests/Regression/GitHub/863.phpt,
  .../phpunit/tests/Regression/GitHub/873.phpt,
  .../tests/Regression/GitHub/873/Issue873Test.php,
  .../phpunit/tests/Runner/BaseTestRunnerTest.php,
  .../phpunit/tests/TextUI/abstract-test-class.phpt,
  .../phpunit/tests/TextUI/concrete-test-class.phpt,
  .../phpunit/tests/TextUI/custom-printer-debug.phpt,
  .../tests/TextUI/custom-printer-verbose.phpt,
  .../TextUI/dataprovider-log-xml-isolation.phpt,
  .../phpunit/tests/TextUI/dataprovider-log-xml.phpt,
  .../phpunit/tests/TextUI/dataprovider-testdox.phpt,
  vendor/phpunit/phpunit/tests/TextUI/debug.phpt,
  .../phpunit/tests/TextUI/default-isolation.phpt,
  vendor/phpunit/phpunit/tests/TextUI/default.phpt,
  .../tests/TextUI/dependencies-isolation.phpt,
  .../phpunit/phpunit/tests/TextUI/dependencies.phpt,
  .../tests/TextUI/dependencies2-isolation.phpt,
  .../phpunit/tests/TextUI/dependencies2.phpt,
  .../tests/TextUI/dependencies3-isolation.phpt,
  .../phpunit/tests/TextUI/dependencies3.phpt,
  .../phpunit/tests/TextUI/empty-testcase.phpt,
  .../phpunit/tests/TextUI/exception-stack.phpt,
  .../tests/TextUI/exclude-group-isolation.phpt,
  .../phpunit/tests/TextUI/exclude-group.phpt,
  .../phpunit/tests/TextUI/failure-isolation.phpt,
  vendor/phpunit/phpunit/tests/TextUI/failure.phpt,
  .../phpunit/tests/TextUI/fatal-isolation.phpt,
  vendor/phpunit/phpunit/tests/TextUI/fatal.phpt,
  .../tests/TextUI/filter-class-isolation.phpt,
  .../phpunit/phpunit/tests/TextUI/filter-class.phpt,
  ...aprovider-by-classname-and-range-isolation.phpt,
  ...filter-dataprovider-by-classname-and-range.phpt,
  .../filter-dataprovider-by-number-isolation.phpt,
  .../TextUI/filter-dataprovider-by-number.phpt,
  ...ilter-dataprovider-by-only-range-isolation.phpt,
  .../TextUI/filter-dataprovider-by-only-range.phpt,
  ...lter-dataprovider-by-only-regexp-isolation.phpt,
  .../TextUI/filter-dataprovider-by-only-regexp.phpt,
  ...lter-dataprovider-by-only-string-isolation.phpt,
  .../TextUI/filter-dataprovider-by-only-string.phpt,
  .../filter-dataprovider-by-range-isolation.phpt,
  .../tests/TextUI/filter-dataprovider-by-range.phpt,
  .../filter-dataprovider-by-regexp-isolation.phpt,
  .../TextUI/filter-dataprovider-by-regexp.phpt,
  .../filter-dataprovider-by-string-isolation.phpt,
  .../TextUI/filter-dataprovider-by-string.phpt,
  .../tests/TextUI/filter-method-isolation.phpt,
  .../phpunit/tests/TextUI/filter-method.phpt,
  .../phpunit/tests/TextUI/filter-no-results.phpt,
  .../phpunit/tests/TextUI/group-isolation.phpt,
  vendor/phpunit/phpunit/tests/TextUI/group.phpt,
  vendor/phpunit/phpunit/tests/TextUI/help.phpt,
  vendor/phpunit/phpunit/tests/TextUI/help2.phpt,
  .../phpunit/tests/TextUI/ini-isolation.phpt,
  .../phpunit/phpunit/tests/TextUI/list-groups.phpt,
  .../phpunit/phpunit/tests/TextUI/log-json-5.3.phpt,
  .../phpunit/phpunit/tests/TextUI/log-json-5.4.phpt,
  .../phpunit/phpunit/tests/TextUI/log-json-5.6.phpt,
  vendor/phpunit/phpunit/tests/TextUI/log-tap.phpt,
  vendor/phpunit/phpunit/tests/TextUI/log-xml.phpt,
  vendor/phpunit/phpunit/tests/TextUI/repeat.phpt,
  .../phpunit/tests/TextUI/strict-incomplete.phpt,
  .../phpunit/tests/TextUI/strict-isolation.phpt,
  vendor/phpunit/phpunit/tests/TextUI/strict.phpt,
  vendor/phpunit/phpunit/tests/TextUI/tap.phpt,
  .../phpunit/tests/TextUI/test-suffix-multiple.phpt,
  .../phpunit/tests/TextUI/test-suffix-single.phpt,
  .../phpunit/phpunit/tests/TextUI/testdox-html.phpt,
  .../phpunit/phpunit/tests/TextUI/testdox-text.phpt,
  vendor/phpunit/phpunit/tests/TextUI/testdox.phpt,
  .../phpunit/tests/Util/ConfigurationTest.php,
  .../tests/Util/TestDox/NamePrettifierTest.php,
  vendor/phpunit/phpunit/tests/Util/TestTest.php,
  vendor/phpunit/phpunit/tests/Util/XMLTest.php,
  .../phpunit/phpunit/tests/_files/AbstractTest.php,
  vendor/phpunit/phpunit/tests/_files/Author.php,
  .../phpunit/phpunit/tests/_files/BankAccount.php,
  .../phpunit/tests/_files/BankAccountTest.php,
  .../phpunit/tests/_files/BankAccountTest.test.php,
  .../tests/_files/BaseTestListenerSample.php,
  .../phpunit/tests/_files/BeforeAndAfterTest.php,
  .../tests/_files/BeforeClassAndAfterClassTest.php,
  vendor/phpunit/phpunit/tests/_files/Book.php,
  vendor/phpunit/phpunit/tests/_files/Calculator.php,
  .../_files/ChangeCurrentWorkingDirectoryTest.php,
  .../tests/_files/ClassWithNonPublicAttributes.php,
  .../phpunit/tests/_files/ClassWithToString.php,
  .../phpunit/tests/_files/ConcreteTest.my.php,
  .../phpunit/phpunit/tests/_files/ConcreteTest.php,
  .../tests/_files/CoverageClassExtendedTest.php,
  .../phpunit/tests/_files/CoverageClassTest.php,
  .../_files/CoverageFunctionParenthesesTest.php,
  .../CoverageFunctionParenthesesWhitespaceTest.php,
  .../phpunit/tests/_files/CoverageFunctionTest.php,
  .../_files/CoverageMethodOneLineAnnotationTest.php,
  .../tests/_files/CoverageMethodParenthesesTest.php,
  .../CoverageMethodParenthesesWhitespaceTest.php,
  .../phpunit/tests/_files/CoverageMethodTest.php,
  .../phpunit/tests/_files/CoverageNoneTest.php,
  .../tests/_files/CoverageNotPrivateTest.php,
  .../tests/_files/CoverageNotProtectedTest.php,
  .../phpunit/tests/_files/CoverageNotPublicTest.php,
  .../phpunit/tests/_files/CoverageNothingTest.php,
  .../phpunit/tests/_files/CoveragePrivateTest.php,
  .../phpunit/tests/_files/CoverageProtectedTest.php,
  .../phpunit/tests/_files/CoveragePublicTest.php,
  .../_files/CoverageTwoDefaultClassAnnotations.php,
  .../phpunit/phpunit/tests/_files/CoveredClass.php,
  .../phpunit/tests/_files/CoveredFunction.php,
  .../phpunit/phpunit/tests/_files/CustomPrinter.php,
  .../tests/_files/DataProviderFilterTest.php,
  .../phpunit/tests/_files/DataProviderTest.php,
  .../phpunit/tests/_files/DependencyFailureTest.php,
  .../phpunit/tests/_files/DependencySuccessTest.php,
  .../phpunit/tests/_files/DependencyTestSuite.php,
  .../phpunit/tests/_files/DoubleTestCase.php,
  .../phpunit/tests/_files/DummyException.php,
  .../phpunit/tests/_files/EmptyTestCaseTest.php,
  vendor/phpunit/phpunit/tests/_files/Error.php,
  .../_files/ExceptionInAssertPostConditionsTest.php,
  .../_files/ExceptionInAssertPreConditionsTest.php,
  .../phpunit/tests/_files/ExceptionInSetUpTest.php,
  .../tests/_files/ExceptionInTearDownTest.php,
  .../phpunit/tests/_files/ExceptionInTest.php,
  .../tests/_files/ExceptionNamespaceTest.php,
  .../phpunit/tests/_files/ExceptionStackTest.php,
  .../phpunit/phpunit/tests/_files/ExceptionTest.php,
  vendor/phpunit/phpunit/tests/_files/Failure.php,
  .../phpunit/phpunit/tests/_files/FailureTest.php,
  vendor/phpunit/phpunit/tests/_files/FatalTest.php,
  .../phpunit/tests/_files/IncompleteTest.php,
  .../phpunit/tests/_files/InheritedTestCase.php,
  vendor/phpunit/phpunit/tests/_files/IniTest.php,
  .../phpunit/tests/_files/JsonData/arrayObject.js,
  .../phpunit/tests/_files/JsonData/simpleObject.js,
  .../phpunit/tests/_files/JsonData/simpleObject2.js,
  vendor/phpunit/phpunit/tests/_files/MockRunner.php,
  .../phpunit/tests/_files/MultiDependencyTest.php,
  .../_files/NamespaceCoverageClassExtendedTest.php,
  .../tests/_files/NamespaceCoverageClassTest.php,
  .../NamespaceCoverageCoversClassPublicTest.php,
  .../_files/NamespaceCoverageCoversClassTest.php,
  .../tests/_files/NamespaceCoverageMethodTest.php,
  .../_files/NamespaceCoverageNotPrivateTest.php,
  .../_files/NamespaceCoverageNotProtectedTest.php,
  .../_files/NamespaceCoverageNotPublicTest.php,
  .../tests/_files/NamespaceCoveragePrivateTest.php,
  .../_files/NamespaceCoverageProtectedTest.php,
  .../tests/_files/NamespaceCoveragePublicTest.php,
  .../phpunit/tests/_files/NamespaceCoveredClass.php,
  .../phpunit/tests/_files/NoArgTestCaseTest.php,
  .../phpunit/tests/_files/NoTestCaseClass.php,
  .../phpunit/phpunit/tests/_files/NoTestCases.php,
  vendor/phpunit/phpunit/tests/_files/NonStatic.php,
  .../tests/_files/NotExistingCoveredElementTest.php,
  .../phpunit/tests/_files/NotPublicTestCase.php,
  .../phpunit/tests/_files/NotVoidTestCase.php,
  .../phpunit/phpunit/tests/_files/NothingTest.php,
  .../phpunit/phpunit/tests/_files/OneTestCase.php,
  .../phpunit/tests/_files/OutputTestCase.php,
  .../phpunit/tests/_files/OverrideTestCase.php,
  .../tests/_files/RequirementsClassDocBlockTest.php,
  .../phpunit/tests/_files/RequirementsTest.php,
  .../phpunit/tests/_files/SampleArrayAccess.php,
  .../phpunit/phpunit/tests/_files/SampleClass.php,
  .../tests/_files/SelectorAssertionsFixture.html,
  vendor/phpunit/phpunit/tests/_files/Singleton.php,
  vendor/phpunit/phpunit/tests/_files/StackTest.php,
  vendor/phpunit/phpunit/tests/_files/Struct.php,
  vendor/phpunit/phpunit/tests/_files/Success.php,
  .../phpunit/tests/_files/TemplateMethodsTest.php,
  .../phpunit/phpunit/tests/_files/TestIterator.php,
  .../phpunit/phpunit/tests/_files/TestIterator2.php,
  .../tests/_files/ThrowExceptionTestCase.php,
  .../tests/_files/ThrowNoExceptionTestCase.php,
  vendor/phpunit/phpunit/tests/_files/WasRun.php,
  vendor/phpunit/phpunit/tests/_files/bar.xml,
  .../tests/_files/configuration.custom-printer.xml,
  .../phpunit/phpunit/tests/_files/configuration.xml,
  .../tests/_files/configuration_xinclude.xml,
  .../phpunit/tests/_files/expectedFileFormat.txt,
  vendor/phpunit/phpunit/tests/_files/foo.xml,
  .../structureAttributesAreSameButValuesAreNot.xml,
  .../phpunit/tests/_files/structureExpected.xml,
  .../tests/_files/structureIgnoreTextNodes.xml,
  .../tests/_files/structureIsSameButDataIsNot.xml,
  .../_files/structureWrongNumberOfAttributes.xml,
  .../tests/_files/structureWrongNumberOfNodes.xml,
  vendor/phpunit/phpunit/tests/autoload.php,
  vendor/phpunit/phpunit/tests/bootstrap-travis.php,
  vendor/phpunit/phpunit/tests/bootstrap.php,
  vendor/sebastian/comparator/.gitignore, vendor/sebastian/comparator/LICENSE,
  vendor/sebastian/comparator/README.md, vendor/sebastian/comparator/build.xml,
  vendor/sebastian/comparator/composer.json,
  vendor/sebastian/comparator/phpunit.xml.dist,
  .../sebastian/comparator/src/ArrayComparator.php,
  vendor/sebastian/comparator/src/Comparator.php,
  .../sebastian/comparator/src/ComparisonFailure.php,
  .../sebastian/comparator/src/DOMNodeComparator.php,
  .../comparator/src/DateTimeComparator.php,
  .../sebastian/comparator/src/DoubleComparator.php,
  .../comparator/src/ExceptionComparator.php,
  vendor/sebastian/comparator/src/Factory.php,
  .../comparator/src/MockObjectComparator.php,
  .../sebastian/comparator/src/NumericComparator.php,
  .../sebastian/comparator/src/ObjectComparator.php,
  .../comparator/src/ResourceComparator.php,
  .../sebastian/comparator/src/ScalarComparator.php,
  .../comparator/src/SplObjectStorageComparator.php,
  vendor/sebastian/comparator/src/TypeComparator.php,
  .../comparator/tests/DateTimeComparatorTest.php,
  .../comparator/tests/ExceptionComparatorTest.php,
  vendor/sebastian/comparator/tests/FactoryTest.php,
  .../comparator/tests/ResourceComparatorTest.php,
  .../comparator/tests/ScalarComparatorTest.php,
  .../tests/SplObjectStorageComparatorTest.php,
  .../comparator/tests/TypeComparatorTest.php,
  .../comparator/tests/_files/ClassWithToString.php,
  .../comparator/tests/_files/TestClass.php,
  .../tests/_files/TestClassComparator.php,
  vendor/sebastian/comparator/tests/autoload.php,
  vendor/sebastian/comparator/tests/bootstrap.php,
  vendor/sebastian/diff/.gitignore, vendor/sebastian/diff/LICENSE,
  vendor/sebastian/diff/README.md, vendor/sebastian/diff/build.xml,
  vendor/sebastian/diff/build/package.xml, vendor/sebastian/diff/composer.json,
  vendor/sebastian/diff/phpunit.xml.dist, vendor/sebastian/diff/src/Chunk.php,
  vendor/sebastian/diff/src/Diff.php, vendor/sebastian/diff/src/Differ.php,
  vendor/sebastian/diff/src/Line.php, vendor/sebastian/diff/src/Parser.php,
  vendor/sebastian/diff/src/autoload.php,
  vendor/sebastian/diff/tests/DifferTest.php,
  vendor/sebastian/environment/.gitignore,
  vendor/sebastian/environment/LICENSE, vendor/sebastian/environment/README.md,
  vendor/sebastian/environment/build.xml,
  vendor/sebastian/environment/composer.json,
  vendor/sebastian/environment/phpunit.xml.dist,
  vendor/sebastian/environment/src/Runtime.php,
  vendor/sebastian/environment/tests/RuntimeTest.php,
  vendor/sebastian/exporter/.gitignore, vendor/sebastian/exporter/LICENSE,
  vendor/sebastian/exporter/README.md, vendor/sebastian/exporter/build.xml,
  vendor/sebastian/exporter/composer.json,
  vendor/sebastian/exporter/phpunit.xml.dist,
  vendor/sebastian/exporter/src/Context.php,
  vendor/sebastian/exporter/src/Exception.php,
  vendor/sebastian/exporter/src/Exporter.php,
  vendor/sebastian/exporter/tests/ExporterTest.php,
  vendor/sebastian/version/.gitignore, vendor/sebastian/version/ChangeLog.md,
  vendor/sebastian/version/LICENSE, vendor/sebastian/version/README.md,
  vendor/sebastian/version/build.xml,
  vendor/sebastian/version/build/package.xml,
  vendor/sebastian/version/build/phpunit.xml,
  vendor/sebastian/version/composer.json,
  vendor/sebastian/version/src/Version.php,
  vendor/sebastian/version/src/autoload.php,
  vendor/sebastian/version/tests/bootstrap.php,
  .../symfony/yaml/Symfony/Component/Yaml/.gitignore,
  .../yaml/Symfony/Component/Yaml/CHANGELOG.md,
  .../symfony/yaml/Symfony/Component/Yaml/Dumper.php,
  .../yaml/Symfony/Component/Yaml/Escaper.php,
  .../Component/Yaml/Exception/DumpException.php,
  .../Yaml/Exception/ExceptionInterface.php,
  .../Component/Yaml/Exception/ParseException.php,
  .../Component/Yaml/Exception/RuntimeException.php,
  .../symfony/yaml/Symfony/Component/Yaml/Inline.php,
  vendor/symfony/yaml/Symfony/Component/Yaml/LICENSE,
  .../symfony/yaml/Symfony/Component/Yaml/Parser.php,
  .../symfony/yaml/Symfony/Component/Yaml/README.md,
  .../Symfony/Component/Yaml/Tests/DumperTest.php,
  .../Yaml/Tests/Fixtures/YtsAnchorAlias.yml,
  .../Yaml/Tests/Fixtures/YtsBasicTests.yml,
  .../Yaml/Tests/Fixtures/YtsBlockMapping.yml,
  .../Yaml/Tests/Fixtures/YtsDocumentSeparator.yml,
  .../Yaml/Tests/Fixtures/YtsErrorTests.yml,
  .../Yaml/Tests/Fixtures/YtsFlowCollections.yml,
  .../Yaml/Tests/Fixtures/YtsFoldedScalars.yml,
  .../Yaml/Tests/Fixtures/YtsNullsAndEmpties.yml,
  .../Tests/Fixtures/YtsSpecificationExamples.yml,
  .../Yaml/Tests/Fixtures/YtsTypeTransfers.yml,
  .../Component/Yaml/Tests/Fixtures/embededPhp.yml,
  .../Yaml/Tests/Fixtures/escapedCharacters.yml,
  .../Component/Yaml/Tests/Fixtures/index.yml,
  .../Component/Yaml/Tests/Fixtures/sfComments.yml,
  .../Component/Yaml/Tests/Fixtures/sfCompact.yml,
  .../Component/Yaml/Tests/Fixtures/sfMergeKey.yml,
  .../Component/Yaml/Tests/Fixtures/sfObjects.yml,
  .../Component/Yaml/Tests/Fixtures/sfQuotes.yml,
  .../Component/Yaml/Tests/Fixtures/sfTests.yml,
  .../Yaml/Tests/Fixtures/unindentedCollections.yml,
  .../Symfony/Component/Yaml/Tests/InlineTest.php,
  .../Component/Yaml/Tests/ParseExceptionTest.php,
  .../Symfony/Component/Yaml/Tests/ParserTest.php,
  .../yaml/Symfony/Component/Yaml/Tests/YamlTest.php,
  .../yaml/Symfony/Component/Yaml/Unescaper.php,
  .../symfony/yaml/Symfony/Component/Yaml/Yaml.php,
  .../yaml/Symfony/Component/Yaml/composer.json,
  .../yaml/Symfony/Component/Yaml/phpunit.xml.dist: chore(composer): Stop
  checking in dependencies  BREAKING CHANGE: If you are checking out Elgg
  directly from GitHub, you will need to run `composer install` after `git
  checkout` to get your installation to a working state.

2014-07-22  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* docs/admin/cron.rst, docs/admin/plugins.rst, docs/design/amd.rst,
  docs/tutorials/widget.rst: docs(all): improves formatting and
  comprehensibility of docs  Reworded some paragraphs to make more sense to new
  users. Applied formatting to some lists and paragraphs

2014-07-21  Ismayil Khayredinov <ismayil.khayredinov@gmail.com>

  	* docs/admin/cron.rst, docs/admin/index.rst, docs/admin/upgrading.rst:
  docs(cron): adds RST documentation about cron jobs  Converts wiki cron page
  to RST and references cron in Upgrading docs  Refs #6884

  	* views/default/icon/default.php, views/default/icon/user/default.php:
  fix(views): respect icon_sizes config values when rendering icons  Remove
  hard-coded references to available icons sizes and use global icon_sizes
  config values and keys instead

  	* docs/admin/plugins.rst, docs/admin/upgrading.rst,
  docs/contribute/code.rst, docs/design/amd.rst, docs/guides/themes.rst,
  docs/tutorials/blog.rst, docs/tutorials/widget.rst: docs(all): fixes typos
  and improves readability

2014-07-18  ewinslow <evan@elgg.org>

  	* composer.json, engine/lib/autoloader.php, vendor/autoload.php,
  vendor/composer/autoload_namespaces.php, vendor/composer/autoload_real.php:
  chore(composer): Rely on composer autoloader to load core classes

2014-07-17  ewinslow <evan@elgg.org>

  	* composer.lock, vendor/autoload.php, vendor/composer/autoload_real.php,
  vendor/composer/include_paths.php, vendor/composer/installed.json,
  .../php-code-coverage/src/CodeCoverage/Filter.php,
  .../src/CodeCoverage/Report/HTML/Renderer.php,
  .../src/Framework/MockObject/Generator.php,
  .../symfony/yaml/Symfony/Component/Yaml/Parser.php,
  .../Component/Yaml/Tests/Fixtures/sfMergeKey.yml,
  .../yaml/Symfony/Component/Yaml/phpunit.xml.dist: chore(composer): Ran
  composer update

2014-07-16  ewinslow <evan@elgg.org>

  	* composer.json, composer.lock, vendor/autoload.php,
  vendor/composer/autoload_real.php: chore(composer): add more detailed
  requirements to composer.json

  	* engine/lib/configuration.php, install/ElggInstaller.php: fix(config): path
  is derived from PHP, not database  Elgg falls apart if `$CONFIG->path` is set
  to anything but the Elgg root, so there is no point in saving a different
  value to the DB or in respecting any value already saved to the DB.  Refs
  #2316

2014-07-12  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* mod/likes/actions/likes/add.php, mod/likes/start.php: feature(likes):
  improves compatibility with notification plugins  This allows for example
  site_notifications about new likes to include a link to the liked entity. 
  Refs #7055

2014-07-14  Juho Jaakkola <juho.jaakkola@mediamaisteri.com>

  	* docs/guides/upgrading.rst, engine/lib/notification.php:
  docs(notifications): Adds docs for  'object', 'action' and 'summary' params
  used by notify_user()

2014-07-15  ewinslow <evan@elgg.org>

  	* js/lib/elgglib.js, js/tests/ElggLibTest.js: fix(js): elgg.normalize_url no
  longer modifies urls that begin with a recognized scheme  Fixes #6000

  	* .travis.yml, docs/contribute/code.rst, js/tests/README.md, package.json:
  chore(js): configure package.json for simpler JS testing

2014-07-10  Matt Beckett <beck24@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.0-rc.5

  	* docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot, mod/invitefriends/languages/pl.php:
  chore(i18n): update translations

2014-07-06  Matt Beckett <beck24@gmail.com>

  	* engine/classes/ElggEntity.php, engine/classes/ElggRiverItem.php,
  engine/lib/river.php, ...9.0_rc.3-river_enabled_col-bef9e6f0533ac338.php,
  engine/schema/mysql.sql, engine/tests/ElggCoreRiverAPITest.php: fix(river):
  add enabled col to river table, update on enable/disable of referenced
  entities  Fixes #6022 - empty river items fetched when referenced entities
  are disabled

2014-07-10  Paweł Sroka <srokap@gmail.com>

  	* CHANGELOG.md, composer.json: chore(release): v1.9.0-rc.4

  	* docs/locale/de/LC_MESSAGES/about.po, docs/locale/es/LC_MESSAGES/about.po,
  docs/locale/es/LC_MESSAGES/admin.po, docs/locale/es/LC_MESSAGES/appendix.po,
  docs/locale/es/LC_MESSAGES/design.po, docs/locale/es/LC_MESSAGES/guides.po,
  docs/locale/pot/about.pot, docs/locale/pot/admin.pot,
  docs/locale/pot/appendix.pot, docs/locale/pot/contribute.pot,
  docs/locale/pot/design.pot, docs/locale/pot/guides.pot,
  docs/locale/pot/index.pot, docs/locale/pot/intro.pot,
  docs/locale/pot/tutorials.pot, docs/locale/ru/LC_MESSAGES/about.po,
  install/languages/ja_JP.php, languages/es.php, languages/ja_JP.php,
  languages/nl.php, mod/blog/languages/el.php, mod/blog/languages/ja_JP.php,
  mod/bookmarks/languages/ja_JP.php, mod/categories/languages/ja_JP.php,
  mod/ckeditor/languages/ja_JP.php, mod/custom_index/languages/ja_JP.php,
  mod/developers/languages/ja_JP.php, mod/developers/languages/nl.php,
  mod/diagnostics/languages/ja_JP.php, mod/embed/languages/ja_JP.php,
  mod/externalpages/languages/ja_JP.php,
  mod/garbagecollector/languages/ja_JP.php, mod/groups/languages/es.php,
  mod/groups/languages/ja_JP.php, mod/groups/languages/nl.php,
  mod/invitefriends/languages/ja_JP.php, mod/legacy_urls/languages/ja_JP.php,
  mod/likes/languages/ja_JP.php, mod/logbrowser/languages/ja_JP.php,
  mod/logrotate/languages/ja_JP.php, mod/logrotate/languages/nl.php,
  mod/members/languages/ja_JP.php, mod/members/languages/ru.php,
  mod/messageboard/languages/ja_JP.php, mod/messages/languages/ja_JP.php,
  mod/notifications/languages/ja_JP.php, mod/pages/languages/es.php,
  mod/pages/languages/ja_JP.php, mod/profile/languages/ja_JP.php,
  mod/reportedcontent/languages/ja_JP.php, mod/search/languages/ja_JP.php,
  mod/site_notifications/languages/ja_JP.php, mod/tagcloud/languages/ja_JP.php,
  mod/thewire/languages/ja_JP.php, mod/twitter_api/languages/es.php,
  mod/twitter_api/languages/ja_JP.php, mod/twitter_api/languages/ru.php,
  mod/uservalidationbyemail/languages/ja_JP.php,
  mod/web_services/languages/es.php, mod/web_services/languages/ja_JP.php:
  chore(i18n): update translations

2014-06-22  Paweł Sroka <srokap@gmail.com>

  	* .../Elgg/Notifications/NotificationsService.php,
  engine/lib/notification.php, mod/groups/start.php: feature(discussions):
  Added email SMTP headers for better thread grouping.  Additionally changed
  message subjects for group discussions to make Gmail happy.  Fixes #6894

2014-07-08  Matt Beckett <beck24@gmail.com>

  	* mod/groups/actions/groups/membership/add.php, mod/groups/languages/en.php:
  fix(groups): give feedback if a user cannot be added to a group  Fixes #6081

2014-07-07  Steve Clay <steve@mrclay.org>

  	* engine/classes/ElggSession.php, mod/twitter_api/lib/twitter_api.php,
  mod/twitter_api/start.php: chore(twitter): cleans up Twitter API to work with
  1.9 session  This updates the session handling to use the new
  elgg_get_session and set/get/remove rather than the deprecated array access.
  Also cleans up ElggSession a bit.

  	* engine/classes/Elgg/DeprecationWrapper.php,
  .../tests/phpunit/Elgg/DeprecationWrapperTest.php: fix(deprecation): the
  deprecation wrapper correctly handles array access  When array access is used
  on the wrapper, the wrapper now checks the wrapped object for ArrayAccess. If
  found, it uses that instead of property access. This also emits deprecation
  warnings on array access, which were left out accidentally.  Fixes #7017,
  #6917

2014-06-22  ewinslow <evan@elgg.org>

  	* engine/classes/Elgg/Notifications/Event.php, engine/lib/notification.php:
  chore(notifications): remove docs referring to annotation/relationship
  support  Closes #6837

2014-07-07  ewinslow <evan@elgg.org>

  	* views/rss/river/elements/layout.php, views/rss/river/item.php: fix(rss):
  River entries include their full correct summaries again  This causes the rss
  viewtype's river/item view to fall back to the item's default viewtype in
  order to capture custom logic that determines what the summaries should be,
  since the river's summary view (`river/elements/summary`) doesn't know how to
  handle all possible river items, especially now that we have a `target` field
  in the river.  Fixes #6901

2014-06-21  Matt Beckett <beck24@gmail.com>

  	* actions/friends/collections/add.php, engine/lib/friends.php:
  fix(collections):  make urls work regardless of username  Fixes #6059 - adds
  a second parameter 'owner' to the url for pages listing collections owned by
  a user. Previously the page could not be accessed if the username was 'add'

  	* install/ElggRewriteTester.php, languages/en.php, upgrade.php:
  fix(upgrade): test for ability to connect to localhost if rewrite test fails 
  Fixes #6888

2014-06-22  ewinslow <evan@elgg.org>

  	* engine/classes/Elgg/Router.php, engine/tests/phpunit/Elgg/RouterTest.php:
  fix(router): Can return 'handler' param in `'route', $identifier` hook again 
  In 1.8, it was possible to delegate to a different page handler by
  registering a callback for the `'route', $identifier` plugin hook that looks
  like so:  ```php $result['handler'] = 'other'; return $result; ```  Then
  during 1.9 it was changed to expect the key to be 'identifier':  ```php
  $result['identifier'] = 'other'; return $result; ```  This change makes it so
  that both approaches will work as intended.  Fixes #6696

2014-06-28  Paweł Sroka <srokap@gmail.com>

  	* mod/aalborg_theme/views/default/css/elements/icons.php,
  views/default/css/elements/icons.php: fix(ui): Corrected bad stretching of
  non-square, large avatars. Now upscaling by width.  Fixes #5602

2014-06-24  ewinslow <evan@elgg.org>

  	* composer.json, composer.lock, vendor/autoload.php, vendor/bin/phpunit,
  vendor/composer/ClassLoader.php, vendor/composer/autoload_classmap.php,
  vendor/composer/autoload_namespaces.php, vendor/composer/autoload_psr4.php,
  vendor/composer/autoload_real.php, vendor/composer/include_paths.php,
  vendor/composer/installed.json, vendor/phpunit/php-code-coverage/.gitignore,
  vendor/phpunit/php-code-coverage/CONTRIBUTING.md,
  vendor/phpunit/php-code-coverage/LICENSE,
  vendor/phpunit/php-code-coverage/README.md,
  vendor/phpunit/php-code-coverage/build.xml,
  .../phpunit/php-code-coverage/build/travis-ci.xml,
  vendor/phpunit/php-code-coverage/composer.json,
  vendor/phpunit/php-code-coverage/phpunit.xml.dist,
  .../php-code-coverage/scripts/auto_append.php,
  .../php-code-coverage/scripts/auto_prepend.php,
  .../phpunit/php-code-coverage/src/CodeCoverage.php,
  .../php-code-coverage/src/CodeCoverage/Driver.php,
  .../src/CodeCoverage/Driver/HHVM.php, .../src/CodeCoverage/Driver/Xdebug.php,
  .../src/CodeCoverage/Exception.php,
  .../Exception/UnintentionallyCoveredCode.php,
  .../php-code-coverage/src/CodeCoverage/Filter.php,
  .../src/CodeCoverage/Report/Clover.php,
  .../src/CodeCoverage/Report/Crap4j.php,
  .../src/CodeCoverage/Report/Factory.php,
  .../src/CodeCoverage/Report/HTML.php,
  .../src/CodeCoverage/Report/HTML/Renderer.php,
  .../Report/HTML/Renderer/Dashboard.php,
  .../Report/HTML/Renderer/Directory.php,
  .../src/CodeCoverage/Report/HTML/Renderer/File.php,
  .../HTML/Renderer/Template/coverage_bar.html.dist,
  .../HTML/Renderer/Template/css/bootstrap.min.css,
  .../Report/HTML/Renderer/Template/css/nv.d3.css,
  .../Report/HTML/Renderer/Template/css/style.css,
  .../HTML/Renderer/Template/dashboard.html.dist,
  .../HTML/Renderer/Template/directory.html.dist,
  .../Renderer/Template/directory_item.html.dist,
  .../Report/HTML/Renderer/Template/file.html.dist,
  .../HTML/Renderer/Template/file_item.html.dist,
  .../fonts/glyphicons-halflings-regular.eot,
  .../fonts/glyphicons-halflings-regular.svg,
  .../fonts/glyphicons-halflings-regular.ttf,
  .../fonts/glyphicons-halflings-regular.woff,
  .../HTML/Renderer/Template/js/bootstrap.min.js,
  .../Report/HTML/Renderer/Template/js/d3.min.js,
  .../Report/HTML/Renderer/Template/js/holder.js,
  .../Report/HTML/Renderer/Template/js/html5shiv.js,
  .../Report/HTML/Renderer/Template/js/jquery.js,
  .../Report/HTML/Renderer/Template/js/nv.d3.min.js,
  .../HTML/Renderer/Template/js/respond.min.js,
  .../HTML/Renderer/Template/method_item.html.dist,
  .../src/CodeCoverage/Report/Node.php,
  .../src/CodeCoverage/Report/Node/Directory.php,
  .../src/CodeCoverage/Report/Node/File.php,
  .../src/CodeCoverage/Report/Node/Iterator.php,
  .../src/CodeCoverage/Report/PHP.php, .../src/CodeCoverage/Report/Text.php,
  .../src/CodeCoverage/Report/XML.php,
  .../src/CodeCoverage/Report/XML/Directory.php,
  .../src/CodeCoverage/Report/XML/File.php,
  .../src/CodeCoverage/Report/XML/File/Coverage.php,
  .../src/CodeCoverage/Report/XML/File/Method.php,
  .../src/CodeCoverage/Report/XML/File/Report.php,
  .../src/CodeCoverage/Report/XML/File/Unit.php,
  .../src/CodeCoverage/Report/XML/Node.php,
  .../src/CodeCoverage/Report/XML/Project.php,
  .../src/CodeCoverage/Report/XML/Tests.php,
  .../src/CodeCoverage/Report/XML/Totals.php,
  .../php-code-coverage/src/CodeCoverage/Util.php,
  .../CodeCoverage/Util/InvalidArgumentHelper.php,
  .../tests/PHP/CodeCoverage/FilterTest.php,
  .../tests/PHP/CodeCoverage/Report/CloverTest.php,
  .../tests/PHP/CodeCoverage/Report/FactoryTest.php,
  .../tests/PHP/CodeCoverage/UtilTest.php, .../tests/PHP/CodeCoverageTest.php,
  .../phpunit/php-code-coverage/tests/TestCase.php,
  .../tests/_files/BankAccount-clover.xml,
  .../php-code-coverage/tests/_files/BankAccount.php,
  .../tests/_files/BankAccountTest.php,
  .../tests/_files/CoverageClassExtendedTest.php,
  .../tests/_files/CoverageClassTest.php,
  .../_files/CoverageFunctionParenthesesTest.php,
  .../CoverageFunctionParenthesesWhitespaceTest.php,
  .../tests/_files/CoverageFunctionTest.php,
  .../_files/CoverageMethodOneLineAnnotationTest.php,
  .../tests/_files/CoverageMethodParenthesesTest.php,
  .../CoverageMethodParenthesesWhitespaceTest.php,
  .../tests/_files/CoverageMethodTest.php,
  .../tests/_files/CoverageNoneTest.php,
  .../tests/_files/CoverageNotPrivateTest.php,
  .../tests/_files/CoverageNotProtectedTest.php,
  .../tests/_files/CoverageNotPublicTest.php,
  .../tests/_files/CoverageNothingTest.php,
  .../tests/_files/CoveragePrivateTest.php,
  .../tests/_files/CoverageProtectedTest.php,
  .../tests/_files/CoveragePublicTest.php,
  .../_files/CoverageTwoDefaultClassAnnotations.php,
  .../tests/_files/CoveredClass.php, .../tests/_files/CoveredFunction.php,
  .../_files/NamespaceCoverageClassExtendedTest.php,
  .../tests/_files/NamespaceCoverageClassTest.php,
  .../NamespaceCoverageCoversClassPublicTest.php,
  .../_files/NamespaceCoverageCoversClassTest.php,
  .../tests/_files/NamespaceCoverageMethodTest.php,
  .../_files/NamespaceCoverageNotPrivateTest.php,
  .../_files/NamespaceCoverageNotProtectedTest.php,
  .../_files/NamespaceCoverageNotPublicTest.php,
  .../tests/_files/NamespaceCoveragePrivateTest.php,
  .../_files/NamespaceCoverageProtectedTest.php,
  .../tests/_files/NamespaceCoveragePublicTest.php,
  .../tests/_files/NamespaceCoveredClass.php,
  .../tests/_files/NotExistingCoveredElementTest.php,
  .../class-with-anonymous-function-clover.xml,
  .../tests/_files/ignored-lines-clover.xml,
  .../source_with_class_and_anonymous_function.php,
  .../tests/_files/source_with_ignore.php,
  .../tests/_files/source_with_namespace.php,
  .../_files/source_with_oneline_annotations.php,
  .../tests/_files/source_without_ignore.php,
  .../tests/_files/source_without_namespace.php,
  vendor/phpunit/php-file-iterator/.gitignore,
  .../phpunit/php-file-iterator/ChangeLog.markdown,
  vendor/phpunit/php-file-iterator/File/Iterator.php,
  .../php-file-iterator/File/Iterator/Autoload.php,
  .../File/Iterator/Autoload.php.in,
  .../php-file-iterator/File/Iterator/Facade.php,
  .../php-file-iterator/File/Iterator/Factory.php,
  vendor/phpunit/php-file-iterator/LICENSE,
  vendor/phpunit/php-file-iterator/README.markdown,
  vendor/phpunit/php-file-iterator/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-file-iterator/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-file-iterator/build/phpmd.xml,
  vendor/phpunit/php-file-iterator/composer.json,
  vendor/phpunit/php-file-iterator/package.xml,
  vendor/phpunit/php-text-template/.gitignore,
  vendor/phpunit/php-text-template/ChangeLog.md,
  vendor/phpunit/php-text-template/LICENSE,
  vendor/phpunit/php-text-template/README.md,
  vendor/phpunit/php-text-template/Text/Template.php,
  .../php-text-template/Text/Template/Autoload.php,
  .../Text/Template/Autoload.php.in,
  vendor/phpunit/php-text-template/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-text-template/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-text-template/build/phpmd.xml,
  vendor/phpunit/php-text-template/composer.json,
  vendor/phpunit/php-text-template/package.xml,
  vendor/phpunit/php-timer/.gitignore, vendor/phpunit/php-timer/LICENSE,
  vendor/phpunit/php-timer/PHP/Timer.php,
  vendor/phpunit/php-timer/PHP/Timer/Autoload.php,
  vendor/phpunit/php-timer/PHP/Timer/Autoload.php.in,
  vendor/phpunit/php-timer/README.md,
  vendor/phpunit/php-timer/Tests/TimerTest.php,
  vendor/phpunit/php-timer/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  vendor/phpunit/php-timer/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-timer/build/phpmd.xml,
  vendor/phpunit/php-timer/composer.json, vendor/phpunit/php-timer/package.xml,
  vendor/phpunit/php-timer/phpunit.xml.dist,
  vendor/phpunit/php-token-stream/.gitignore,
  vendor/phpunit/php-token-stream/LICENSE,
  vendor/phpunit/php-token-stream/PHP/Token.php,
  .../phpunit/php-token-stream/PHP/Token/Stream.php,
  .../php-token-stream/PHP/Token/Stream/Autoload.php,
  .../PHP/Token/Stream/Autoload.php.in,
  .../PHP/Token/Stream/CachingFactory.php,
  vendor/phpunit/php-token-stream/README.md,
  .../php-token-stream/Tests/Token/ClassTest.php,
  .../php-token-stream/Tests/Token/ClosureTest.php,
  .../php-token-stream/Tests/Token/FunctionTest.php,
  .../php-token-stream/Tests/Token/IncludeTest.php,
  .../php-token-stream/Tests/Token/InterfaceTest.php,
  .../php-token-stream/Tests/Token/NamespaceTest.php,
  .../phpunit/php-token-stream/Tests/TokenTest.php,
  .../Tests/_files/classExtendsNamespacedClass.php,
  .../Tests/_files/classInNamespace.php,
  .../Tests/_files/classInScopedNamespace.php,
  .../php-token-stream/Tests/_files/closure.php,
  .../php-token-stream/Tests/_files/issue19.php,
  .../php-token-stream/Tests/_files/issue30.php,
  .../multipleNamespacesWithOneClassUsingBraces.php,
  ...leNamespacesWithOneClassUsingNonBraceSyntax.php,
  .../php-token-stream/Tests/_files/source.php,
  .../php-token-stream/Tests/_files/source2.php,
  .../php-token-stream/Tests/_files/source3.php,
  .../php-token-stream/Tests/_files/source4.php,
  .../php-token-stream/Tests/_files/source5.php,
  vendor/phpunit/php-token-stream/build.xml,
  .../ControlStructures/ControlSignatureSniff.php,
  .../Whitespace/ConcatenationSpacingSniff.php,
  .../php-token-stream/build/PHPCS/ruleset.xml,
  vendor/phpunit/php-token-stream/build/phpmd.xml,
  vendor/phpunit/php-token-stream/composer.json,
  vendor/phpunit/php-token-stream/package.xml,
  vendor/phpunit/php-token-stream/phpunit.xml.dist,
  vendor/phpunit/phpunit-mock-objects/.gitignore,
  .../phpunit/phpunit-mock-objects/CONTRIBUTING.md,
  vendor/phpunit/phpunit-mock-objects/LICENSE,
  vendor/phpunit/phpunit-mock-objects/README.md,
  vendor/phpunit/phpunit-mock-objects/build.xml,
  .../phpunit-mock-objects/build/travis-ci.xml,
  vendor/phpunit/phpunit-mock-objects/composer.json,
  .../phpunit/phpunit-mock-objects/phpunit.xml.dist,
  .../src/Framework/MockObject/Builder/Identity.php,
  .../MockObject/Builder/InvocationMocker.php,
  .../src/Framework/MockObject/Builder/Match.php,
  .../MockObject/Builder/MethodNameMatch.php,
  .../src/Framework/MockObject/Builder/Namespace.php,
  .../MockObject/Builder/ParametersMatch.php,
  .../src/Framework/MockObject/Builder/Stub.php,
  .../Exception/BadMethodCallException.php,
  .../Framework/MockObject/Exception/Exception.php,
  .../MockObject/Exception/RuntimeException.php,
  .../src/Framework/MockObject/Generator.php,
  .../MockObject/Generator/mocked_class.tpl.dist,
  .../Generator/mocked_class_method.tpl.dist,
  .../MockObject/Generator/mocked_clone.tpl.dist,
  .../MockObject/Generator/mocked_method.tpl.dist,
  .../Generator/mocked_static_method.tpl.dist,
  .../MockObject/Generator/proxied_method.tpl.dist,
  .../MockObject/Generator/trait_class.tpl.dist,
  .../MockObject/Generator/unmocked_clone.tpl.dist,
  .../MockObject/Generator/wsdl_class.tpl.dist,
  .../MockObject/Generator/wsdl_method.tpl.dist,
  .../src/Framework/MockObject/Invocation.php,
  .../src/Framework/MockObject/Invocation/Object.php,
  .../src/Framework/MockObject/Invocation/Static.php,
  .../src/Framework/MockObject/InvocationMocker.php,
  .../src/Framework/MockObject/Invokable.php,
  .../src/Framework/MockObject/Matcher.php,
  .../MockObject/Matcher/AnyInvokedCount.php,
  .../Framework/MockObject/Matcher/AnyParameters.php,
  .../MockObject/Matcher/ConsecutiveParameters.php,
  .../Framework/MockObject/Matcher/Invocation.php,
  .../MockObject/Matcher/InvokedAtIndex.php,
  .../MockObject/Matcher/InvokedAtLeastOnce.php,
  .../Framework/MockObject/Matcher/InvokedCount.php,
  .../MockObject/Matcher/InvokedRecorder.php,
  .../Framework/MockObject/Matcher/MethodName.php,
  .../Framework/MockObject/Matcher/Parameters.php,
  .../MockObject/Matcher/StatelessInvocation.php,
  .../src/Framework/MockObject/MockBuilder.php,
  .../src/Framework/MockObject/MockObject.php,
  .../src/Framework/MockObject/Stub.php,
